function e04cb_contours(xinit,bl,bu)
n = length(xinit);
xsp = 0.1;
ysp = 0.1;
[X, Y] = meshgrid(bl(1):xsp:bu(1), bl(2):ysp:(bu(2)+1.5));
Z = zeros(size(X));

for i = 1:size(X, 1)
  
  for j = 1:size(X, 2)
    Z(i,j) = e04cb_objective(2, [X(i, j); Y(i, j)]);
  end
  
end

scrsz = get(0, 'ScreenSize');
figure('Name', 'Local Optimization by Nelder--Mead', 'NumberTitle', 'off', ...
    'Position', [scrsz(1)+100 scrsz(2)+20 scrsz(3)*0.8 scrsz(4)*0.8]);

v = [0.0, 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0, 1.3, ...
     1.6, 2, 2.6, 3.2, 4, 5, 6.5, 8, 10, 13, 16, 20, 25, 32, 40, ...
     50, 65, 80, 100];
[C, h] = contour(X, Y, Z, v, '-', 'LineWidth', 1);
set(h, 'ShowText', 'on', 'TextStep', get(h, 'LevelStep')*3);
colormap 'prism';

title('Local Optimization by Nelder--Mead', 'FontSize', 14);
hold on

% Mark some important points
% Local min.:
plot(0.5, -1.0, 'm+', 'Linewidth', 2, 'MarkerSize', 14);

plot(xinit(1), xinit(2), 'g*', 'Linewidth', 2, 'MarkerSize', 14);

% Put a legend on the graph
frx = [bl(1)+0.1 bl(1)+1.0 bl(1)+1.0 bl(1)+0.1];
fry = [bu(2)+0.1 bu(2)+0.1 bu(2)+1.0 bu(2)+1.0];
fill(frx, fry, 'w');

plot(bl(1)+0.2, bu(2)+0.8, 'g*', 'Linewidth', 2, 'MarkerSize', 12);
text(bl(1)+0.3, bu(2)+0.8, 'Start point', 'FontSize', 14);
plot(bl(1)+0.2, bu(2)+0.6, 'm+', 'Linewidth', 2, 'MarkerSize', 10);
text(bl(1)+0.3, bu(2)+0.6, 'Local minimum', 'FontSize', 14);

xlabel('x_1'); ylabel('x_2');
