function [user] = e04cb_monitor(fmin, fmax, sim, n, ncall, serror, vratio, user)

if (user.print ~= 0)
    disp(sprintf('\n'));
    disp(['There have been ' num2str(ncall) ' function calls']);
    disp(['The smallest function value is ' num2str(fmin)]);
    disp('The simplex is');
    disp(sim);
    disp(['The standard deviation in function values at the vertices of the simplex is ' num2str(serror)]);
    disp(['The linearized volume ratio of the current simplex to the previous one is ' num2str(vratio)]);
end

if (user.plot ~= 0 && n == 2)

  if (user.sim_old == Inf)
    line([sim(1,1), sim(2,1)], [sim(1,2), sim(2,2)], 'Linewidth', 2);
    line([sim(2,1), sim(3,1)], [sim(2,2), sim(3,2)], 'Linewidth', 2);
    line([sim(3,1), sim(1,1)], [sim(3,2), sim(1,2)], 'Linewidth', 2);
  else
    line([user.sim_old(1,1), user.sim_old(2,1)], [user.sim_old(1,2), user.sim_old(2,2)], 'Linewidth', 2);
    line([user.sim_old(2,1), user.sim_old(3,1)], [user.sim_old(2,2), user.sim_old(3,2)], 'Linewidth', 2);
    line([user.sim_old(3,1), user.sim_old(1,1)], [user.sim_old(3,2), user.sim_old(1,2)], 'Linewidth', 2);
  
    line([sim(1,1), sim(2,1)], [sim(1,2), sim(2,2)], 'Color', [1 0 0], 'Linewidth', 2);
    line([sim(2,1), sim(3,1)], [sim(2,2), sim(3,2)], 'Color', [1 0 0], 'Linewidth', 2);
    line([sim(3,1), sim(1,1)], [sim(3,2), sim(1,2)], 'Color', [1 0 0], 'Linewidth', 2);
  end
  
  user.sim_old = sim;
  
  % Set user.savemovie = 1 in the main M-file to create a bunch of PNG
  % files with a sequence of movie frames.
  if (user.savemovie == 1)
    FF = getframe(gcf);
    [FX,Map] = frame2im(FF);
    filename = sprintf('frame%d.png', user.framenumber);
    user.framenumber = user.framenumber + 1;
    imwrite(FX,filename,'png');
  end

  pause(user.mypause);
end
