% Auxiliary file for steepest_descent_demo.m, providing the objective 
% function (i.e. the function to be minimized).

% NAG Copyright 2009.

function [f, g, G] = steepest_descent_objfun(x, user)
%   Rosenbrock function, its gradient and Hessian.
%   [f, g, G] = rosenbrock(x, user) evaluates
%       f(x) = 100*(x(2) - x(1)^2)^2 + (1 - x(1))^2,
%   g = grad(f)(x) and G = Hess(f)(x).

f = 100*(x(2) - x(1)^2)^2 + (1 - x(1))^2;

if nargout > 1
    g(1) = -400*x(1)*(x(2) - x(1)^2) - 2*(1 - x(1));
    g(2) = 200*(x(2) - x(1)^2);
    g = g';

    if nargout > 2
        G(1,1) = -400*x(2) + 1200*x(1)^2 + 2;
        G(1,2) = -400*x(1);
        G(2,1) = G(1,2);
        G(2,2) = 200;
    end

end
