function c06gb_example

% diary c06gb_example.r
fprintf('c06gb example results\n\n');

% real data
n = 7;
x = [0.34907  0.54890  0.74776  0.94459  1.13850  1.32850  1.51370];

% transform
[xt, ifail] = c06ea(x);

% get result in form useful for printing.
zt = nag_herm2complex(xt);
disp('Discrete Fourier Transform of x:');
disp(transpose(zt));

% restore by conjugating and backtransforming
[xt, ifail] = c06gb(xt);
[xr, ifail] = c06eb(xt);

fprintf('Original sequence as restored by inverse transform\n\n');
fprintf('       Original   Restored\n');
for j = 1:n
  fprintf('%3d   %7.4f    %7.4f\n',j, x(j),xr(j));
end


% diary off

function [z] = nag_herm2complex(x);
  n = size(x,2);
  z(1) = complex(x(1));
  for j = 2:floor((n-1)/2) + 1
    z(j) = x(j) + i*x(n-j+2);
    z(n-j+2) = x(j) - i*x(n-j+2);
  end
  if (mod(n,2)==0)
    z(n/2+1) = complex(x(n/2+1));
  end
