function c06hb_example

% diary c06hb_example.r
fprintf('c06hb example results\n\n');

% 3 sequences of real data
m = nag_int(3);
n = nag_int(6);
x = [0.3854  0.6772  0.1138  0.6751  0.6362  0.1424  0.9562; 
     0.5417  0.2983  0.1181  0.7255  0.8638  0.8723  0.4936;
     0.9172  0.0644  0.6037  0.6430  0.0428  0.4815  0.2057];

disp('Original data values:');
disp(x);

% Discrete Fourier Cosine transform
init = 'Initial';
trig = zeros(2*n,1);
[xt, trig, ifail] = c06hb(m, n, x, init, trig);

disp('Discrete Fourier cosine transforms:');
disp(xt);

% Restore data by another Sine transform
init = 'Subsequent';
[xr, trig, ifail] = c06hb(m, n, xt, init, trig);

disp('Original data as restored by inverse transform:');
disp(xr);

% diary off
