function c06pa_example

% diary c06pa_example.r
fprintf('c06pa example results\n\n');

% Real data x
n = nag_int(7);
x = zeros(n+2,1);
x(1:n) = [0.34907;  0.5489;   0.74776;   0.94459;
          1.13850;  1.3285;   1.51370];

% Transform x to get Hermitian data in compact form
direct = 'F';
[xt, ifail] = c06pa(direct, x, n);
zt = nag_herm2complex(n,xt);
disp('Discrete Fourier Transform of x:');
disp(transpose(zt));

% Restore x by inverse transform
direct = 'B';
[xr, ifail] = c06pa(direct, xt, n);

fprintf('Original sequence as restored by inverse transform\n\n');
fprintf('       Original   Restored\n');
for j = 1:n
  fprintf('%3d   %7.4f    %7.4f\n',j, x(j),xr(j));
end

% diary off

function [z] = nag_herm2complex(n,x);
  z(1) = complex(x(1));
  for j = 1:floor(double(n)/2) + 1
    z(j) = x(2*j-1) + i*x(2*j);
    z(n-j+2) = x(2*j-1) - i*x(2*j);
  end
