function c06pp_example

% diary c06pp_example.r
fprintf('c06pp example results\n\n');

% 3 real sequences stored as rows
m = nag_int(3);
n = nag_int(6);
x = [0.3854   0.6772   0.1138   0.6751   0.6362  0.1424  0  0;
     0.5417   0.2983   0.1181   0.7255   0.8638  0.8723  0  0;
     0.9172   0.0644   0.6037   0.6430   0.0428  0.4815  0  0];
disp('Original data values:');
disp(x(:,1:n));

% Transform to get Hermitian sequences
direct = 'F';
[xt, ifail] = c06pp(direct, m, n, x);
zt = xt(:,1:2:n+1) + i*xt(:,2:2:n+2);
title = 'Discrete Fourier transforms in complex Hermitian format:';
[ifail] = x04da('General','Non-unit', zt, title);

for j = 1:m
  zt(j,1:n) = nag_herm2complex(n,xt(j,:));
end
title = 'Discrete Fourier transforms in full complex format:';
disp(' ');
[ifail] = x04da('General','Non-unit', zt, title);

% Restore data by back transform
direct = 'B';
[xr, ifail] = c06pp(direct, m, n, xt);
disp(' ');
disp('Original data as restored by inverse transform:');
disp(xr(:,1:n));

% diary off

function [z] = nag_herm2complex(n,x);
  z(1) = complex(x(1));
  for j = 2:floor(double(n)/2) + 1
    z(j) = x(2*j-1) + i*x(2*j);
    z(n-j+2) = x(2*j-1) - i*x(2*j);
  end
