function c06ps_example

% diary c06ps_example.r
fprintf('c06ps example results\n\n');

m = nag_int(3);
n = nag_int(6);
zr = [0.3854  0.6772  0.1138  0.6751  0.6362  0.1424;
      0.9172  0.0644  0.6037  0.6430  0.0428  0.4815;
      0.1156  0.0685  0.2060  0.8630  0.6967  0.2792];
zi = [0.5417  0.2983  0.1181  0.7255  0.8638  0.8723; 
      0.9089  0.3118  0.3465  0.6198  0.2668  0.1614; 
      0.6214  0.8681  0.7060  0.8652  0.9190  0.3355];
z = transpose(zr + i*zi);

title = 'Original sequences:';
[ifail] = x04da('General','Non-unit', z, title);

% transform
direct = 'F';
[zt, ifail] = c06ps(direct, n, m, z);
disp(' ');
title = 'Discrete Fourier Transforms:';
[ifail] = x04da('General','Non-unit', zt, title);

% Restore by back-transform
direct = 'B';
[zr, ifail] = c06ps(direct, n, m, zt);
disp(' ');
title = 'Original data as restored by inverse transform';
[ifail] = x04da('General','Non-unit', zr, title);

% diary off
