function c06ra_example

% diary c06ra_example.r
fprintf('c06ra example results\n\n');

% Discrete sine transform of 3 sequences of length 5
m = nag_int(3);
n = nag_int(6);
x = zeros(m,n+2);
x(1:m,1:n-1) = [0.6772  0.1138  0.6751  0.6362  0.1424;
                0.2983  0.1181  0.7255  0.8638  0.8723;
                0.0644  0.6037  0.6430  0.0428  0.4815];

[xt, ifail] = c06ra(m, n, x);

disp('X under discrete sine transform:');
y = reshape(xt(1:m*(n-1)),m,n-1);
disp(y);

% Reconstruct using same transform
[xr, ifail] = c06ra(m, n, xt);

disp('X reconstructed under second sine transform:');
y = reshape(x(1:m*(n-1)),m,n-1);
disp(y);

% diary off
