function c06rb_example

% diary c06rb_example.r
fprintf('c06rb example results\n\n');

% Discrete cosine transform of 3 sequences of length 7
m = nag_int(3);
n = nag_int(6);
x = zeros(m,n+3);
x(1:m,1:(n+1)) = [0.3854 0.6772 0.1138 0.6751 0.6362 0.1424 0.9562; 
                  0.5417 0.2983 0.1181 0.7255 0.8638 0.8723 0.4936; 
                  0.9172 0.0644 0.6037 0.6430 0.0428 0.4815 0.2057];

xf = reshape(x,[m*(n+3),1]);
[xt, ifail] = c06rb(m, n, xf);
disp('X under discrete cosine transform:');
disp(reshape(xt(1:m*(n+1)),m,n+1));

% Reconstruct using same transform
[xr, ifail] = c06rb(m,n,xt);
disp('X reconstructed under second cosine transform:');
xr = reshape(xr(1:m*(n+1)),m,n+1);
disp(xr);

% diary off
