function c09da_example

% diary c09da_example.r
fprintf('c09da example results\n\n');

% 1d maximal overlap discrete wavelet decomposition using a Daubechies wavelet

n      = nag_int(8);
x      = [1 3 5 7 6 4 5 2];

wavnam = 'DB4';
mode   = 'Periodic';
wtrans = 'Time invariant';

% Setup for wavelet
[nwlmax, nf, nwc, icomm, ifail] = c09aa(wavnam, wtrans, mode, n);

% Compute decomposition
[ca, cd, icomm, ifail] = c09da(x, nwc, icomm);

disp('Approximation coefficients:')
fprintf('%8.4f',ca);
fprintf('\n');
disp('Detail coefficients:')
fprintf('%8.4f',cd);
fprintf('\n');

% Reconstruct
[y, ifail] = c09db(ca, cd, n, icomm);
disp('Reconstruction:')
fprintf('%8.4f',y);
fprintf('\n');

% diary off
