function d01fd_example

% diary d01fd_example.r
fprintf('d01fd example results\n\n');

ndim = nag_int(3);
sigma = 1.5;
limit = nag_int(8000);
r0 = 0.9;
[result, ncalls, ifail] = ...
  d01fd(...
        ndim, @f, sigma, @region, limit, 'r0', r0);

fprintf('Sphere-to-sphere transformation\n\n');
fprintf('Estimated value of the integral = %9.3f\n', result);
fprintf('Number of integrand evaluations = %5d\n\n', ncalls);

sigma = -1;
r0 = 0.8;
[result, ncalls, ifail] = ...
  d01fd(...
        ndim, @f, sigma, @region, limit, 'r0', r0);
fprintf('Product region transformation\n\n');
fprintf('Estimated value of the integral = %9.3f\n', result);
fprintf('Number of integrand evaluations = %5d\n', ncalls);


% diary off

function result = f(ndim,x)
  result=1/sqrt(abs(9/4 - dot(x,x)));

function [c,d] = region(ndim, x, j)
  d = sqrt(abs(9/4-dot(x(1:j-1),x(1:j-1))));
  c = -d;
