function d02bh_example

% diary d02bh_example.r
fprintf('d02bh example results\n\n');

% Initial conditions and end of range
x_init = 0;
y_init = [0.5   0.5   pi/5];
xend   = 10;

% Algorithmic parameters
tol = 0.00001;
irelab = nag_int(0);
hmax = 0;

% Stop when y(1) = 0
m = nag_int(1);
val = 0;

% Integrate
[xroot, yroot, tol, ifail] = ...
    d02bh(...
          x_init, xend, y_init, tol, irelab, hmax, @fcn, @g);
fprintf('Root of Y(1) at %8.4f\n',xroot);
fprintf('Solution is     %9.5f %9.5f %9.5f\n',yroot);

% diary off

function f = fcn(x,y)
      f = zeros(3,1);
      f(1) = tan(y(3));
      f(2) = -0.032*tan(y(3))/y(2) - 0.02*y(2)/cos(y(3));
      f(3) = -0.032/y(2)^2;


function result = g(x,y)
  result = y(1);
