function d02kd_example

% diary d02kd_example.r
fprintf('d02kd example results\n\n');

xpoint = [0; 0.1; 30; 30];
k = nag_int(11);
tol = 0.0001;
elam = 14;
delam = 1;
hmax = zeros(2,4);

[elam, delam, hmax, maxit, ifail] = ...
d02kd(...
       xpoint, @coeffn, @bdyval, k, tol, elam, delam, hmax, @monit);

fprintf('\nA singular problem\n\n');
fprintf('Final results\n');
fprintf('K = %3d  elam = %7.3f  delam = %8.2e\n', k, elam, delam);
fprintf('Boundary sensitivities, left: %8.4f, right: %8.4f\n', hmax(1,3:4))

% diary off

function [p, q, dqdl] = coeffn(x, elam, jint)
  p = 1;
  dqdl = 1;
  q = elam - x - 2/x/x;

function [yl, yr] = bdyval(xl, xr, elam)
  yl(1) = xl;
  yl(2) = 2;
  yl(3) = 0;
  yr(1) = 1;
  yr(2) = -sqrt(xr-elam);
  yr(3) = 0;

function monit(maxit, iflag, elam, finfo)
  if (maxit == -1)
    fprintf('\nOutput from Monit\n');
  end

  fprintf('%2d   %d   %6.3f %+6.3f %+6.3g %+6.3f %+6.3f\n', ...
          maxit, iflag, elam, finfo(1:4));
