function d02ud_example

% diary d02ud_example.r
fprintf('d02ud example results\n\n');

n = nag_int(16);
a = 0;
b = 1.5;

% Set up solution grid
[x, ifail] = d02uc(n, a, b);

% Evaluate function on Chebyshev grid
f = 2*x+exp(-x);

% Calculate derivative of function
[fd, ifail] = d02ud(n, f);

scale = 2/(b-a);
fd = scale*fd;

% Print function and its derivatives
fprintf('\nOriginal function F and numerical derivative Fx\n');
fprintf('      x          F          Fx\n');
fprintf('%10.4f %10.4f %10.4f\n', [x f fd]');

% diary off
