function d03ua_example

% diary d03ua_example.r
fprintf('d03ua example results\n\n');

n1 = nag_int(6);
n2 = nag_int(10);
nits = 10;
for i=1:n1
  x(i) = double((i*(i-1))/2);
end
for i=1:n2
  y(i) = double((i*(i-1))/2);
end

a = zeros(n1,n2);
b = a; d = a; e = a;
q = a; t = a;

for j=2:n2-1
  a(2:n1-1,j) = 2/((y(j)-y(j-1))*(y(j+1)-y(j-1)));
  e(2:n1-1,j) = 2/((y(j+1)-y(j))*(y(j+1)-y(j-1)));
end
for i=2:n1-1
  b(i,2:n2-1) = 2/((x(i)-x(i-1))*(x(i+1)-x(i-1)));
  d(i,2:n2-1) = 2/((x(i+1)-x(i))*(x(i+1)-x(i-1)));
end

c = -a - b - d - e;

% Specification for boundary nodes
q( 1,: ) = exp((x( 1)+1)/y(n2))*cos(y(: )/y(n2));
q(n1,: ) = exp((x(n1)+1)/y(n2))*cos(y(: )/y(n2));
q(: , 1) = exp((x(: )+1)/y(n2))*cos(y( 1)/y(n2));
q(: ,n2) = exp((x(: )+1)/y(n2))*cos(y(n2)/y(n2));

aparam = 1;

% Iterative loop
for it = nag_int(1:nits)
  [r] = resid(n1,n2,a,b,c,d,e,q,t);
  [r, ifail] = d03ua(n1, a, b, c, d, e, aparam, it, r);
  t = t + r;
end

fprintf('Final residual after %d iterations = %10.1e\n',nits,norm(r));
fprintf('\nApproximate solution is:\n\ny/x');
fprintf('%8d',1:n1);
for i=1:n2
  fprintf('\n%3d',i);
  fprintf('%8.3f',t(:,i));
end
fprintf('\n');

% diary off

function [r] = resid(n1,n2,a,b,c,d,e,q,t)
  for j=1:n2
    for i=1:n1
      if (c(i,j)==0)
        r(i,j) = q(i,j) - t(i,j);
      else
        r(i,j) = q(i,j) - a(i,j)*t(i,j-1) - b(i,j)*t(i-1,j) - c(i,j)*t(i,j) ...
                        - d(i,j)*t(i+1,j) - e(i,j)*t(i,j+1);
      end
    end
  end
