function e02be_example

% diary e02be_example.r
fprintf('e02be example results\n\n');

start = 'C';
data = [0.0  -1.100  1.0;
        0.5  -0.372  2.0;
        1.0   0.431  1.5;
        1.5   1.690  1.0;
        2.0   2.110  3.0;
        2.5   3.100  1.0;
        3.0   4.230  0.5;
        4.0   4.350  1.0;
        4.5   4.810  2.0;
        5.0   4.610  2.5;
        5.5   4.790  1.0;
        6.0   5.230  3.0;
        7.0   6.350  1.0;
        7.5   7.190  2.0;
        8.0   7.970  1.0];
x = data(:,1);
y = data(:,2);
w = data(:,3);
m = size(data,1);

s = [1 0.5 0.1];

nest  = m + 4;
n     = nag_int(nest);
lamda = zeros(nest,1);
wrk   = zeros(4*m+16*nest+41, 1);
iwrk  = zeros(nest, 1, nag_int_name);
start = 'Cold';

xs(1:2:2*m-1) = x;
xs(2:2:2*m-2) = (x(1:m-1)+x(2:m))/2;

for is = 1:3
  % Get spline
  [n, lamda, c, fp, wrk, iwrk, ifail] = ...
  e02be( ...
         start, x, y, w, s(is), n, lamda, wrk, iwrk);

  % Print details of spline
  fprintf('\nCalling with smoothing factor S = %5.2f\n\n', s(is));
  fprintf('         Knots    Coeffs\n');
  fprintf('%4d%20.4f\n', 1, c(1));
  for j = 2:n-5
    fprintf('%4d%10.4f%10.4f\n', j, lamda(j+2), c(j));
  end
  fprintf('%4d%20.4f\n\n', n-4, c(n-4));
  fprintf('Weighted sum of squared residuals = %7.4f\n', fp);
  if fp==0
    fprintf('(The spline is an interpolating spline)\n');
  elseif n==8
    fprintf('(The spline is the weighted least-squares cubic polynomial)\n');
  end
  fprintf('\n');

  % Evaluate at x and mid-points (xs)
  for i = 1:2*m-1
    [fit(i,is), ifail] = e02bb( ...
                                lamda, c, xs(i),'ncap7',n);
  end

  start = 'Warm';
end

fig1 = figure;
hold on
plot(x,y,'*','Color','Green')
plot(xs,fit(:,1));
xlabel('x');
title('Evaluation of B-spline representation, S = 1.0');
legend('Evaluation points','B-spline','Location','NorthWest');
hold off;

fig2 = figure;
hold on
plot(x,y,'*','Color','Green')
plot(xs,fit(:,2));
xlabel('x');
title('Evaluation of B-spline representation, S = 0.5');
legend('Evaluation points','B-spline','Location','NorthWest');
hold off;

fig3 = figure;
hold on
plot(x,y,'*','Color','Green')
plot(xs,fit(:,3));
xlabel('x');
title('Evaluation of B-spline representation, S = 0.1');
legend('Evaluation points','B-spline','Location','NorthWest');
hold off;

% print(fig1,'-dpng','-r75','e02be_fig1.png');
% print(fig1,'-deps','-r75','e02be_fig1.eps');
% print(fig2,'-dpng','-r75','e02be_fig2.png');
% print(fig2,'-deps','-r75','e02be_fig2.eps');
% print(fig3,'-dpng','-r75','e02be_fig3.png');
% print(fig3,'-deps','-r75','e02be_fig3.eps');

% diary off
