function e02cb_example

% diary e02cb_example.r
fprintf('e02cb example results\n\n');


% domain
dx   = 4/19;
x    = [0.5:dx:4.5];
y    = [0:dx:4];
xmin = 0.1; xmax = 4.5;
ymin = 0;   ymax = 4;

% Fit characteristics and coefficients
k = nag_int(3);
l = nag_int(2);
a = [15.3482   5.15073  -2.20140   1.14719  -0.64419   0.30464 ...
     -0.4901  -0.00314  -6.69912   0.00153   3.00033  -0.00022];

% Evaluations on mesh
mfirst = nag_int(1);
mlast  = nag_int(20);

% Evaluate fit 
for i = 1:mlast
  [fit(:,i), ifail] = e02cb( ...
                             mfirst, k, l, x, xmin, xmax, y(i), ...
                             ymin, ymax, a, 'mlast', mlast);
  sol = [x; fit(:,i)'];
end

fprintf('\nThe bivariate polynomial fit values for y = %5.1f are:\n',y(mlast));
sol = [x; fit(:,mlast)'];
fprintf('      x       p(x,y=4)\n', sol);
fprintf('%11.4f%11.4f\n', sol);

fig1 = figure;
meshc(y,x,fit);
title('Least-squares bi-variate polynomial fit');
xlabel('x');
ylabel('y');
zlabel('p(x,y)');

% print(fig1,'-dpng','-r75','e02cb_fig1.png');
% print(fig1,'-deps','-r75','e02cb_fig1.eps');

% diary off
