function e02df_example

% diary e02df_example.r
fprintf('e02df example results\n\n');

% knots
lamda = [1   1   1   1   1.3  1.5  1.6  2   2   2   2];
mu    = [0   0   0   0   0.4  0.7  1    1   1   1];
% Coefficients
c     = [1       1.1333  1.3667  1.7   1.9     2  ...
         1.2     1.3333  1.5667  1.9     2.1   2.2 ... 
         1.5833  1.7167  1.95    2.2833  2.4833  2.5833 ...
         2.1433  2.2767  2.51    2.8433  3.0433  3.1433 ...
         2.8667  3       3.2333  3.5667  3.7667  3.8667 ...
         3.4667  3.6     3.8333  4.1667  4.3667  4.4667 ...
         4       4.1333  4.3667  4.7     4.9     5];

%Evaluation points 
x = [1.0  1.1  1.3  1.4  1.5  1.7  2.0];
y = [0 : 0.2 : 1];

% Spline evaluation
[ff, ifail] = e02df( ...
                     x, y, lamda, mu, c);

fprintf(' Spline evaluated on x-y grid (x across, y down):\n');
ff = reshape(ff,[6,7]);
fprintf('%5s%9.1f%9.1f%9.1f%9.1f%9.1f%9.1f%9.1f\n',' ',x);
for i = 1:6
  fprintf('%5.1f%9.3f%9.3f%9.3f%9.3f%9.3f%9.3f%9.3f\n',y(i),ff(i,:));
end

% diary off
