function e02rb_example

% diary e02rb_example.r
fprintf('e02rb example results\n\n');

ia = nag_int(5);
ib = nag_int(5);
ic = ia + ib - 1;
c  = ones(ic,1);
for j = 3:ic
  c(j) = c(j-1)/double(j-1);
end

[a, b, ifail] = e02ra(ia, ib, c);

fprintf('    x        Pade       exp(x)      error\n');
for j=1:30
  x = j/10;
  [padx, ifail] = e02rb(a, b, x);
  f(j) = padx;
  expx = exp(x);
  relerr = abs(expx-padx)/expx;
  err(j) = relerr;
  if (mod(j,3)==1)
    fprintf('%6.1f%12.5f%12.5f%13.2e\n', x, padx, expx, relerr);
  end
end

x = [0.1:0.1:3];
fig1 = figure;
hold on;
plot(x,f,'s',x,log10(err),'o');
plot(x,exp(x),'Color','Magenta');
legend('Pade approximant','log_{10} error','exp(x)','Location','NorthWest');
title('The [4|4] Pade approximant of exp(x)');
xlabel('x');
hold off;
% print(fig1,'-dpng','-r75','e02rb_fig1.png');
% print(fig1,'-deps','-r75','e02rb_fig1.eps');



% diary off
