function e04cb_example

% diary e04cb_example.r
fprintf('e04cb example results\n\n');

global print_info
print_info = false;

x0     = [-1; 1];
tolf   = sqrt(x02aj);
tolx   = sqrt(tolf);
maxcal = nag_int(100);
[x, f, user, ifail] = e04cb( ...
                             x0, tolf, tolx, @funct, @monit, maxcal);

fprintf('Minimum function value = %12.3e\n',f);
fprintf('Minumum location,    x = (%7.3f,%7.3f)\n',x);

fig1 = figure;
[xx,yy] = meshgrid([-1.5:0.1:1.5],[-2:0.1:2]);
z = exp(xx).*(4*xx.*(xx+yy)+2*yy.*(yy+1)+1);
[~,h] = contour(xx,yy,z);
h.LevelList = [0:0.1:1,1.3,1.6,2,2.6,3.2,4,5,6.5,8,10, ...
		13,16,20,25,32,40,50,65,80,100];
colormap(lines);
text(x(1),x(2),'*');
text(x0(1),x0(2),'X');
title('Contours of f: X - Initial Point, * - Local Minimum');

% print(fig1,'-dpng','-r75','e04cb_fig1.png');
% print(fig1,'-deps','-r75','e04cb_fig1.eps');

% diary off

function [fc, user] = funct(n, xc, user)
  fc = exp(xc(1))*(4*xc(1)*(xc(1)+xc(2))+2*xc(2)*(xc(2) +1)+1);

function [user] = monit(fmin, fmax, sim, n, ncall, serror, vratio, user)
global print_info
  if (print_info)
    fprintf('\nNumber of function calls             = %10d\n', ncall);
    fprintf('Smallest function value              = %10.6f\n', fmin);
    fprintf('The simplex is\n');
    disp(sim);
    fprintf('Standard deviation in f(vertices)    = %10.6f\n', serror);
    fprintf('Current/initial simplex volume ratio = %10.6f\n', vratio);
  end
