function e04ly_example

% diary e04ly_example.r
fprintf('e04ly example results\n\n');

bl = [ 1; -2; -1000000; 1];
bu = [ 3;  0;  1000000; 3];
x  = [ 3; -1;        0; 1];
ibound = nag_int(0);
% Catch warnings and assume ifail=3,5 gives a good estimate
wstat = warning();
warning('OFF');
[bl, bu, x, f, g, user, ifail] = e04ly(ibound, @funct2, @hess2, bl, bu, x);
warning(wstat);
if (ifail == 0 || ifail == 5 | ifail == 3)
  fprintf('Minimum found at x: ');
  fprintf(' %9.4f',x);
  fprintf('\nGradients at x,  g: ');
  fprintf(' %9.4f',g);
  fprintf('\nMinimum value     :  %9.4f\n\n',f);
else   
  fprintf('\n Error: e04ly returns ifail = %d\n',ifail);
end

% diary off

function [fc, gc, user] = funct2(n, xc, user)
  gc = zeros(n, 1);
  fc = 0;
  x1 = xc(1) + 10*xc(2);
  x2 = xc(3) -    xc(4);
  x3 = xc(2) -  2*xc(3);
  x4 = xc(1) -    xc(4);
  fc = x1^2 + 5*x2^2 + x3^4 + 10*x4^4;
  gc(1) =   2*x1 + 40*x4^3;
  gc(2) =  20*x1 +  4*x3^3;
  gc(3) =  10*x2 -  8*x3^3;
  gc(4) = -10*x2 - 40*x4^3;

function [fhesl, fhesd, user] = hess2(n, xc, lh, user)
  fhesl = zeros(lh, 1);
  fhesd = zeros(n, 1);

  x3 = xc(2) -  2*xc(3);
  x4 = xc(1) -    xc(4);
  fhesd(1) =    2 + 120*x4^2;
  fhesd(2) =  200 +  12*x3^2;
  fhesd(3) =   10 +  48*x3^2;
  fhesd(4) =   10 + 120*x4^2;
  fhesl(1) =   20;
  fhesl(2) =    0;
  fhesl(3) =  -24*x3^2;
  fhesl(4) = -120*x4^2;
  fhesl(5) =    0;
  fhesl(6) =  -10;
