function e04ne_example

% diary e04ne_example.r
fprintf('e04ne example results\n\n');

% Problem specification
n     = 9;
m     = 9;
nclin = 3;
c     = [1,  1, 1,  1,  1, 1, 1, 1, 4;
         1,  2, 3,  4, -2, 1, 1, 1, 1;
         1, -1, 1, -1,  1, 1, 1, 1, 1];
bl(1:n+nclin)   = -2;
bu(1:n)         =  2;
bu(n+1:n+nclin) = [1.5;  1.5;  4];
cvec(1:n)       = [-4; -1; -1; -1; -1; -1; -1; -0.1; -0.3];
istate          = zeros(n+nclin, 1, nag_int_name);
kx              = zeros(n, 1, nag_int_name);
x               = zeros(n,1);
a               = zeros(m,n);
a(1:5,1:5)      = [2   1   1   1   1;
                   1,  2,  1,  1,  1;
                   1,  1,  2,  1,  1;
                   1,  1,  1,  2,  1;
                   1,  1,  1,  1,  2];

b = [0];

% Initialize and set options
[cwsav,lwsav,iwsav,rwsav,ifail] = e04wb('e04nc');
[lwsav, iwsav, rwsav, inform] = e04ne(...
                                      'NoList', lwsav, iwsav, rwsav);
[lwsav, iwsav, rwsav, inform] = e04ne(...
                          'Problem Type = QP2', lwsav, iwsav, rwsav);
[lwsav, iwsav, rwsav, inform] = e04ne(...
                        'Iteration Limit = 30', lwsav, iwsav, rwsav);
[lwsav, iwsav, rwsav, inform] = e04ne(...
                             'Print Level = 0', lwsav, iwsav, rwsav);
[lwsav, iwsav, rwsav, inform] = e04ne(...
                  'Infinite Bound Size = 1d25', lwsav, iwsav, rwsav);

[istate, kx, x, a, b, iter, obj, clamda, lwsav, iwsav, rwsav, ifail] = ...
    e04nc(...
          c, bl, bu, cvec, istate, kx, x, a, b, lwsav, iwsav, rwsav);

fprintf('Minimum value     :  %9.4f\n\n',obj);
fprintf('Found after %3d iterations at x:\n',iter);
fprintf('    %9.4f %9.4f %9.4f\n',x);

% diary off
