function f01bs_example

% diary f01bs_example.r
fprintf('f01bs example results\n\n');

% Define sparse matrix A
n  = nag_int(6);
nz = nag_int(15);
z  = nag_int(15);
a  = zeros(150,1);
a(1:15)   = [5;  2;-1;2;  3;  -2;1;1;  -1;-1;2;-3;  -1;-1;6];

irn = zeros(75,1,nag_int_name);
icn = zeros(150,1,nag_int_name);
irn(1:15) = [nag_int(1); 2;2;2; 3; 4;4;4; 5;5;5;5; 6;6;6];
icn(1:15) = [nag_int(1); 2;3;4; 3; 1;4;5; 1;4;5;6; 1;2;6];

abort     = [true;     true;     false;     true];

% second matrix has same sparsity
ivect = irn(1:15);
jvect = icn(1:15);
grow = true;

[a, irn, icn, ikeep, w, idisp, ifail] = ...
f01br( ...
       n, nz, a, irn, icn, abort);

fprintf('For first matrix:\nValue of w(1)  = %7.4f\n\n', w(1));

% overwrite nz elements of A by second matrix with same sparsity
a(1:15) = [10; 12;-3;-1; 15; -2;10;-1; -1;-5;1;-1; -1;-2;6 ];
eta = 0.1;
[a, w, rpmin, ifail] = f01bs( ...
                              n, a, ivect, jvect, icn, ikeep, grow, idisp, ...
                              'eta',eta);

fprintf('For second matrix:\nValue of w(1)  = %7.4f\n\n', w(1));
fprintf('Value of rpmin = %7.4f\n', rpmin);

% diary off
