function f02jc_example

% diary f02jc_example.r
fprintf('f02jc example results\n\n');

% Solve quadratic eigenvalue problem defined by A, B and C:

a = [ 1 2 2;
      3 1 1;
      3 2 1];

b = [ 3 2 1;
      2 1 3;
      1 3 2];

c = [ 1 1 2;
      2 3 1;
      3 1 2];

% Use default scaling and compute eigenvalue condition numbers and
% backward errors for both left and right eigenpairs
scal  = nag_int(1);
sense = nag_int(7);
tol   = 0;
[a, b, c, alphar, alphai, beta, vl, vr, s, bevl, bevr, iwarn, ifail] = ...
  f02jc(...
        scal, 'V', 'V', sense, tol, a, b, c);

eigv = complex(alphar+alphai*i)./beta;
disp('Eigenvalues:');
disp(eigv);
[ifail] = x04ca('General', ' ', vr, 'Right eigenvectors:');
disp(' ');
[ifail] = x04ca('General', ' ', vl, 'Left eigenvectors:');
disp(' ');
disp('Eigenvalue condition numbers:');
disp(s);
fprintf('\nMaximum backward errors for eigenvalues and\n');
fprintf('%30s eigenvectors: %7.2e\n', 'right', max(bevr));
fprintf('%30s eigenvectors: %7.2e\n', 'left', max(bevl));

% diary off
