function f02sd_example

% diary f02sd_example.r
fprintf('f02sd example results\n\n');

% A and B in non-symmmetric banded format:
% A has 2 super-diagonals, B has 1 sub/super-diagonal;
% a row of zeros is added to A to give same number of subdiagonals.
a = [0, 0, 0, 0, 0;
     0,-1,-1,-1,-1;
     1, 2, 3, 4, 5;
     1, 1, 1, 1, 0;
     2, 2, 2, 0, 0];
b = [0, 1, 2, 2, 1;
     5, 4, 3, 2, 1;
     1, 2, 2, 1, 0];

ma1 = nag_int(2+1);
mb1 = nag_int(1+1);
sym = false;

% Find eigenvalue closest to rmu and associated eigenvector.
rmu   = -12.33;
relep = 0;
d     = zeros(30, 1);
% Assume the eigenvalue is well-conditioned
d(1)  = 1;

[a, b, vec, d, ifail] = f02sd( ...
                               ma1, mb1, a, b, sym, relep, rmu, d);

eval = rmu + d(30);
disp('Corrected eigenvalue');
disp(eval);
disp('Eigenvector')
disp(vec/norm(vec));

% diary off
