function f04cd_example

% diary f04cd_example.r
fprintf('f04cd example results\n\n');

% Solve complex Ax = b for Hermitian A with error bound and condition number
uplo = 'Upper';
cz = complex(0);
a = [3.23,  1.51 - 1.92i,  1.90 + 0.84i,  0.42 + 2.50i;
      cz,   3.58 + 0i,    -0.23 + 1.11i, -1.18 + 1.37i;
      cz,    cz,           4.09 + 0i,     2.33 - 0.14i;
      cz,    cz,            cz,           4.29 + 0i];
b = [ 3.93 -  6.14i,  1.48 +  6.58i;
      6.17 +  9.42i,  4.65 -  4.75i;
     -7.17 - 21.83i, -4.91 +  2.29i;
      1.99 - 14.38i,  7.64 - 10.79i];

[a, x, rcond, errbnd, ifail] = ...
  f04cd(uplo, a, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);

% diary off
