function f04ce_example

% diary f04ce_example.r
fprintf('f04ce example results\n\n');

% Solve complex Ax = b for Hermitian packed A with error and condition number
uplo = 'U';
ap = [3.23                                           ...
      1.51 -  1.92i   3.58 +  0i                      ...
      1.90 +  0.84i  -0.23 +  1.11i   4.09 + 0i       ...
      0.42 +  2.50i  -1.18 +  1.37i   2.33 - 0.14i    4.29 + 0i];
b = [ 3.93 -  6.14i,  1.48 +  6.58i;
      6.17 +  9.42i,  4.65 -  4.75i;
     -7.17 - 21.83i, -4.91 +  2.29i;
      1.99 - 14.38i,  7.64 - 10.79i];

[ap, x, rcond, errbnd, ifail] = ...
  f04ce(uplo, ap, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);

% diary off
