function f04cf_example

% diary f04cf_example.r
fprintf('f04cf example results\n\n');

% Solve complex Ax = b for banded Hermitian A with error and condition number
uplo = 'U';
kd = nag_int(1);
ab = [ 0    + 0i,      1.08 -  1.73i,  -0.04 + 0.29i, -0.33 + 2.24i;
       9.39 + 0i,      1.69 +  0i,      2.65 + 0i,     2.17 + 0i];
b = [-12.42 + 68.42i, 54.30 - 56.56i;
      -9.93 +  0.88i, 18.32 +  4.76i;
     -27.30 -  0.01i, -4.40 +  9.97i;
       5.31 + 23.63i,  9.43 +  1.41i];

[ab, x, rcond, errbnd, ifail] = ...
  f04cf(uplo, kd, ab, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);

% diary off
