function f04cg_example

% diary f04cg_example.r
fprintf('f04cg example results\n\n');

% Solve complex Ax = b for Hermitian tridiagonal A 
% with error bound and condition number.
d = [ 16         41         46        21];
e = [ 16 + 16i   18 -  9i    1 - 4i     ];
b = [ 64 + 16i, -16 - 32i;
      93 + 62i,  61 - 66i;
      78 - 80i,  71 - 74i;
      14 - 27i,  35 + 15i];

[d, e, x, rcond, errbnd, ifail] = ...
  f04cg(d, e, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);

% diary off
