function f04cj_example

% diary f04cj_example.r
fprintf('f04cj example results\n\n');

% Solve complex Ax = b for Hermitian packed A
% with error bound and condition number
uplo = 'U';
ap = [-1.84                                        ...
       0.11 -  0.11   -4.63 + 0i                   ...
      -1.78 -  1.18i  -1.84 + 0.03i  -8.87 + 0i    ...
       3.91 -  1.5i    2.21 + 0.21i   1.58 - 0.9i  -1.36 + 0i];
b = [ 2.98 - 10.18i,  28.68 - 39.89i;
     -9.58 +  3.88i, -24.79 -  8.4i;
     -0.77 - 16.05i,   4.23 - 70.02i;
      7.79 +  5.48i, -35.39 + 18.01i];

[ap, ipiv, x, rcond, errbnd, ifail] = ...
  f04cj(uplo, ap, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);

% diary off
