function f07af_example

% diary f07af_example.r
fprintf('f07af example results\n\n');

a = [ 1.8e10, 2.88e10, 2.05,    -8.9e09;
      5.25,  -2.95,   -9.5e-09, -3.8;
      1.58,  -2.69,   -2.9e-10, -1.04;
     -1.11,  -0.66,   -5.9e-11,  0.8];

% Compute row and column scaling factors
thresh = 0.1;
[r, c, rowcnd, colcnd, amax, info] = ...
  f07af(a);

% Print rowcnd, colcnd, amax and the scale factors
format shorte;
fprintf('rowcnd = %8.1e colcnd = %8.1e amax = %8.1e\n', rowcnd, colcnd, amax);
fprintf('\nRow scale factors:\n');
disp(r');
fprintf('Column scale factors:\n');
disp(c');

% Compute values close to underflow and overflow
small = x02am/(x02aj*x02bh);
big = 1/small;

if (rowcnd >= thresh) && (amax >= small) && (amax <= big)
  if colcnd<thresh
    % Just column scale A
    as = a*diag(c);
  end
elseif colcnd>=thresh
  % Just row scale A
  as = diag(r)*a;
else
  % Row and column scale A
  as = diag(r)*a*diag(c);
end

format short
fprintf('Scaled Matrix:\n');
disp(as);

% diary off
