function f07ap_example

% diary f07ap_example.r
fprintf('f07ap example results\n\n');

a = [ -1.34 +  2.55i,  0.28 + 3.17i,  -6.39 -  2.20i,  0.72 -  0.92i;
      -1.70 - 14.10i, 33.10 - 1.50i,  -1.50 + 13.40i, 12.90 + 13.80i;
      -3.29 -  2.39i, -1.91 + 4.42i,  -0.14 -  1.35i,  1.72 +  1.35i;
       2.41 +  0.39i, -0.56 + 1.47i,  -0.83 -  0.69i, -1.96 +  0.67i];
b = [ 26.26 + 51.78i,  31.32 -  6.70i;
      64.30 - 86.80i, 158.60 - 14.20i;
      -5.75 + 25.31i,  -2.15 + 30.19i;
       1.16 +  2.57i,  -2.56 +  7.55i];

n = size(a,1);

% Input parameter initialization
fact  = 'Equilibration';
trans = 'No transpose';
equed = 'N';
af   = a;
ipiv = zeros(n, 1, nag_int_name);
r    = zeros(n, 1);
c    = zeros(n, 1);

% Solve
[a, af, ipiv, equed, r, c, b, x, rcond, ferr, berr, rwork, info] = ...
  f07ap( ...
         fact, trans, a, af, ipiv, equed, r, c, b);

fprintf('Solution is x:\n');
disp(x);
fprintf('\nApproximate condition number = %8.3f\n',1/rcond);
fprintf('Approximate forward  errors  :\n');
fprintf('                               %11.3e\n',ferr);
fprintf('Approximate backward errors  :\n')
fprintf('                               %11.3e\n',berr);

% diary off
