function f07cp_example

% diary f07cp_example.r
fprintf('f07cp example results\n\n');

% Tridiagonal matrix stored by diagonals
du = [              2   - 1i     2   + 1i    -1   + 1i     1   - 1i  ];
d  = [-1.3 + 1.3i  -1.3 + 1.3i  -1.3 + 3.3i  -0.3 + 4.3i  -3.3 + 1.3i];
dl = [ 1   - 2i     1   + 1i     2   - 3i     1   + 1i               ];
n = numel(d);

% Rhs B
b = [  2.4 -  5.0i   2.7 +  6.9i; 
       3.4 + 18.2i  -6.9 -  5.3i; 
     -14.7 +  9.7i  -6.0 -  0.6i; 
      31.9 -  7.7i  -3.9 +  9.3i; 
      -1   +  1.6i  -3.0 + 12.2i];

% Input parameters
fact = 'No factors';
trans = 'No transpose';
dlf = dl;
df  = d;
duf = du;
du2 = complex(zeros(n-2,1));
ipiv = zeros(n,1,nag_int_name);

% Solve
[dlf, df, duf, du2, ipiv, x, rcond, ferr, berr, info] = ...
  f07cp( ...
         fact, trans, dl, d, du, dlf, df, duf, du2, ipiv, b);

disp('Solution(s)');
disp(x);
disp('Backward errors (machine-dependent)');
fprintf('%10.1e',berr);
fprintf('\n');
disp('Estimated forward error bounds (machine-dependent)');
fprintf('%10.1e',ferr);
fprintf('\n\n');
disp('Estimate of reciprocal condition number');
fprintf('%10.1e\n',rcond);

% diary off
