function f07hf_example

% diary f07hf_example.r
fprintf('f07hf example results\n\n');

% Symmetric A (one lower/upper off-diagonal) in banded form 
uplo = 'U';
kd = nag_int(1);
n  = nag_int(4);
ab = [0,    2.68e10, -2.39e10, -2.22;
      5.49, 5.63e20,  2.60,     5.17];

% Scale A
[s, scond, amax, info] = f07hf( ...
                                uplo, kd, ab);

fprintf('scond = %8.1e, amax = %8.1e\n\n', scond, amax);
disp('Diagonal scaling factors');
fprintf('%10.1e',s);
fprintf('\n\n');

% Apply scalings
asp = ab*diag(s);
for i = 1:n
  for j = 0:min(kd,n-i)
    asp(kd+1-j,i+j) = s(i)*asp(kd+1-j,i+j);
  end
end

kl = nag_int(0);
[ifail] = x04ce( ...
                 n, n, kl, kd, asp, 'Scaled matrix');

% diary off
