function f07ht_example

% diary f07ht_example.r
fprintf('f07ht example results\n\n');

% Symmetric banded A
uplo = 'U';
kd = nag_int(1);
n  = nag_int(4);
ab = [0,          1.08 - 1.73i,  -0.04e10 + 0.29e10i,  -0.33e10 + 2.24e10i;
      9.39 + 0i,  1.69 + 0i,      2.65e20 + 0i,         2.17    + 0i];

% Scale A
[s, scond, amax, info] = f07ht( ...
                                uplo, kd, ab);

fprintf('scond = %8.1e, amax = %8.1e\n\n', scond, amax);
disp('Diagonal scaling factors');
fprintf('%10.1e',s);
fprintf('\n\n');

% Apply scalings
asp = ab*diag(s);
for i = 1:n
  for j = 0:min(kd,n-i)
    asp(kd+1-j,i+j) = s(i)*asp(kd+1-j,i+j);
  end
end

kl = nag_int(0);
[ifail] = x04de( ...
                 n, n, kl, kd, asp, 'Scaled matrix');

% diary off
