function f07mb_example

% diary f07mb_example.r
fprintf('f07mb example results\n\n');

% Indefinite matrix A
uplo = 'Upper';
a = [-1.81, 2.06,  0.63, -1.15;
      0,    1.15,  1.87,  4.20;
      0,    0,    -0.21,  3.87;
      0,    0,     0,     2.07];

% RHS
b = [0.96,  3.93;
     6.07, 19.25;
     8.38,  9.90;
     9.50, 27.85];

fact = 'Not factored';
af   = a;
ipiv = zeros(size(b,1),1,nag_int_name);

[af, ipiv, x, rcond, ferr, berr, info] = ...
  f07mb( ...
         fact, uplo, a, af, ipiv, b);

disp('Solution(s)');
disp(x);
disp('Backward errors (machine-dependent)');
fprintf('%10.1e',berr);
fprintf('\n');
disp('Estimated forward error bounds (machine-dependent)');
fprintf('%10.1e',ferr);
fprintf('\n\n');
disp('Estimate of reciprocal condition number');
fprintf('%10.1e\n\n',rcond);

% diary off
