function f07ph_example

% diary f07ph_example.r
fprintf('f07ph example results\n\n');

% Indefinite matrix A (lower triangular part stored in packed format)
uplo = 'L';
n = nag_int(4);
ap = [2.07;   3.87;   4.20;   -1.15;
             -0.21;   1.87;    0.63;
                      1.15;    2.06;
                              -1.81];

% Factorize
[apf, ipiv, info] = f07pd( ...
                           uplo, n, ap);

% RHS
b = [-9.50, 27.85;
     -8.38,  9.90;
     -6.07, 19.25;
     -0.96,  3.93];

% Solve
[x, info] = f07pe( ...
                   uplo, apf, ipiv, b);

% Refine
[x, ferr, berr, info] = f07ph( ...
                               uplo, ap, apf, ipiv, b, x);

[ifail] = x04ca( ...
                 'General', 'N', x, 'Solution(s)');

fprintf('\nBackward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
