function f07vh_example

% diary f07vh_example.r
fprintf('f07vh example results\n\n');

% Solve AX=B and compute error bounds, where A is lower triangular banded
% and stored in triangular/symmetric banded format 
kd = nag_int(1);
ab = [-4.16, 4.78,  6.32, 0.16;
      -2.25, 5.86, -4.82, 0.00];
b = [-16.64,  -4.16;
     -13.78, -16.59;
      13.10,  -4.94;
     -14.14,  -9.96];

% Solve
uplo  = 'L';
trans = 'N';
diag  = 'N';
[x, info] = f07ve( ...
                   uplo, trans, diag, kd, ab, b);

% Compute error bounds
[ferr, berr, info] = f07vh( ...
                            uplo, trans, diag, kd, ab, b, x);

% Display solution
[ifail] = x04ca( ...
                 'Gen', diag, x, 'Solution(s)');

fprintf('\nBackward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
