function f07wr_example

% diary f07wr_example.r
fprintf('f07wr example results\n\n');

% Symmetric matrix in RFP format
transr = 'n';
uplo   = 'l';
ar = [ 4.09 + 0.00i  2.33 + 0.14i;
       3.23 + 0.00i  4.29 + 0.00i;
       1.51 + 1.92i  3.58 + 0.00i;
       1.90 - 0.84i -0.23 - 1.11i;
       0.42 - 2.50i -1.18 - 1.37i];
n  = nag_int(4);
n2 = (n*(n+1))/2;
ar  = reshape(ar,[n2,1]);

% Factorize a
[ar, info] = f07wr(transr, uplo, n, ar);

if info == 0
  % Convert factor to full array form for display
  [a, info] = f01vh(transr, uplo, n, ar);
  fprintf('\n');
  ncols  = nag_int(80);
  indent = nag_int(0);
  form   = 'f7.4';
  title  = 'Factor L:';
  diag   = 'n';
  [ifail] = x04db( ...
                   uplo, diag, a, 'brackets', form, title, ...
                   'int', 'int', ncols, indent);
else
  fprintf('\na is not positive definite.\n');
end

% diary off
