function f08bx_example

% diary f08bx_example.r
fprintf('f08bx example results\n\n');

% Upper trapezoidal matrix A
m = nag_int(3);
n = nag_int(4);
l = nag_int(n-m);
a = [ 2.5 - 0.0i,  0.4 - 0.6i, -0.3 - 1.0i,  0.0 - 0.2i;
      0.0 + 0.0i, -1.9 - 0.0i,  0.6 + 0.2i, -0.0 + 0.1i;
      0.0 + 0.0i,  0.0 + 0.0i, -1.2 - 0.0i, -0.2 - 0.2i];

% Compute the RZ factorization of A
[rz, tau, info] = f08bv(a);

% Form Y = Z^H * C
c = [ -0.71 - 0.01i,  0.26 - 0.43i;
      -4.26 - 2.46i, -0.31 - 1.49i;
      -2.07 - 6.22i,  1.74 + 2.30i;
       0.00 + 0.00i,  0.00 + 0.00i];

side = 'Left';
trans = 'Conjugate transpose';

[zhc, info] = f08bx( ...
		     side, trans, l, rz, tau, c);

disp('   Z^H * C:');
disp(zhc);

% diary off
