function f08fg_example

% diary f08fg_example.r
fprintf('f08fg example results\n\n');

% Find eigenvalues 1:2 of A
a = [ 2.07,  0,    0,     0;
      3.87, -0.21, 0,     0;
      4.20,  1.87, 1.15,  0;
     -1.15,  0.63, 2.06, -1.81];

% A --> Q T Q^T, for tridiagonal T with diagonal Td and off-diagonal Tod.
uplo = 'L';
[QT, Td, Tod, tau, info] = f08fe( ...
				  uplo, a);

% Get eigenvalues 1:2 of T (= eigenvalues of A)
vl = 0;
vu = 0;
il = nag_int(1);
iu = nag_int(2);
abstol = 0;
[m, ~, w, iblock, isplit, info] = ...
  f08jj(...
        'I', 'B', vl, vu, il, iu, abstol, Td, Tod);

% Get corresponding eigenvectors of T
[v, ifailv, info] = f08jk( ...
			   Td, Tod, m, w, iblock, isplit);

% Transform Q*V to get eigenvectors of A 
side = 'Left';
trans = 'No transpose';
[z, info] = f08fg( ...
                   side, uplo, trans, QT, tau, v);

fprintf(' Eigenvalues numbered 1 to 2 are:\n   ');
fprintf(' %7.4f',w(1:m));
fprintf('\n\n');

[ifail] = x04ca( ...
		 'General', ' ', z, 'Corresponding eigenvectors of A');

% diary off
