function f08fl_example

% diary f08fl_example.r
fprintf('f08fl example results\n\n');

a = [1, 2, 3, 4;
     0, 2, 3, 4;
     0, 0, 3, 4;
     0, 0, 0, 4];
n = nag_int(size(a,1));

% Eigenvalues and eogenvectors of upper triangular A
jobz = 'Vectors';
uplo = 'Upper';
[v, w, info] = f08fa( ...
		      jobz, uplo, a);

disp('Eigenvectors');
disp(v);

% Eigenvalue error bound
errbnd = x02aj*max(abs(w(1)),abs(w(end)));
% Eigenvector condition numbers
[rcondz, info] = f08fl( ...
		        'Eigenvectors', n, n, w);

% Eigenvector error bounds
zerrbd = errbnd./rcondz;

disp('Error estimate for the eigenvalues');
fprintf('%12.1e\n',errbnd);
disp('Error estimates for the eigenvectors');
fprintf('%12.1e',zerrbd);
fprintf('\n');

% diary off
