function f08ft_example

% diary f08ft_example.r
fprintf('f08ft example results\n\n');

% Eigenvalues / vectors of Hermitian matrix A
uplo = 'L';
n = 4;
a = [-2.28 + 0.00i,  0.00 + 0i,     0    + 0i,     0    + 0i;
      1.78 + 2.03i, -1.12 + 0i,     0    + 0i,     0    + 0i;
      2.26 - 0.10i,  0.01 - 0.43i, -0.37 + 0i,     0    + 0i;
     -0.12 - 2.53i, -1.07 - 0.86i,  2.31 + 0.92i, -0.73 + 0i];

% A --> QTQ^H, for tridiagonal T
[QT, d, e, tau, info] = f08fs( ...
                               uplo, a);

% Form Q
[Q, info] = f08ft(uplo, QT, tau);

% Calculate eigenvalues/vectors of A from Q, d and e.
compz = 'V';
[w, ~, z, info] = f08js( ...
                         compz, d, e, Q);

% Normalize vectors, largest element is real and positive.
for i = 1:n
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

disp(' Eigenvalues of A:');
disp(w);
disp(' Corresponding eigenvectors:');
disp(z);

% diary off
