function f08hc_example

% diary f08hc_example.r
fprintf('f08hc example results\n\n');

% Symmetric band matrix A, stored in symmetric banded format
uplo = 'L';
kd = nag_int(2);
n  = 5;
ab = [1, 2, 3, 4, 5;
      2, 3, 4, 5, 0;
      3, 4, 5, 0, 0];

% Calculate all the eigenvalues and eigenvectors of A
job = 'V';
[abf, w, z, info] = f08hc( ...
                           job, uplo, kd, ab);

% Normalize eigenvectors: largest element positive
for j = 1:n
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

disp('Eigenvalues');
disp(w');

[ifail] = x04ca( ...
		 'General', ' ', z, 'Eigenvectors');

% diary off
