function f08hq_example

% diary f08hq_example.r
fprintf('f08hq example results\n\n');

% Hermitian band matrix A, stored on symmetric banded format
uplo = 'L';
kd = nag_int(2);
ab = [1 + 0i,  2 + 0i,  3 + 0i,  4 + 0i,  5 + 0i;
      2 + 1i,  3 + 2i,  4 + 3i,  5 + 4i,  0 + 0i;
      3 + 1i,  4 + 2i,  5 + 3i,  0 + 0i,  0 + 0i];

% All eigenvalues and eigenvectors of A
job = 'V';
[abf, w, z, info] = f08hq( ...
                           job, uplo, kd, ab);

% Normalize: largest elements are real
for i = 1:5
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

disp('Eigenvalues');
disp(w');
[ifail] = x04da( ...
                 'General', ' ', z, 'Eigenvectors');

% diary off
