function f08jb_example

% diary f08jb_example.r
fprintf('f08jb example results\n\n');

% Symmetric tridiagonal A stored as diagonal and off-diagonal
d = [1;     4;     9;     16];
e = [1;     2;     3];

% Eigenvalues in range [0,5] and corresponding eigenvectors
jobz  = 'Vectors';
range = 'Values in range';
vl = 0;
vu = 5;
il = nag_int(0);
iu = nag_int(0);
abstol = 0;
[~, ~, m, w, z, jfail, info] = ...
f08jb( ...
       jobz, range, d, e, vl, vu, il, iu, abstol);

% Normalize eigenvectors: largest element positive
for j = 1:m
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

disp(' Eigenvalues of A in range:');
disp(w(1:m));
disp(' Corresponding eigenvectors:');
disp(z);

% diary off
