function f08jv_example

% diary f08jv_example.r
fprintf('f08jv example results\n\n');

% A is Hermitian banded matrix
n = 4;
k = nag_int(2);
a = [ -3.13 + 0.00i,  1.94 - 2.10i, -3.40 + 0.25i,  0    + 0i;
       1.94 + 2.10i, -1.91 + 0.00i, -0.82 - 0.89i, -0.67 + 0.34i;
      -3.40 - 0.25i, -0.82 + 0.89i, -2.87 + 0.00i, -2.10 - 0.16i;
       0    + 0i,    -0.67 - 0.34i, -2.10 + 0.16i,  0.50 + 0i    ];

% Convert to general banded format ...
kl = nag_int(k); 
[~, abn, ifail] = f01zd( ...
                         'P', k, k, a, complex(zeros(k+k+1,n)));
% ... and chop to give 'Upper' Hermitian banded format
ab = abn(1:k+1,1:n);

% Reduce A to tridiagonal form A = ZTZ^H
compz = 'V';
uplo  = 'Upper';
[~, Td, Te, ZTZ, info] = f08hs( ...
                                compz, uplo, k, ab, complex(zeros(n, n)));

% Eigenvalues and vectors of A from tridiagonal form (ZTZ, Td, Te).
[w, ~, z, info] = f08jv( ...
                         compz, Td, Te, ZTZ);

% Normalize: largest elements are real
for i = 1:n
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

disp(' Eigenvalues of A:');
disp(w');
disp(' Corresponding eigenvectors:');
disp(z);

% diary off
