function f08kq_example

% diary f08kq_example.r
fprintf('f08kq example results\n\n');

% Least squares problem min ||b - Ax|| where A and b are:
a = [ 0.47 - 0.34i, -0.32 - 0.23i,  0.35 - 0.60i,  0.89 + 0.71i, -0.19 + 0.06i;
     -0.40 + 0.54i, -0.05 + 0.20i, -0.52 - 0.34i, -0.45 - 0.45i,  0.11 - 0.85i;
      0.60 + 0.01i, -0.26 - 0.44i,  0.87 - 0.11i, -0.02 - 0.57i,  1.44 + 0.80i;
      0.80 - 1.02i, -0.43 + 0.17i, -0.34 - 0.09i,  1.14 - 0.78i,  0.07 + 1.14i];
[m,n] = size(a);
b = [ 2.15 - 0.20i;
     -2.24 + 1.82i;
      4.45 - 4.28i;
      5.70 - 6.25i;
      0    + 0i];

% Treat singular values less than 0.01 as zero
rcond = 0.01;
[vr, x, s, rank, info] = f08kq( ...
                                a, b, rcond);

disp('Least squares solution');
disp(x(1:n));
disp('Tolerance used to estimate the rank of A');
fprintf('%12.2e\n',rcond);
disp('Estimated rank of A');
fprintf('%5d\n\n',rank);
disp('Singular values of A');
disp(s');

% diary off
