function f08ms_example

% diary f08ms_example.r
fprintf('f08ms example results\n\n');

m = nag_int(6);
n = nag_int(4);
a = [ 0.96 - 0.81i, -0.03 + 0.96i, -0.91 + 2.06i, -0.05 + 0.41i;
     -0.98 + 1.98i, -1.20 + 0.19i, -0.66 + 0.42i, -0.81 + 0.56i;
      0.62 - 0.46i,  1.01 + 0.02i,  0.63 - 0.17i, -1.11 + 0.60i;
     -0.37 + 0.38i,  0.19 - 0.54i, -0.98 - 0.36i,  0.22 - 0.20i;
      0.83 + 0.51i,  0.20 + 0.01i, -0.17 - 0.46i,  1.47 + 1.59i;
      1.08 - 0.28i,  0.20 - 0.12i, -0.07 + 1.23i,  0.26 + 0.26i];

% Factorize A = QR
[QR, tau, info] = f08as(a);

% Generate Q from QR
[Q, info] = f08at(QR, tau);

% Extract R from QR
R = triu(QR(1:n,1:n));

% Bidiagonalize R = Q1 B P^H
[B, d, e, tauq, taup, info] = f08ks(R);

% Form P^H explicitly
vect = 'P';
[PH, info] = f08kt(vect, m, B, taup);
% Form Q1 explicitly
vect = 'Q';
[Q1, info] = f08kt(vect, n, B, tauq);

% Update Q: Q2 = Q*Q1 (so A = QR = Q2 B PH)
vect = 'Q';
side = 'Right';
trans = 'No transpose';
[Q2, info] = f08ku(vect, side, trans, n, B, tauq, Q);

% Compute SVD of A from bidiagonal form
uplo = 'Upper';
c = [];
[S, ~, VH, U, ~, info] = f08ms(uplo, d, e, PH, Q2, c);

disp('Singular values:');
disp(S);
disp('Left Singular Vectors:');
disp(U);
disp('Right Singular Vectors:');
disp(VH');

% diary off
