function f08nb_example

% diary f08nb_example.r
fprintf('f08nb example results\n\n');

% Matrix A
n = 4;
a = [0.35,  0.45, -0.14, -0.17;
     0.09,  0.07, -0.54,  0.35;
    -0.44, -0.33, -0.03,  0.17;
     0.25, -0.32, -0.13,  0.11];


% Eigenvalues and left and right eigenvectors of A after matrix balancing
balanc = 'Balance';
jobvl = 'Vectors (left)';
jobvr = 'Vectors (right)';
sense = 'Both reciprocal condition numbers';
[a, wr, wi, vl, vr, ilo, ihi, scale, abnrm, rconde, rcondv, info] = ...
f08nb( ...
       balanc, jobvl, jobvr, sense, a);

disp('Eigenvalues');
fprintf('\n        Eigenvalue                  rcond\n\n');
for j=1:n
  fprintf('%3d',j);
  if wi(j)==0
    fprintf('%15.4e%24.4f\n',wr(j),rconde(j));
  elseif wi(j)<0
    fprintf('%15.4e - %10.4ei%10.4f\n',wr(j),abs(wi(j)),rconde(j));
  else
    fprintf('%15.4e + %10.4ei%10.4f\n',wr(j),wi(j),rconde(j));
  end
end

fprintf('\nEigenvectors\n\n');
fprintf('        Eigenvector                 rcond\n');
evecs = complex(zeros(n,n));
k = 1;
conjugating = false;
for j = 1:n
  fprintf('\n%3d',j);
  if wi(j)==0 && ~conjugating
    fprintf('%15.4e%24.4f\n',vr(1,k),rcondv(j));
    fprintf('%18.4e\n',vr(2:n,k));
    k = k + 1;
  else
    if conjugating
      pl = '-';
      mi = '+';
    else
      pl = '+';
      mi = '-';
    end
    for l = 1:n
      if (l>1)
        fprintf('%3s', ' ');
      end
      if vr(l,k+1)>0
        fprintf('%15.4e %s %10.4ei', vr(l,k), pl, vr(l,k+1));
      else
        fprintf('%15.4e %s %10.4ei', vr(l,k), mi, abs(vr(l,k+1)));
      end
      if l==1
        fprintf('%10.4f', rcondv(j));
      end
      fprintf('\n');
    end
    if conjugating    
      k = k + 2;
    end
    conjugating = ~conjugating;
  end
end

% diary off
