function f08qu_example

% diary f08qu_example.r
fprintf('f08qu example results\n\n');

ilo = nag_int(1);
ihi = nag_int(4);
a = [ -3.97 - 5.04i, -4.11 + 3.70i, -0.34 + 1.01i,  1.29 - 0.86i;
       0.34 - 1.50i,  1.52 - 0.43i,  1.88 - 5.38i,  3.36 + 0.65i;
       3.31 - 3.85i,  2.50 + 3.45i,  0.88 - 1.08i,  0.64 - 1.48i;
      -1.10 + 0.82i,  1.81 - 1.59i,  3.25 + 1.33i,  1.57 - 3.44i];

% Reduce A to upper Hessenberg Form
[H, tau, info] = f08ns( ...
			ilo, ihi, a);

% Form Q
[Q, info] = f08nt( ...
		   ilo, ihi, H, tau);

% Schur factorize H = Y*T*Y' and form Z = QY  A = QY*T*(QQY)'
job   = 'Schur form';
compz = 'Vectors';
[T, w, Z, info] = f08ps( ...
			 job, compz, ilo, ihi, H, Q);

job = 'Both';
compq = 'Vectors';
select = [true; false;  false;  true];
[T, Q, w, m, s, sep, info] = f08qu( ...
				    job, compq, select, T, Z);

disp('selected eigenvalues:');
disp(w(1:m));
fprintf('Condition number estimate for selected eigenvalues = %7.4f\n',1/s);
fprintf('Condition number estimate for specified subspace   = %7.4f\n',1/sep);

% diary off
