function f08ta_example

% diary f08ta_example.r
fprintf('f08ta example results\n\n');

% Symmetric matrices A and B stored in packed (Upper) format
n = nag_int(4);
uplo = 'U';
ap = [0.24;
      0.39; -0.11;
      0.42;  0.79; -0.25;
     -0.16;  0.63;  0.48; -0.03];
bp = [4.16;
     -3.12;  5.03;
      0.56; -0.83;  0.76;
      -0.10;  1.09;  0.34;  1.18];

% Unpack to calculate 1 norms
[a, ap, ifail] = f01za( ...
                        'Unpack', uplo, 'N', zeros(n,n), ap);
[b, bp, ifail] = f01za( ...
                        'Unpack', uplo, 'N', zeros(n,n), bp);
anorm = norm(a + a' - diag(diag(a)),1);
bnorm = norm(b + b' - diag(diag(b)),1);


% Eigenvalues only of Az = lambda*Bz
itype = nag_int(1);
jobz = 'No vectors';
[~, L, w, z, info] = f08ta( ...
                            itype, jobz, uplo, n, ap, bp);

disp('Eigenvalues');
disp(w');

% Estimate condition number
[rcond, info] = f07ug( ...
                       '1', uplo, 'N', n, L);

rcondb = rcond^2;
fprintf('Estimate of reciprocal condition number for B\n%12.1e\n', rcondb);

% Error bounds
t1 = x02aj/rcondb;
t2 = anorm/bnorm;
errbnd(1:n) = t1*t2 + t1.*abs(w);

fprintf('\n');
disp('Error estimate for the eigenvalues');
fprintf('%12.1e',errbnd);
fprintf('\n');

% diary off
