function f08tn_example

% diary f08tn_example.r
fprintf('f08tn example results\n\n');

% Hermitian matrices A and B stored in packed (Upper) format
n = nag_int(4);
uplo = 'U';
ap = [-7.36;
       0.77 - 0.43i;  3.49 + 0i;
      -0.64 - 0.92i;  2.19 + 4.45i;  0.12 + 0i;
       3.01 - 6.97i;  1.90 + 3.73i;  2.88 - 3.17i; -2.54 + 0i];
bp = [ 3.23;
       1.51 - 1.92i;  3.58 + 0i;
       1.90 + 0.84i; -0.23 + 1.11i;  4.09 + 0i;
       0.42 + 2.50i; -1.18 + 1.37i;  2.33 - 0.14i;  4.29 + 0i];

% Eigenvalues only of Az = lambda*Bz
itype = nag_int(1);
jobz = 'No vectors';
[~, up, w, z, info] = f08tn( ...
                            itype, jobz, uplo, n, ap, bp);

disp('Eigenvalues');
disp(w');

% Unpack to calculate 1 norms
[a, ap, ifail] = f01zb( ...
                        'Unpack', uplo, 'N', complex(zeros(n,n)), ap);
[b, bp, ifail] = f01zb( ...
                        'Unpack', uplo, 'N', complex(zeros(n,n)), bp);
anorm = norm(a + a' - diag(diag(a)),1);
bnorm = norm(b + b' - diag(diag(b)),1);

% Estimate condition number
[rcond, info] = f07uu( ...
                       '1', uplo, 'N', n, up);

rcondb = rcond^2;
fprintf('Estimate of reciprocal condition number for B\n%12.1e\n', rcondb);

% Error bounds
t1 = x02aj/rcondb;
t2 = anorm/bnorm;
errbnd(1:n) = t1*t2 + t1.*abs(w);

fprintf('\n');
disp('Error estimate for the eigenvalues');
fprintf('%12.1e',errbnd);
fprintf('\n');

% diary off
