function f08ts_example

% diary f08ts_example.r
fprintf('f08ts example results\n\n');

% Hermitian matrices A and B stored in packed (Lower) format
uplo = 'L';
n = nag_int(4);
ap = [-7.36;  0.77 + 0.43i; -0.64 + 0.92i;  3.01 + 6.97i;
              3.49 + 0i;     2.19 - 4.45i;  1.90 - 3.73i;
                             0.12 + 0i;     2.88 + 3.17i;
                                           -2.54 + 0i];
bp = [ 3.23;  1.51 + 1.92i;  1.90 - 0.84i;  0.42 - 2.50i; 
              3.58 + 0i;    -0.23 - 1.11i; -1.18 - 1.37i;
                             4.09 - 0i;     2.33 + 0.14i;
                                            4.29 - 0i];

% Compute Cholesky factorization of B
[lp, info] = f07gr( ...
		    uplo, n, bp);

% Reduce problem to standard form Cy = lambda y,
% where y = L^H x, C = L^-1 A L^-H
itype = nag_int(1);
[cp, info] = f08ts( ...
		   itype, uplo, n, ap, lp);

% Reduce C to tridiagonal form T = Q^H C Q
[qp, d, e, tau, info] = f08gs( ...
			       uplo, n, cp);

% Calculate eigenvalues of T (same as C)
[w, ~, info] = f08jf(d, e);

disp('Eigenvalues');
disp(w');

% diary off
