function f08xb_example

% diary f08xb_example.r
fprintf('f08xb example results\n\n');

% Matrix pair (A,B)
A = [3.9, 12.5, -34.5, -0.5;
     4.3, 21.5, -47.5,  7.5;
     4.3, 21.5, -43.5,  3.5;
     4.4, 26.0, -46.0,  6.0];
B = [1,    2,    -3,    1;
     1,    3,    -5,    4;
     1,    3,    -4,    3;
     1,    3,    -4,    4];


% Generalized Schur form (S,T) of (A,B), generalized eigenvalues
% and Schur vectors Q and Z with sorting and selecting only
% real eigenvalues
jobvsl = 'Vectors (left)';
jobvsr = 'Vectors (right)';
sortp = 'Sort';
selctg = @(ar, ai, b) (ai == 0) ;
sense = 'Both reciprocal condition numbers';

[S, T, sdim, alphar, alphai, beta, VSL, VSR, rconde, rcondv, info] = ...
  f08xb( ...
         jobvsl, jobvsr, sortp, selctg, sense, A, B);

fprintf('Number of selected eigenvalues = %4d\n\n', sdim);
disp('Selected generalized eigenvalues')
eigs = alphar./beta + i*alphai./beta;
disp(eigs(1:sdim));

fprintf('%s\n%s\n%s = %8.1e, %s = %8.1e\n\n', ...
        'Reciprocals of left and right projection norms onto', ...
        'the deflating subspaces for the selected eigenvalues', ...
        'rconde(1)', rconde(1), 'rconde(2)', rconde(2));
fprintf('%s\n%s\n%s = %8.1e, %s = %8.1e\n\n', ...
        'Reciprocals condition numbers for the left and right', ...
        'deflating subspaces', 'rcondv(1)', rcondv(1), ...
        'rcondv(2)', rcondv(2));

anorm = norm(A,2);
bnorm = norm(B,2);
abnorm = sqrt(anorm^2+bnorm^2);
fprintf('%s = %8.1e\n', ...
        'Approximate asymptotic error bound for selected eigenvalues   ', ...
        x02aj*abnorm/rconde(1));
fprintf('%s = %8.1e\n', ...
        'Approximate asymptotic error bound for the deflating subspaces', ...
        x02aj*abnorm/rcondv(2));

% diary off
