function f11ds_example

% diary f11ds_example.r
fprintf('f11ds example results\n\n');

% Solve sparse system Ax = b using preconditioned CGS

% Sparse A and b
n    = nag_int(5);
nz   = nag_int(16);
sparseA = [ 2  3   1    1;
            1 -1   1    2;
           -1  0   1    4;
            0  2   2    2;
           -2  1   2    3;
            1  0   2    5;
            0 -1   3    1;
            5  4   3    3;
            3 -1   3    4;
            1  0   3    5;
           -2  2   4    1;
           -3  1   4    4;
            0  3   4    5;
            4 -2   5    2;
           -2  0   5    3;
           -6  1   5    5];
a(1:nz)    = sparseA(:,1) + i*sparseA(:,2);
irow(1:nz) = nag_int(sparseA(:,3));
icol(1:nz) = nag_int(sparseA(:,4));
b = [ -3 +  3i;
     -11 +  5i;
      23 + 48i;
     -41 +  2i;
     -28 - 31i];

% Solver setup input argument initialization
method = 'CGS';
precon = 'N';
omega  = 1.05;
m      = nag_int(1);
tol    = 1e-10;
maxitn = nag_int(1000);
x      = complex(zeros(n, 1));

[x, rnorm, itn, ifail] = ...
f11ds( ...
       method, precon, a, irow, icol, omega, b, m, tol, maxitn, x);

fprintf('Converged in %d iterations\n', itn);
fprintf('Final residual norm = %16.4e\n\n', rnorm);
disp('Solution');
disp(x);

% diary off
