function f11jc_example

% diary f11jc_example.r
fprintf('f11jc example results\n\n');

% Solve Ax = b by CG with Incomplete Cholesky preconditioning

% Matrix A and RHS b

n    = nag_int(7);
nz   = nag_int(16);
a = zeros(3*nz, 1);
irow = zeros(3*nz, 1, nag_int_name);
icol = irow;
a(1:nz)    = [4; 1; 5; 2; 2; 3;-1; 1; 4; 1;-2; 3; 2;-1;-2; 5];
irow(1:nz) = [1; 2; 2; 3; 4; 4; 5; 5; 5; 6; 6; 6; 7; 7; 7; 7];
icol(1:nz) = [1; 1; 2; 3; 2; 4; 1; 4; 5; 2; 5; 6; 1; 2; 3; 7];

b = [15; 18; -8; 21; 11; 10; 29];

% Calculate incomplete Cholesky factorization
lfill  = nag_int(1);
dtol   = 0;
mic    = 'N';
dscale = 0;
ipiv = zeros(n,1,nag_int_name);

[a, irow, icol, ipiv, istr, nnzc, npivm, ifail] = ...
f11ja( ...
       nz, a, irow, icol, lfill, dtol, mic, dscale, ipiv);

% Solve Ax = b
method = 'CG';
tol    = 1e-06;
maxitn = nag_int(100);
x      = zeros(n,1);

[x, rnorm, itn, ifail] = f11jc( ...
                                method, nz, a, irow, icol, ipiv, istr, ...
                                b, tol, maxitn, x);

fprintf('\nConverged in %d iterations\n', itn);
fprintf('Final residual norm = %16.3e\n\n', rnorm);
disp('Solution');
disp(x);

% diary off
