function f11jn_example

% diary f11jn_example.r
fprintf('f11jn example results\n\n');

% The sparse matrix A
n    = 7;
nz   = nag_int(16);
a    = zeros(3*nz, 1);
irow = zeros(3*nz, 1, nag_int_name);
icol = zeros(3*nz, 1, nag_int_name);

a(1:nz) = [ 6 + 0i;  1 - 2i;  9 + 0i; 4 + 0i; 
            2 + 2i;  5 + 0i;  0 - 1i; 1 + 0i;
            4 + 0i;  1 + 3i;  0 - 2i; 3 + 0i;
            2 + 1i; -1 + 0i; -3 - 1i; 5 + 0i];

irow(1:nz) = nag_int([1; 2; 2; 3; 4; 4; 5; 5; 5; 6; 6; 6; 7; 7; 7; 7]);
icol(1:nz) = nag_int([1; 1; 2; 3; 2; 4; 1; 4; 5; 2; 5; 6; 1; 2; 3; 7]);

% Zero-fill, unmodified incmoplee Cholesky factorization of A
lfill  = nag_int(0);
dtol   = 0;
mic    = 'N';
dscale = 0;
ipiv   = zeros(n, 1, nag_int_name);
[a, irow, icol, ipiv, istr, nnzc, npivm, ifail] = ...
    f11jn(...
          nz, a, irow, icol, lfill, dtol, mic, dscale, ipiv);

% Display details of factorization
disp('Details of Incomplete Cholesky Factorization')
range = nz+1:nz+nnzc;
S = sparse(double(irow(range)),double(icol(range)),a(range));
disp(S);

disp('Pivots, ipiv:');
fprintf('%5d',ipiv);
fprintf('\n');

% diary off
