function f11za_example

% diary f11za_example.r
fprintf('f11za example results\n\n');

% Sparse 5-by-5 matrix in coordinate storage form to be reordered 
n = nag_int(5);
nz = nag_int(15);
irow = zeros(nz,1,nag_int_name);
icol = zeros(nz,1,nag_int_name);
a(1:nz)     = [4; -2;  1; -2; -3;  1;  0;  1; -1;  6;  2;  2;  1;  1;  2];
irow(1:nz) = [3;  5;  4;  4;  5;  1;  1;  3;  2;  5;  1;  4;  2;  3;  4];
icol(1:nz) = [1;  2;  4;  2;  5;  2;  5;  5;  4;  5;  1;  2;  3;  3;  5];

fprintf('Number of elements in original sparse matrix: %5d\n',nz);
disp('Original matrix ordering:');
fprintf('   k   a(k)  i_k  j_k\n');
for j = 1:nz
  fprintf('%4d%6.1f%5d%5d\n',j,a(j),irow(j),icol(j));
end

% Sum duplicates and remove zeros
dup = 'S';
zero = 'R';

% Reorder along rows first (swap row, col to reorder by columns)
[nz, a, irow, icol, istr, ifail] = ...
f11za( ...
       n, nz, a, irow, icol, dup, zero);

fprintf('\nNumber of elements in reordered sparse matrix: %5d\n',nz);
disp('New ordering (by row first):');
fprintf('   k   a(k)  i_k  j_k\n');
for j = 1:nz
  fprintf('%4d%6.1f%5d%5d\n',j,a(j),irow(j),icol(j));
end

% diary off
