function f11zp_example

% diary f11zp_example.r
fprintf('f11zp example results\n\n');

n = nag_int(4);
nz = nag_int(9);
irow = zeros(nz,1,nag_int_name);
icol = zeros(nz,1,nag_int_name);
a = zeros(nz,1);
a(1:nz)    = [ 1 + 2i;     0 + 0i;      0 + 3i;
               3 - 5i;     4 + 2i;      0 + 3i;
               2 + 4i;     1 - 1i;      1 + 3i];
irow(1:nz) = [ 3;          2;           3;
               4;          1;           2;
               3;          3;           3];
icol(1:nz) = [ 2;          1;           2;
               4;          1;           2;
               3;          2;           2];
fprintf('Number of elements in original sparse matrix: %5d\n',nz);
disp('Original matrix ordering:');
fprintf('   k      a(k)      i_k  j_k\n');
for j = 1:nz
  fprintf('%4d  (%4.1f,%4.1f)%5d%5d\n', j, real(a(j)), imag(a(j)), ...
	  irow(j),icol(j));
end

% Sum duplicates and remove zeros
dup = 'S';
zero = 'R';
[nz, a, irow, icol, istr, ifail] = ...
  f11zp( ...
	 n, nz, a, irow, icol, dup, zero);

fprintf('\nNumber of elements in reordered sparse matrix: %5d\n',nz);
disp('New ordering:');
fprintf('   k      a(k)      i_k  j_k\n');
for j = 1:nz
  fprintf('%4d  (%4.1f,%4.1f)%5d%5d\n', j, real(a(j)), imag(a(j)), ...
	  irow(j),icol(j));
end

% diary off
