function f12ab_example

% diary f12ab_example.r
fprintf('f12ab example results\n\n');

% Use existing sparse matrix to generate symmetric one.
load('west0479.mat')
S = west0479;

% Extract details of sparse matrix S and form shifted inverse.
[irow,icol,a] = find(S);
n   = nag_int(size(S,1));
sigma = 100;
C = S - sigma*eye(n);
C = inv(C);

% Find 10 eigenvalues closest to sigma
nev = nag_int(10);
ncv = nag_int(30);
irevcm = nag_int(0);
resid = zeros(n,1);
v = zeros(n, ncv);
x = zeros(n, 1);
mx = zeros(n);

% Setup reverse communication solver using shifted inverse mode
[icomm, comm, ifail] = f12aa( ...
                              n, nev, ncv);
[icomm, comm, ifail] = f12ad( ...
                              'Shifted Inverse Real', icomm, comm);

while (irevcm ~= 5)
  [irevcm, resid, v, x, mx, nshift, comm, icomm, ifail] = ...
    f12ab( ...
           irevcm, resid, v, x, mx, comm, icomm);
  if (irevcm == -1 || irevcm == 1)
    x = C*x;
  elseif (irevcm == 4)
    [niter, nconv, ritzr, ritzi, rzest] = f12ae(icomm, comm);
    if (niter == 1)
      fprintf('\n');
    end
    fprintf('Iteration %2d No. converged = %d Norm of estimates = %10.2e\n', ...
            niter, nconv, norm(rzest));
  end
end

[nconv, dr, di, z, v, comm, icomm, ifail] = ...
  f12ac( ...
         sigma, 0, resid, v, comm, icomm);

fprintf('\nThe %4d Ritz values closest to %8.2f are:\n\n', size(dr,1), sigma);
fprintf('%9.3f %+9.3fi\n', [dr di]');

% diary off
