function f12af_example

% diary f12af_example.r
fprintf('f12af example results\n\n');

nx  = nag_int(10);
n   = nx*nx;
nev = nag_int(4);
ncv = nx;
kl  = nx;
ku  = nx;

% Construct ab and mb
ab = zeros(2*kl+ku+1,n);
mb = zeros(2*kl+ku+1,n);

% Main diagonal of A.
idiag = kl + ku + 1;
for j=1:n
  ab(idiag,j) = 4;
  mb(idiag,j) = 4;
end

% First subdiagonal and superdiagonal of A.
isup = kl + ku;
isub = kl + ku + 2;
rho = 100;
h = 1/double(nx+1);
for i=1:nx
  lo = (i-1)*nx;
  for j=lo+1:lo+nx-1
    ab(isub,j+1) = -1 + 0.5*h*rho;
    ab(isup,j)   = -1 - 0.5*h*rho;
  end
end
for j = 1:n - 1
  mb(isub,j+1) = 1;
  mb(isup,j) = 1;
end

% kl-th subdiagonal and ku-th super-diagonal.
isup = kl + 1;
isub = 2*kl + ku + 1;
for i = 1:nx - 1
  lo = (i-1)*nx;
  for j = lo + 1:lo + nx
    ab(isup,nx+j) = -1;
    ab(isub,j)    = -1;
  end
end

sigmar = 0.4;
sigmai = 0.6;
resid = zeros(100,1);

[icomm, comm, ifail] = f12af( ...
                              n, nev, ncv);
[icomm, comm, ifail] = f12ad( ...
                              'Shifted imaginary', icomm, comm);
[icomm, comm, ifail] = f12ad( ...
                              'Generalized', icomm, comm);
[nconv, dr, di, z, resid, v, comm, icomm, ifail] = ...
  f12ag( ...
         kl, ku, ab, mb, sigmar, sigmai, resid, comm, icomm);

fprintf('The %4d Ritz values closest to %8.2f %+8.2fi are:\n\n', ...
        nconv, sigmar, sigmai);
fprintf('%9.4f %+9.4fi\n', [dr(1:nconv) di(1:nconv)]');

% diary off
