function f12an_example

% diary f12an_example.r
fprintf('f12an example results\n\n');

load('west0479.mat')
A   = west0479;
m   = size(A,1);
n   = nag_int(m);
nev = nag_int(8);
ncv = nag_int(20);

irevcm = nag_int(0);
resid  = complex(zeros(n,1));
v      = complex(zeros(n, ncv));
x      = complex(zeros(n,1));
mx     = complex(zeros(n,1));

sigma = complex(0);

% Initialisation Step
[icomm, comm, ifail] = f12an(n, nev, ncv);

% Solve
while (irevcm ~= 5)

  [irevcm, resid, v, x, mx, nshift, comm, icomm, ifail] = ...
    f12ap( ...
           irevcm, resid, v, x, mx, comm, icomm);

  if (irevcm == 1 || irevcm == -1)
    x = A*x;
  elseif (irevcm == 4)

    [niter, nconv, ritz, rzest] = f12as( ...
                                         icomm, comm);

    fprintf('Iteration %2d, No. converged = %d', niter, nconv);
    fprintf(' norm of estimates = %10.2e\n', norm(rzest(1:nev),2));
  end
end

% Post-process to compute eigenvalues/vectors
[nconv, d, z, v, comm, icomm, ifail] = ...
  f12aq( ...
         sigma, resid, v, comm, icomm);

fprintf('\n\nLargest %d Eigenvalues are:\n',nconv);
disp(sort(d(1:nconv),'descend'));

fig1 = figure;
plot(d(1:nconv),'b*'); 
title('Largest eigenvalues of sparse matrix west0479');
xlabel('real');
ylabel('imaginary')
% print(fig1,'-dpng','-r75','f12an_fig1.png');
% print(fig1,'-deps','-r75','f12an_fig1.eps');


% diary off
