function f12ap_example

% diary f12ap_example.r
fprintf('f12ap example results\n\n');

n   = nag_int(100);
nx  = nag_int(10);
nev = nag_int(4);
ncv = nag_int(20);

irevcm = nag_int(0);
resid = complex(zeros(n,1));
v  = complex(zeros(n,ncv));
x  = complex(zeros(n,1));
mx = complex(zeros(n,1));

sig = complex(0);

rho = 10;
h   = 1/double(n+1);
h2 = h*h;
s = rho/2;
s/h;
s1 = -1/h2 - s/h;
s2 =  2/h2;
s3 = -1/h2 + s/h;
cl = s1*ones(n-1,1);  cl = complex(cl);
cd = s2*ones(n,1);    cd = complex(cd);
cu = s3*ones(n-1,1);  cu = complex(cu);
% cd(1:n-1) = cd(1:n-1) - sig;

[cl, cd, cu, cu2, ipiv, info] = f07cr( ...
                                       cl, cd, cu);

% Initialisation Step
[icomm, comm, ifail] = f12an(n, nev, ncv);
[icomm, comm, ifail] = f12ar( ...
                              'Shifted Inverse', icomm, comm);

% Solve
while (irevcm ~= 5)
  [irevcm, resid, v, x, mx, nshift, comm, icomm, ifail] = ...
    f12ap( ...
           irevcm, resid, v, x, mx, comm, icomm);
  if (irevcm == 1 || irevcm == -1)
    [x, info] = f07cs( ...
                       'N', cl, cd, cu, cu2, ipiv, x);
  elseif (irevcm == 4)
    [niter, nconv, ritz, rzest] = f12as( ...
                                         icomm, comm);
    fprintf(['Iteration %2d, No. converged = %d, ', ...
             'norm of estimates = %10.2e\n'], ...
            niter, nconv, norm(rzest(1:nev),2));
  end
end

% Post-process to compute eigenvalues/vectors
[nconv, d, z, v, comm, icomm, ifail] = ...
  f12aq( ...
         sig, resid, v, comm, icomm);

fprintf('\nThe %d Eigenvalues of smallest magnitude are:\n',nconv);
fprintf('%11.4f%+11.4fi\n',[real(d(1:nconv)) imag(d(1:nconv))]');

% diary off
