function f12fg_example

% diary f12fg_example.r
fprintf('f12fg example results\n\n');

nx  = nag_int(10);
n   = nx^2;
nev = nag_int(4);
ncv = nag_int(10);

% Banded matrices and dimensions
kl  = nx;
ku  = nx;
mb  = zeros(2*kl+ku+1,n);
ab  = zeros(2*kl+ku+1,n);

% Construct the matrix A in banded form and store in ab.
% Main diagonal of A.
h2 = 1/double((nx+1)*(nx+1));
ab(kl+ku+1,1:n) = 4/h2;

% First sub- and super-diagonal of A.
ab(kl+ku,   1:n) = -1/h2;
ab(kl+ku+2, 1:n) = -1/h2;
ab(kl+ku,   1:nx:n) = 0;
ab(kl+ku+2,nx:nx:n) = 0;
% kl-th subdiagonal and ku-th super-diagonal.
ab(kl+1     ,nx+1:n) = -1/h2;
ab(2*kl+ku+1,1:n-nx) = -1/h2;

% Solver setup
[icomm, comm, ifail] = f12ff( ...
                              n, nev, ncv);

% Solver
sigma = 0;
resid = zeros(n,1);
[nconv, d, z, resid, v, comm, icomm, ifail] = ...
f12fg( ...
       kl, ku, ab, mb, sigma, resid, comm, icomm);

fprintf('Largest %d Eigenvalues\n',nconv);
fprintf('%10.2f\n',d(1:nconv));

% diary off
