function g01hd_example

% diary g01hd_example.r
fprintf('g01hd example results\n\n');

iscov  = nag_int(1);

% Example 1
nu    = 10;
tail  = {'u';  'u';  'u';  'u';  'u'};
a     = [-0.1; -0.1; -0.1; -0.1; -0.1];
b     = [888;  888;  888;  888;  888];
delta = [0;    0;    0;    0;    0];
rc    = [1.00, 0.75, 0.75, 0.75, 0.75;
         0.75, 1.00, 0.75, 0.75, 0.75;
         0.75, 0.75, 1.00, 0.75, 0.75;
         0.75, 0.75, 0.75, 1.00, 0.75;
         0.75, 0.75, 0.75, 0.75, 1.00];

% Calculate probability
[result, rc, errest, ifail] = ...
  g01hd( ...
	 tail, a, b, nu, delta, iscov, rc);

fprintf('Example 1:\n');
fprintf('Probability:   %24.5e\nError estimate:%24.2e\n', result, errest);

% Example 2
nu = 3;
tail = {'l';   'l';  'l';  'l';  'l'};
a     = [888;  888;  888;  888;  888];
b     = [-0.1; -0.1; -0.1; -0.1; -0.1];
delta = [1;    2;    3;    3;    3];
rc    = [1.00, 0.75, 0.75, 0.75, 0.75;
         0.75, 1.00, 0.75, 0.75, 0.75;
         0.75, 0.75, 1.00, 0.75, 0.75;
         0.75, 0.75, 0.75, 1.00, 0.75;
         0.75, 0.75, 0.75, 0.75, 1.00];

% Calculate probability
[result, rc, errest, ifail] = ...
  g01hd( ...
	 tail, a, b, nu, delta, iscov, rc);

fprintf('\nExample 2:\n');
fprintf('Probability:   %24.5e\nError estimate:%24.2e\n', result, errest);

% diary off
