function g01sa_example

% diary g01sa_example.r
fprintf('g01sa example results\n\n');

x    = [1.96; 1.96; 1.96; 1.96];
xmu  = [0; 0; 0; 0];
xstd = [1; 1; 1; 1];
tail = {'L'; 'U'; 'C'; 'S'};

% calculate probability
[prob, ivalid, ifail] = g01sa( ...
                               tail, x, xmu, xstd);

fprintf('tail    x       xmu      xstd    probability\n');
lx    = numel(x);
lxmu  = numel(xmu);
lxstd = numel(xstd);
ltail = numel(tail);
len   = max ([lx, lxmu, lxstd, ltail]);
for i=0:len-1
  fprintf(' %c %8.2f %8.2f %8.2f %8.3f\n', tail{mod(i,ltail)+1}, ...
          x(mod(i,lx)+1), xmu(mod(i,lxmu)+1), xstd(mod(i,lxstd)+1), prob(i+1));
end

% diary off
