function g02bz_example

% diary g02bz_example.r
fprintf('g02bz example results\n\n');

x1 = [-1.10  4.06  -0.95  8.53 10.41;
       1.63 -3.22  -1.15 -1.30  3.78;
      -2.23 -8.19  -3.50  4.31 -1.11;
       0.92  0.33  -1.60  5.80 -1.15];

x2 = [ 2.12  5.00 -11.69 -1.22  2.86;
       4.82 -7.23  -4.67  0.83  3.46;
      -0.51 -1.12  -1.76  1.45  0.26;
      -4.32  4.89   1.34 -1.12 -2.49;
       0.02 -0.74   0.94 -0.99 -2.61];

wt = [ 2;    0.89;  0.32; 4.19; 4.33];

x3 = [ 1.37  0.00  -0.53 -7.98  3.32;
       4.15 -2.81  -4.09 -7.96 -2.13;
      13.09 -1.43   5.16 -1.83  1.58];

for b=1:3

  switch b
    case 1
      % first data block: summarise the data into xmean and xc
      [xsw, xmean, xc, ifail] = g02bu( ...
                                       x1);
    case 2
      [ysw, ymean, yc, ifail] = g02bu( ...
                                       x2, 'wt', wt);
    case 3
      [ysw, ymean, yc, ifail] = g02bu( ...
                                       x3);
  end

  if b ~= 1
    % Update the running summaries
    [xsw, xmean, xc, ifail] = g02bz( ...
                                     xsw, xmean, xc, ysw, ymean, yc);
  end
end

% Display results
fprintf('\nMeans\n');
disp(xmean');
mtitle = 'Sums of squares and cross-products';
uplo = 'Upper';
diag = 'Non-unit';
m = nag_int(5);
[ifail] = x04cc( ...
                 uplo, diag, m, xc, mtitle);

if xsw > 1
  % convert to covariance matrix
  fprintf('\n');
  mtitle = 'Covariance Matrix';
  [ifail] = x04cc( ...
                   uplo, diag, m, xc/(xsw-1), mtitle);
end

% diary off
