function g02cb_example

% diary g02cb_example.r
fprintf('g02cb example results\n\n');

x = [ 1.0   0.0    4.0    7.5   2.5   0.0  10.0   5.0];
y = [20.0  15.5   28.3   45.0  24.5  10.0  99.0  31.2];

n = numel(x);
fprintf('  i    independent(x)   dependent(y)\n');
fprintf('%3d%14.4f%14.4f\n',[1:n; x; y]);

[result, ifail] = g02cb(x, y);

fprintf('\n');
fprintf('Mean of independent variable               = %8.4f\n', result(1));
fprintf('Mean of   dependent variable               = %8.4f\n', result(2));
fprintf('Standard deviation of independent variable = %8.4f\n', result(3));
fprintf('Standard deviation of   dependent variable = %8.4f\n', result(4));
fprintf('Correlation coefficient                    = %8.4f\n', result(5));
fprintf('\n');
fprintf('Regression coefficient                     = %8.4f\n', result(6));
fprintf('Standard error of coefficient              = %8.4f\n', result(8));
fprintf('t-value for coefficient                    = %8.4f\n', result(10));

fprintf('\nAnalysis of regression table :-\n\n');

fprintf('     Source       Sum of squares  D.F.    Mean square     F-value\n');
fprintf('Due to regression %11.3f%8d%14.3f%14.3f\n', result(12:15));
fprintf('About  regression %11.3f%8d%14.3f\n', result(16:18));
fprintf('Total             %11.3f%8d\n', result(19:20));

% diary off
