function g02ce_example

% diary g02ce_example.r
fprintf('g02ce example results\n\n');

% Data
xbar = [  5.8;        2.8;       1.8;        5.4   ];
std  = [  5.0695;     1.924;     2.5884;     4.98  ];
ssp  = [102.8,      -29.2,     -14.2,      -57.6;
        -29.2,       14.8,      -6.2,        6.4;
        -14.2,       -6.2,      28.6,       42.4;
        -57.6,        6.4,      42.4,       99.2   ];
r    = [  1,         -0.7486,   -0.2619,    -0.5704;
         -0.7486,     1,        -0.3014,     0.167;
         -0.2619,    -0.3014,    1,          0.796;
         -0.5704,     0.167,     0.796,      1     ];

% Reordering
korder = [nag_int(4); 1; 2];

% Display data
fprintf('Original vector xbar :   ');
fprintf(' %10.4f', xbar);
fprintf('\n\nOriginal vector std  :   ');
fprintf(' %10.4f', std);
fprintf('\n\n');
disp('Original matrix SSP  :');
disp(ssp);
disp('Original matrix R    :');
disp(r);

% Calculate summaries on reduced number of variables
[xbar2, std2, ssp2, r2, ifail] = ...
  g02ce( ...
         xbar, std, ssp, r, korder);

% Display results
fprintf('New vector xbar2 :   ');
fprintf(' %10.4f', xbar2);
fprintf('\n\nNew vector std2  :   ');
fprintf(' %10.4f', std2);
fprintf('\n\n');
disp('New matrix ssp2  :');
disp(ssp2);
disp('New matrix r2    :');
disp(r2);

% diary off
