function g02cg_example

% diary g02cg_example.r
fprintf('g02cg example results\n\n');

% Data
n    = nag_int(5);
k    = 2;
xbar = [  5.4;     5.8;      2.8];
ssp  = [ 99.2,   -57.6,      6.4;
        -57.6,   102.8,    -29.2;
          6.4,   -29.2,     14.8   ];
r    = [  1,     -0.5704,    0.167;
         -0.5704, 1,        -0.7486;
          0.167, -0.7486,    1     ];
% Reordering
korder = [nag_int(1); 3; 2];

% Display data
disp('Means:');
disp(xbar);
disp('Sums of squares and cross-products about means:');
disp(ssp);
disp('Correlation coefficients:');
disp(r);

% Fit multiple linear regression model
[result, coeff, con, rinv, c, ifail] = ...
  g02cg(n, xbar, ssp, r);

% Display results
fprintf('  Variable    Coef      Std err  t-value\n');
disp([[1:k]' coeff]);
  
fprintf('Analysis of regression table :-\n\n');
fprintf('      Source        Sum of squares  DF   Mean square   F-value\n');
fprintf('Due to regression %11.3f%8d%13.3f%12.3f\n', result(1:4));
fprintf('About  regression %11.3f%8d%13.3f\n', result(5:7));
fprintf('Total             %11.3f%8d\n\n', result(8:9));
fprintf('Standard error of estimate = %8.4f\n', result(10));
fprintf('Multiple correlation (R)   = %8.4f\n', result(11));
fprintf('Determination (R squared)  = %8.4f\n', result(12));
fprintf('Corrected R squared        = %8.4f\n\n', result(13));

disp('Inverse of correlation matrix of independent variables:');
disp(rinv);
disp('Modified inverse matrix:');
disp(c);

% diary off
