function g02df_example

% diary g02df_example.r
fprintf('g02df example results\n\n');

x = [ 1.0 1.4 0.0 0.0;
      1.5 2.2 0.0 0.0;
      2.0 4.5 0.0 0.0;
      2.5 6.1 0.0 0.0;
      3.0 7.1 0.0 0.0;
      3.5 7.7 0.0 0.0;
      4.0 8.3 1.0 4.0;
      4.5 8.6 1.0 4.5;
      5.0 8.8 1.0 5.0;
      5.5 9.0 1.0 5.5;
      6.0 9.3 1.0 6.0;
      6.5 9.2 1.0 6.5];
y = [ 4.32  5.21  6.49  7.10  7.94  8.53 ...
      8.84  9.02  9.27  9.43  9.68  9.83];
[n,m]  = size(x);
isx    = ones(m,1,nag_int_name);
mean_p = 'M';
ip     = nag_int(m+1);

% Fit general linear regression model
[rss, idf, b, se, covar, res, h, q, svd, irank, p, wk, ifail] = ...
  g02da(mean_p, x, isx, ip, y);

% Display initial results
if svd
  fprintf('Model not of full rank\n\n', irank);
end
fprintf('Residual sum of squares = %12.4e\n', rss);
fprintf('Degrees of freedom      = %4d\n', idf);

% Variables to drop
indx = nag_int([2, 4]);
perm = double([1:ip]);

for j = 1:numel(indx)
  % drop j-th variable
  [q, rss, ifail] = g02df( ...
                           q, indx(j), rss, 'ip', ip);

  perm(indx(j):ip-1) = perm(indx(j)+1:ip);
  ip = ip - 1;

  fprintf('\nVariable %2d dropped\n', indx(j));

  % Calculate parameter estimates
  [rss, idf, b, se, covar, svd, irank, p, ifail] = ...
  g02dd(nag_int(n), ip, q, rss);

  % Display results having dropped indx(j)
  if svd
    fprintf('Model not of full rank, rank = %4d\n\n', irank);
  end
  fprintf('Residual sum of squares = %12.4e\n', rss);
  fprintf('Degrees of freedom      = %4d\n', idf);
  fprintf('\nVariable   Parameter estimate   Standard error\n\n');
  ivar = perm(1:ip)';
  fprintf('%6d%20.4e%20.4e\n',[ivar b se]');
end

% diary off
