function g02ef_example

% diary g02ef_example.r
fprintf('g02ef example results\n\n');

z   = [  7  26   6  60   78.5;
         1  29  15  52   74.3;
        11  56   8  20  104.3;
        11  31   8  47   87.6;
         7  52   6  33   95.9;
        11  55   9  22  109.2;
         3  71  17   6  102.7;
         1  31  22  44   72.5;
         2  54  18  22   93.1;
        21  47   4  26  115.9;
         1  40  23  34   83.8;
        11  66   9  12  113.3;
        10  68   8  12  109.4];
[n,m1] = size(z);
m = m1 - 1;

isx = ones(m,1,nag_int_name);

% Compute sums of squares and cross-products of deviations from mean for z
[sw, wmean, c, ifail] = g02bu(z);

% Perform stepwise selection of variables
fout = 2;
[isx, b, se, rsq, rms, df, user, ifail] = ...
g02ef( ...
       nag_int(n), wmean, c, sw, isx, 'fout', fout, 'monfun', @monfun);

% Display results
fprintf('\nFitted Model Summary\n');
fprintf('Term              Estimate   Standard Error\n');
fprintf('Intercept:    %12.3e     %12.3e\n', b(1), se(1));
for j = 1:m
  if isx(j)==1 || isx(j)==2
    fprintf('Variable: %3d %12.3e     %12.3e\n', j, b(j+1), se(j+1));
  end
end
fprintf('\nRMS: %12.3e\n', rms);

% diary off

function [user] = monfun(flag, var, val, user)

  switch flag
    case 'C'
      fprintf('\nVariable %d aliased\n', var);
    case 'S'
      fprintf('\nStarting Stepwise Selection\n');
    case 'F'
      fprintf('\nForward Selection\n');
    case 'V'
      fprintf('Variable %d  Variance ratio = %12.3f\n', var, val);
    case 'A'
      fprintf('\nAdding variable %d to model\n', var);
    case 'B'
      fprintf('\nBackward Selection\n');
    case 'D'
      fprintf('\nDropping variable %d from model\n', var);
    case 'K'
      fprintf('\nKeeping all current variables\n');
    case 'X'
      fprintf('\nFinished Stepwise Selection\n');
  end;
