function g02gb_example

% diary g02gb_example.r
fprintf('g02gb example results\n\n');

x = [  1;      0;     -1];
y = [ 19;     29;     24];
t = [516;    560;    293];

[n,m]   = size(x);
isx = ones(m,1,nag_int_name);
ip  = nag_int(m+1);

link   = 'G';
mean_p = 'M';
eps = 1e-6;
tol = 5e-5;

% Fit generalized linear model with Binomial errors
[dev, idf, b, irank, se, covar, v, ifail] = ...
  g02gb( ...
         link, mean_p, x, isx, ip, y, t, 'eps', eps, 'tol', tol);

%  Display results
fprintf('Deviance           = %12.4e\n', dev);
fprintf('Degrees of freedom = %2d\n', idf);
fprintf('\nVariable   Parameter estimate   Standard error\n\n');
ivar = double([1:ip]');
fprintf('%6d%20.4e%20.4e\n',[ivar b se]');
fprintf('\n       n          y        fv     residual       h\n\n');
for j=1:n
  fprintf('%10.1f%10.1f%10.2f%12.4f%10.3f\n',t(j),y(j),v(j,2),v(j,5),v(j,6));
end

% diary off
