function g02gc_example

% diary g02gc_example.r
fprintf('g02gc example results\n\n');

x = [1, 0, 0, 1, 0, 0, 0, 0;
     1, 0, 0, 0, 1, 0, 0, 0;
     1, 0, 0, 0, 0, 1, 0, 0;
     1, 0, 0, 0, 0, 0, 1, 0;
     1, 0, 0, 0, 0, 0, 0, 1;
     0, 1, 0, 1, 0, 0, 0, 0;
     0, 1, 0, 0, 1, 0, 0, 0;
     0, 1, 0, 0, 0, 1, 0, 0;
     0, 1, 0, 0, 0, 0, 1, 0;
     0, 1, 0, 0, 0, 0, 0, 1;
     0, 0, 1, 1, 0, 0, 0, 0;
     0, 0, 1, 0, 1, 0, 0, 0;
     0, 0, 1, 0, 0, 1, 0, 0;
     0, 0, 1, 0, 0, 0, 1, 0;
     0, 0, 1, 0, 0, 0, 0, 1];

y = [141;   67;  114;   79;   39; 
     131;   66;  143;   72;   35;
      36;   14;   38;   28;   16];

[n,m] = size(x);
isx = ones(m,1,nag_int_name);
ip = nag_int(m+1);

link = 'L';
mean_p = 'M';
eps = 1e-6;
maxit = nag_int(20);

% Fit generalized linear model with Poisson errors
[dev, idf, b, irank, se, covar, v, ifail] = ...
g02gc( ...
       link, mean_p, x, isx, ip, y, 'eps', eps, 'maxit', maxit);

%  Display results
fprintf('Deviance           = %12.4e\n', dev);
fprintf('Degrees of freedom = %2d\n', idf);
fprintf('\nVariable   Parameter estimate   Standard error\n\n');
ivar = double([1:ip]');
fprintf('%6d%16.4f%20.4f\n',[ivar b se]');
fprintf('\n     y        fv     residual       h\n\n');
for j=1:n
  fprintf('%7.1f%10.2f%12.4f%10.3f\n',y(j),v(j,2),v(j,5),v(j,6));
end

% diary off
