function g02gd_example

% diary g02gd_example.r
fprintf('g02gd example results\n\n'); 

x = [1;  1;    1;    1;    1;    0;     0;     0;     0;    0   ];
y = [1;  0.3; 10.5;  9.7; 10.9;  0.62;  0.12;  0.09;  0.5;  2.14];

[n,m] = size(x);
isx = ones(m,1,nag_int_name);
ip = nag_int(m+1);

link   = 'R';
mean_p = 'M';
s      = 0;
tol    = 5e-5;

% Fit generalized linear model with Gamma errors
[s, dev, idf, b, irank, se, covar, v, ifail] = ...
  g02gd( ...
         link, mean_p, x, isx, ip, y, s, 'tol', tol);

  %  Display results
fprintf('Deviance           = %12.4e\n', dev);
fprintf('Degrees of freedom = %2d\n', idf);
fprintf('\nVariable   Parameter estimate   Standard error\n\n');
ivar = double([1:ip]');
fprintf('%6d%16.4f%20.4f\n',[ivar b se]');
fprintf('\n     y        fv     residual       h\n\n');
for j=1:n
  fprintf('%7.1f%10.2f%12.4f%10.3f\n',y(j),v(j,2),v(j,5),v(j,6));
end

% diary off
