function g02gp_example

% diary g02gp_example.r
fprintf('g02gp example results\n\n');

x = [ 1;  2; 3; 4; 5];
y = [25; 10; 6; 4; 3];

isx = [nag_int(1)];
ip  = nag_int(2);

link   = 'R';
mean_p = 'M';
s      = 0;

% Fit generalized linear model, with Normal errors to training data
[s, rss, idf, b, irank, se, covar, v, ifail] = ...
  g02ga( ...
         link, mean_p, x, isx, ip, y, s);

% Display parameter estimates for training data
fprintf('\nResidual sum of squares =  %12.4e\n', rss);
fprintf('Degrees of freedom      =  %d\n', idf);
fprintf('\n      Estimate     Standard error\n');
for i = 1:ip
  fprintf('%14.4f %14.4f\n', b(i), se(i));
end

% Prediction data
x = [32; 18];

% compute redicted values
errfn  = 'N';
vfobs = true;
[eta, seeta, pred, sepred, ifail] = ...
  g02gp( ...
         errfn, link, mean_p, x, isx, b, covar, vfobs, 's', s);

% Display predicted values
fprintf('\n  i      eta          se(eta)      predicted    se(predicted)\n');
for i = 1:ip
  fprintf('%3d%13.5f%13.5f%13.5f%13.5f\n', i, eta(i), seeta(i), ...
          pred(i), sepred(i));
end

% diary off
