function g02hf_example

% diary g02hf_example.r
fprintf('g02hf example results\n\n');

x = [1, -1, -1;
     1, -1,  1;
     1,  1, -1;
     1,  1,  1;
     1,  0,  3];

rs  = [0.5643;  -1.1286;   0.5643;  -1.1286;   1.1286];
wgt = [0.4039;   0.5012;   0.4039;   0.5012;   0.3862];

% Estimate variance-covariance matrix
indw  = nag_int(1);
indc  = nag_int(1);
sigma = 20.7783;
[c, wk, ifail] = g02hf( ...
                        @psi, @psp, indw, indc, sigma, x, rs, wgt);

disp('Covariance matrix');
disp(c);

% diary off

function [result] = psi(t)
  if t < -1.5
    result = -1.5;
  elseif abs(t) < 1.5
    result = t;
  else
    result = 1.5;
  end;

function [result] = psp(t)
  if (abs(t) < 1.5)
    result=1;
  else
    result=0;
  end
