function g03ad_example

% diary g03ad_example.r
fprintf('g03ad example results\n\n');

z   = [80, 58.4, 14.0, 21;
       75, 59.2, 15.0, 27;
       78, 60.3, 15.0, 27;
       75, 57.4, 13.0, 22;
       79, 59.5, 14.0, 26;
       78, 58.1, 14.5, 26;
       75, 58.0, 12.5, 23;
       64, 55.5, 11.0, 22;
       80, 59.2, 12.5, 22];
isz = [nag_int(-1);1;1;-1];
nx  = nag_int(2);
ny  = nx;
mcv = nx;
tol = 1e-06;

[e, ncv, cvx, cvy, ifail] = ...
  g03ad( ...
	 z, isz, nx, ny, mcv, tol);

fprintf('Rank of x = %d, Rank of y = %d\n\n', nx, ny);
fprintf('Canonical    Eigenvalues Percentage     Chisq      DF     Sig\n');
fprintf('correlations              variation\n');
fprintf('%11.4f%12.4f%12.4f%10.4f%8.1f%8.4f\n',e');
fprintf('\n');

mtitle = 'Canonical Coefficients for x';
matrix = 'General';
diag   = ' ';
[ifail] = x04ca( ...
                 matrix, diag, cvx, mtitle);

fprintf('\n');
mtitle = 'Canonical Coefficients for y';
[ifail] = x04ca( ...
                 matrix, diag, cvy, mtitle);

% diary off
