function g03eh_example

% diary g03eh_example.r
fprintf('g03eh example results\n\n');

x = [1, 1, 1;
     2, 1, 2;
     3, 6, 3;
     4, 8, 2;
     5, 8, 0];
[n,m]  = size(x);

isx    = ones(m,1,nag_int_name);
isx(1) = nag_int(0);
s      = ones(m,1);
ld     = (n*(n-1))/2;
d      = zeros(ld,1);

% Compute the distance matrix
update = 'I';
dist = 'S';
scal = 'U';
[s, d, ifail] = g03ea( ...
		       update, dist, scal, x, isx, s, d);

% Clustering method
method = nag_int(5);

% Perform clustering
n      = nag_int(n);
[d, ilc, iuc, cd, iord, dord, ifail] = ...
  g03ec(method, n, d);

% Produce dendograms
orient = 'East';
fprintf('Dendrogram, Orientation %s\n', orient);
dmin  = 0;
dstep = 1.1;
nsym  = nag_int(40);
lenc  = nag_int(n);

% Generate character array holding the dendogram
[c, ifail] = g03eh( ...
		    orient, dord, dmin, dstep, nsym, lenc);

for i = 1:lenc
  fprintf('%s\n',c{i});
end

orient = 'South';
fprintf('\nDendrogram, Orientation %s\n', orient);
dstep = 1.0;
lenc  = nag_int(nsym);

% Generate character array holding the dendogram
[c, ifail] = g03eh( ...
		    orient, dord, dmin, dstep, nsym, lenc);

for i = 1:lenc
  fprintf('%s\n',c{i});
end

% diary off
