function g04bc_example

% diary g04bc_example.r
fprintf('g04bc example results\n\n');

nrep = nag_int(1);
nrow = nag_int(5);
ncol = nag_int(5);
y = [6.67; 7.15; 8.29; 8.95; 9.62; 5.40; 4.77; 5.40; 7.54; 6.93;
     7.32; 8.53; 8.50; 9.99; 9.68; 4.92; 5.00; 7.29; 7.85; 7.08;
     4.88; 6.16; 7.83; 5.38; 8.51];

nt = nag_int(5);
it = [nag_int(5);  4;  1;  3;  2;  2;  5;  4;  1;  3;
              3;   2;  5;  4;  1;  1;  3;  2;  5;  4;
              4;   1;  3;  2;  5];

tol = 1e-05;
irdf = nag_int(0);

[gmean, tmean, table, c, irep, rpmean, rmean, cmean, r, ef, ifail] = ...
  g04bc( ...
         nrep, nrow, ncol, y, nt, it, tol, irdf);

% Display results
fprintf('ANOVA table\n\n');
fmt5 = '%s%3.0f%12.4f%12.4f%12.4f%8.4f\n';
fmt3 = '%s%3.0f%12.4f%12.4f\n';
fmt2 = '%s%3.0f%12.4f\n';
if nrep>1
  fprintf(fmt5, 'Reps        ', table(1,1:5));
end
fprintf(fmt5, 'Rows        ', table(2,1:5));
fprintf(fmt5, 'Columns     ', table(3,1:5));
fprintf(fmt5, 'Treatments  ', table(4,1:5));
fprintf(fmt3, 'Residual    ', table(5,1:3));
fprintf(fmt2, 'Total       ', table(6,1:2));
fprintf('\n\nTreatment Means\n\n');
for j = 1:8:nt
  fprintf('%8.4f', tmean(j:min(j+7,nt)));
  fprintf('\n');
end
fprintf('\nS.E. of difference (orthogonal design) = %10.4f\n', c(2,1));

% diary off
