function g04ca_example

% diary g04ca_example.r
fprintf('g04ca example results\n\n');

y = [274; 361; 253; 325; 317; 339; 326; 402; 336; 379;
     345; 361; 352; 334; 318; 339; 393; 358; 350; 340;
     203; 397; 356; 298; 382; 376; 355; 418; 387; 379;
     432; 339; 293; 322; 417; 342;  82; 297; 133; 306;
     352; 361; 220; 333; 270; 388; 379; 274; 336; 307;
     266; 389; 333; 353];

% Sizes
nblock = nag_int(3);
inter  = nag_int(2);

% Levels for the 2 factors
lfac   = [nag_int(6); 3];
irdf   = nag_int(0);

% Get routine to calculate maxt and mterm
ws = warning;
warning('Off');
warn_state = nag_issue_warnings();
nag_issue_warnings(true);

mterm  = nag_int(1);
maxt   = nag_int(0);
[table, itotal, tmean, e, imean, semean, bmean, r, ifail] = ...
  g04ca( ...
         y, lfac, nblock, inter, irdf, mterm, maxt);

nag_issue_warnings(warn_state);
warning(ws);

mterm = itotal;
maxt = imean(1);

% Calculate ANOVA table
[table, itotal, tmean, e, imean, semean, bmean, r, ifail] = ...
  g04ca( ...
         y, lfac, nblock, inter, irdf, mterm, maxt);

% Display results
fprintf('ANOVA table\n\n');
fprintf(' Source      df         SS          MS          F        Prob\n\n');
fmt6 = '%s%2d%5.0f%12.0f%12.0f%12.3f%11.4f\n';
fmt5 = '%s%5.0f%12.0f%12.0f%12.3f%11.4f\n';
fmt3 = '%s%5.0f%12.0f%12.0f\n';
fmt2 = '%s%5.0f%12.0f\n';
k = 0;
if nblock>1
  k = k + 1;
  fprintf(fmt5, 'Blocks    ', table(1,1:5));
end
ntreat = itotal - 2 - k;
for i = 1:ntreat
  fprintf(fmt6, 'Effect  ', i, table(k+i,1:5));
end
fprintf(fmt3, 'Residual  ', table(itotal-1,1:3));
fprintf(fmt2, 'Total     ', table(itotal,1:2));
fprintf('\nTreatment Means and Standard Errors\n\n');
k = 1;
for i = 1:ntreat
  l = imean(i);
  fprintf('Effect %5d\n\n', i);
  for j = k:6:l
    fprintf('%10.2f', tmean(j:min(j+5,l)));
    fprintf('\n');
  end
  fprintf('\nSE of difference in means  = %10.2f\n\n', semean(i));
  k = l + 1;
end

% diary off
