function g04ea_example

% diary g04ea_example.r
fprintf('g04ea example results\n\n');

typ    = 'C';
n1 = nag_int(1);
levels = 4*n1;
ifact  = [ n1;    4;    2;    3;    4;    2; 
            4;    1;    3;    1;    3;    2];
y      = [ 33.63 39.62 38.18 41.46 38.02 35.83 ...
           35.99 36.58 42.92 37.80 40.43 37.89];

% Calculate dummy variables
v      = [0];
[x, rep, ifail] = g04ea( ...
                         typ, levels, ifact, v);

m      = levels;
isx    = ones(m,1,nag_int_name);
mean_p = 'M';
ip     = nag_int(m+1);

% Fit general linear regression model
[rss, idf, b, se, covar, res, h, q, svd, irank, p, wk, ifail] = ...
  g02da(mean_p, x, isx, ip, y);

% Display results
if svd
  fprintf('Model not of full rank, rank = %4d\n\n', irank);
end
fprintf('Residual sum of squares = %12.3e\n', rss);
fprintf('Degrees of freedom      = %4d\n', idf);
fprintf('\nVariable   Parameter estimate   Standard error\n\n');
ivar = double([1:ip]');
fprintf('%6d%20.4e%17.4e\n',[ivar b se]');

% diary off
