function g05kh_example

% diary g05kh_example.r
fprintf('g05kh example results\n\n');

% Initialize the seed
seed = [nag_int(1762543)];

% genid and subid identify the base generator
genid = nag_int(1);
subid =  nag_int(1);
lstate = nag_int(17);
lseed =  nag_int(1);

% n is the number of streams
n = nag_int(3);
% nv is the number of variates
nv = nag_int(5);
% Hold state and variates in successive columns
state = zeros(lstate, n, nag_int_name);
x = zeros(nv, n);

% Initialize the generator to a repeatable sequence for streams
[state1, ifail] = g05kf( ...
                         genid, subid, seed);
% Prepare n streams
for i=1:n
  % Prepare stream i
  state(:, i) = state1;
  [state(:, i), ifail] = g05kh( ...
                                n, i, state(:,i));
end

% Generate nv variates from a uniform distribution, from each stream
for i=1:n
  [state(:, i), x(:, i), ifail] = g05sa( ...
                                         nv, state(:, i));
end

% Display variates by stream
for i=1:n
  fprintf(' Stream %d\n', i);
  disp(x(:,i));
end

% diary off
