function g05pz_example

% diary g05pz_example.r
fprintf('g05pz example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% row and column totals
totr = [nag_int( 9); 11;  7; 23];
totc = [nag_int(16); 17; 17];

% Set up and generate in one go
mode = nag_int(2);

% Generate the random table with given totals
lr = sum(totr) + 5;
r = zeros(lr, 1);
[r, state, x, ifail] = g05pz( ...
                              mode, totr, totc, r, state);

disp('Random Table')
disp(double(x));
disp('Supplied row totals:');
disp(double(totr)');
disp('Supplied column totals:')
disp(double(totc)');

% diary off
