function g05zm_example

% diary g05zm_example.r
fprintf('g05zm example results\n\n');

% Random field variance
var = 0.5;
% Domain endpoints
xmin = -1;
xmax = 1;
% Scaling factor rho = 1
icorr = nag_int(2);
% Number of sample points
ns = nag_int(8);

% Put covariance parameters in communication array
l    = 0.1;
nu   = 1.2;
user = [l, nu];

% Get square roots of the eigenvalues of the embedding matrix
[lam, xx, m, approx, rho, icount, eig, user, ifail] = ...
g05zm(...
       ns, xmin, xmax, var, @cov1, 'icorr', icorr, 'user', user);

fprintf('\nSize of embedding matrix = %d\n\n', m);

% Display approximation information if approximation used
if approx == 1
  fprintf('Approximation required\n\n');
  fprintf('rho = %10.5f\n', rho);
  fprintf('eig = %10.5f%10.5f%10.5f\n', eig(1:3));
  fprintf('icount = %d\n', icount);
else
  fprintf('Approximation not required\n\n');
end

% Display square roots of the eigenvalues of the embedding matrix
fprintf('Square roots of eigenvalues of embedding matrix:\n');
fprintf('%9.5f%9.5f%9.5f%9.5f\n',lam(1:m));

% diary off

function [gam, user] = cov1(x, user)
  if x == 0
    gam = 1;
  else
    l  = user(1);
    nu = user(2);
    gam = exp(-(abs(x)/l)^nu);
  end
