function g07gb_example

% diary g07gb_example.r
fprintf('g07gb example results\n\n');

ns = [nag_int(15); 14; 13];
es = [-1.4; 1.01; 0.63];
var1s = [0.303; 0.161; 0.103];
var2s = [0.161; 0.103; 0.08];

for i = 1:numel(ns)
  % Check whether es(i) is a potential outlier
  [outlier, x, lx, ux, ifail] = ...
  g07gb( ...
         ns(i), es(i), var1s(i), var2s(i));

  % Display results
  fprintf('\nSample size                              : %10d\n', ns(i));
  fprintf('Largest absolute residual (E)            : %10.3f\n', es(i));
  fprintf('Variance for whole sample                : %10.3f\n', var1s(i));
  fprintf('Variance excluding E                     : %10.3f\n', var2s(i));
  fprintf('Estimate for cutoff (X)                  : %10.3f\n', x);
  fprintf('Lower limit for cutoff (LX)              : %10.3f\n', lx);
  fprintf('Upper limit for cutoff (UX)              : %10.3f\n', ux);
  if outlier
    fprintf('E is a potential outlier\n');
  else
    fprintf('E does not appear to be an outlier\n');
  end
end

% diary off
