function g08cc_example

% diary g08cc_example.r
fprintf('g08cc example results\n\n');

global xmean std;
xmean = 0.75;
std   = 0.5;

x = [0.01; 0.30; 0.20; 0.90; 1.20; 0.09; 1.30; 0.18; 0.90; 0.48;
     1.98; 0.03; 0.50; 0.07; 0.70; 0.60; 0.95; 1.00; 0.31; 1.45;
     1.04; 1.25; 0.15; 0.75; 0.85; 0.22; 1.56; 0.81; 0.57; 0.55];

% Parameters
ntype  = nag_int(1);

[d, z, p, sx, ifail] = g08cc( ...
                              x, @cdf, ntype);

fprintf('Test against normal distribution:\n');
fprintf('                     mean = %7.2f\n', xmean);
fprintf('       standard deviation = %7.2f\n', std);

fprintf('\n\nTest statistic D = %8.4f\n', d);
fprintf('Z statistic      = %8.4f\n', z);
fprintf('Tail probability = %8.4f\n', p);

% diary off

function [result] = cdf(x)
  % Cumulative distribution function.
  % Here: for normal distribution, with mean = 0.75 and s.d. = 0.5
  global xmean std;
  
  z = (x-xmean)/std;
  [result,ifail] = s15ab(z);
