function g11bb_example

% diary g11bb_example.r
fprintf('g11bb example results\n\n');

ifac = [nag_int(1),1,1; 1,2,1; 1,3,1; 1,1,2; 1,2,2; 1,3,2;
                 1,1,3; 1,2,3; 1,3,3; 1,1,4; 1,2,4; 1,3,4;
                 1,1,5; 1,2,5; 1,3,5; 1,1,6; 1,2,6; 1,3,6;
                 2,1,1; 2,2,1; 2,3,1; 2,1,2; 2,2,2; 2,3,2;
                 2,1,3; 2,2,3; 2,3,3; 2,1,4; 2,2,4; 2,3,4;
                 2,1,5; 2,2,5; 2,3,5; 2,1,6; 2,2,6; 2,3,6;
                 3,1,1; 3,2,1; 3,3,1; 3,1,2; 3,2,2; 3,3,2;
                 3,1,3; 3,2,3; 3,3,3; 3,1,4; 3,2,4; 3,3,4;
                 3,1,5; 3,2,5; 3,3,5; 3,1,6; 3,2,6; 3,3,6];
y   = [            274;   361;   253;   325;   317;   339;
                   326;   402;   336;   379;   345;   361;
                   352;   334;   318;   339;   393;   358;
                   350;   340;   203;   397;   356;   298;
                   382;   376;   355;   418;   387;   379;
                   432;   339;   293;   322;   417;   342;
                    82;   297;   133;   306;   352;   361;
                   220;   333;   270;   388;   379;   274;
                   336;   307;   266;   389;   333;   353];

lfac   = [nag_int(3); 3; 6];
isf    = [nag_int(0); 1; 1];
maxt   = prod(lfac(isf~=0));
maxt   = nag_int(maxt);

typ    = 'C';
percnt = 50;

% Compute classification table
[table, ncells, ndim, idim, icount, ifail] = ...
  g11bb( ...
         typ, isf, lfac, ifac, percnt, y, maxt);

% Display results
fprintf(' Table for %4dth percentile\n\n', percnt);
ncol = idim(ndim);
nrow = ncells/ncol;
table  = transpose(reshape(table,[ncol,nrow]));
icount = transpose(reshape(icount,[ncol,nrow]));
for i = 1:nrow
  row = [table(i,:); double(icount(i,:))];
  fprintf('%8.2f(%2d)', row);
  fprintf('\n');
end

% diary off
