function g12aa_example

% diary g12aa_example.r
fprintf('g12aa example results\n\n');

t  = [         6;  6;  7;  9; 10; 10; 11; 13; 16;
              17; 19; 20; 22; 23; 25; 32; 34; 35];
ic = [nag_int(1);  0;  0;  1;  0;  1;  1;  0;  0;
               1;  1;  1;  0;  0;  1;  1;  1;  1];

freq  = 'Frequencies';
ifreq = ones(numel(t),1,nag_int_name);
ifreq(2)  = 3;
ifreq(16) = 2;

% Calculate Kaplan-Meier statistic
[nd, tp, p, psig, ifail] = g12aa( ...
                                  t, ic, freq, ifreq);

% Display the results
fprintf('  Time   Survival    Standard\n');
fprintf('        probability  deviation\n\n');
fprintf('%6.1f%10.3f%12.3f\n', [tp(1:nd) p(1:nd) psig(1:nd)]');

fig1 = figure;
stp = [0; tp(1:nd)];
sp  = [1; p(1:nd)];
stairs(stp,sp);
xlabel('Time');
ylabel('Survival probability');
title('Kaplan Meier plot');
legend('Off');
axis([0 tp(nd)+1 0 1.1]);
% print(fig1,'-dpng','-r75','g12aa_fig1.png');
% print(fig1,'-deps','-r75','g12aa_fig1.eps');

% diary off
