function g12za_example

% diary g12za_example.r
fprintf('g12za example results\n\n');

% Data
n = 42;
m = 1;
z          = zeros(n,m);
ic         = zeros(n,1,nag_int_name);
ic(31:end) = 1;
z(22:end)  = 1;
isz        = [nag_int(1)];

t = [ 1;      1;      2;      2;      3;      4;      4;
      5;      5;      8;      8;      8;      8;     11;
     11;     12;     12;     15;     17;     22;     23;
      6;      6;      6;      7;     10;     13;     16;
     22;     23;      6;      9;     10;     11;     17;
     19;     20;     25;     32;     32;     34;     35];

% Parameters
ns  = nag_int(0);
ip  = nag_int(m);
isi = [nag_int(0)];
mxn = nag_int(1000);

% Create risk set
[num, ixs, nxs, x, id, nd, tp, irs, ifail] = ...
  g12za(...
        ns, z, isz, ip, t, ic, isi, mxn);

% Parameters for conditional logistic analysis
tol = 1e-05;
maxit = nag_int(10);

% initial estimate
b   = zeros(m,1);
% Calculate parameter estimates
[dev, b, se, sc, covar, nca, nct, ifail] = ...
g11ca( ...
       nxs, x, isz, id, ixs, b, tol, maxit, 'n', num);

% Display results
ns = max(ns,1);
fprintf(' Parameter      Estimate       Standard Error\n\n');
ivar = [1:m]';
fprintf('%6d%18.4f%18.4f\n',[ivar b se]');

% diary off
