function g13ac_example

% diary g13ac_example.r
fprintf('g13ac example results\n\n');

% coefficients for all 49 lags
r = [ 0.8004    0.4355    0.0328   -0.2835   -0.4505 ...
     -0.4242   -0.2419    0.0550    0.3783    0.5857 ...
      0.6123    0.4389    0.1538   -0.1626   -0.3828 ...
     -0.4637   -0.4133   -0.2630   -0.0711    0.1217 ...
      0.2547    0.2681    0.1211   -0.0683   -0.2248 ...
     -0.3187   -0.3365   -0.2748   -0.1696   -0.0500 ...
      0.0605    0.1131    0.1132    0.0604   -0.0171 ...
     -0.0909   -0.1269   -0.1345   -0.1056   -0.0581 ...
     -0.0119    0.0272    0.0496    0.0592    0.0167 ...
     -0.0138   -0.0328   -0.0383   -0.0287];

nl = nag_int(5);

% Calculate partial ACF
[p, v, ar, nvl, ifail] = g13ac( ...
                                r, nl, 'nk', nag_int(10));

% Display results
fprintf('Lag  Partial    Predictor error  Autoregressive\n');
fprintf('     autocorrn  variance ratio   parameter\n\n');
ivar = double([1:nvl])';
fprintf('%2d%9.3f%16.3f%14.3f\n',[ivar p v ar]');

% For plotting use all posible lags
nl = nag_int(numel(r));
[p, v, ar, nvl, ifail] = g13ac( ...
                                r, nl);

fig1 = figure;
refline = 1.96/sqrt(50);
hold on
h = bar(p,0.1);
h.FaceColor = [1 0 0];
h.EdgeColor = [1 0 0];
h.ShowBaseLine = 'off';
plot([0 50],[refline refline],'green');
plot([0 50],[-refline -refline],'green');
axis([0 50 -0.6 1]);
ax = gca;
ax.YTick = [-0.6:0.2:1];
ax.XTick = [0:10:50];
xlabel('Lag');
ylabel('PACF');
title('Partial autocorrelation coefficients');
hold off
% print(fig1,'-dpng','-r75','g13ac_fig1.png');
% print(fig1,'-deps','-r75','g13ac_fig1.eps');

% diary off
