function g13ae_example

% diary g13ae_example.r
fprintf('g13ae example results\n\n');

% Data
x = [-217; -177; -166; -136; -110;  -95;  -64;  -37;  -14;  -25;
      -51;  -62;  -73;  -88; -113; -120;  -83;  -33;  -19;   21;
       17;   44;   44;   78;   88;  122;  126;  114;   85;   64];
nx = numel(x);

% Orders
mr = [nag_int(1);1;2;0;0;0;0];

% parameters and sizes
npar = mr(1) + mr(3) + mr(4) + mr(6);
par = zeros(npar,1);
iex = mr(3) + (mr(6)*mr(7)) + nx;
igh = mr(3) + (mr(6)*mr(7)) + npar + 1;
ist = (mr(4)+mr(5))*mr(7) + mr(2) + mr(3) + max(mr(1),(mr(6)*mr(7)));

% Control parameters
c = 0;
kpiv = nag_int(0);
zsp = [0.001; 10; 1000; 0.0001];
kzsp = nag_int(1);

% Fit ARIMA model
[par, c, icount, ex, exr, al, s, g, sd, h, st, nst, itc, zsp, isf, ifail] = ...
  g13ae( ...
         mr, par, c, x, iex, igh, ist, @piv, kpiv, zsp, kzsp);

% Display results
nex = icount(4);
ndf = icount(5);
ngh = icount(6);
fprintf('Convergence was achieved after %4d cycles\n\n',itc);
fprintf('Final values of par array and the constant c are as follows\n');
fprintf('%10.4f', par, c);
fprintf('\n\nResidual sum of squares is %10.3f with %4d %s\n\n', ...
        s, ndf, 'degrees of freedom');
fprintf('The final values of ZSP were\n');
fprintf('%15.4e', zsp);
fprintf('\n\nThe number of parameters estimated was %4d\n', ngh);
fprintf('( backward forecasts, par and c, in that order )\n\n');
fprintf('The corresponding G array holds\n');
fprintf('%9.4f', g);
if  itc>0
  fprintf('\n\nThe corresponding SD array holds\n');
  fprintf('%9.4f', sd);
  fprintf('\n\n')
  [ifail] = x04ca( ...
                   'General', ' ', h(1:ngh,:), 'Corresponding H matrix');

  fprintf('\nHolds second derivatives in the upper half ');
  fprintf('(including the main diagonal)\n');
  fprintf('and correlation coefficients in the lower triangle\n');
end
fprintf('\n%s%5d%s\n','EX, EXR, and AL each hold', nex, ...
        ' values made up of');
fprintf('%5d%s\n', icount(1), ' back forecast(s),');
fprintf('%5d%s\n', icount(2), ' differenced values, and');
fprintf('%5d%s\n\n', icount(3), ' element(s) of reconstituted information');
fprintf('  Ex\n');
for j = 1:5:nex
  fprintf('%11.5f', ex(j:min(j+4,nex)));
  fprintf('\n');
end
fprintf('\n  Exr\n');
for j = 1:5:nex
  fprintf('%11.5f', exr(j:min(j+4,nex)));
  fprintf('\n');
end
fprintf('\n  Al\n');
for j = 1:5:nex
  fprintf('%11.5f', al(j:min(j+4,nex)));
  fprintf('\n');
end
fprintf('\nThe state set consists of %4d values\n',nst);
fprintf('%11.5f', st);
fprintf('\n');

% diary off

function [] = piv(mr, par, npar, c, kfc, icount, s, g, h, ih, igh, itc, zsp)

  fprintf('Iteration %d  residual sum f squares = %16.4', itc, s);
