function g13am_example

% diary g13am_example.r
fprintf('g13am example results\n\n');

% data
y = [180;     135;     213;     181;     148;     204;
     228;     225;     198;     200;     187];
n = numel(y);

% Linear Holt smoothing (3 params)
itype = nag_int(3);
p     = nag_int(0);
param = [0.01;    1;     1];
init  = [0; 0];
r     = zeros(p+13,1);

% Initial r values calculated from data
mode  = nag_int(2);
k     = nag_int(n);

nf    = nag_int(5);

% Perform exponential smoothing
[init, fv, fse, yhat, res, dv, ad, r, ifail] = ...
  g13am( ...
         mode, itype, p, param, y, k, init, nf, r);

% Display output
fprintf('Initial values used:\n');
ival = [1:numel(init)]';
fprintf('%4d%12.3f\n',[ival init]');
fprintf('\nMean Deviation     = %12.4e\n', dv);
fprintf('Absolute Deviation = %12.4e\n', ad);
fprintf('\n         Observed      1-Step\n');
fprintf(' Period   Values      Forecast      Residual\n\n');
ival = [1:n]';
fprintf('%4d %12.3f %12.3f %12.3f\n', [ival y yhat res]');
fprintf('\n         Forecast     Standard\n');
fprintf(' Period   Values       Errors\n\n');
ival = double([n+1:n+nf]');
fprintf('%4d %12.3f %12.3f\n', [ival fv fse]');

% diary off
