function g13au_example

% diary g13au_example.r
fprintf('g13au example results\n\n');

% Data
z = [101;  82;  66;  35;  31;   6;  20;  90; 154; 125;
      85;  68;  38;  23;  10;  24;  83; 133; 131; 118;
      90;  67;  60;  47;  41;  21;  16;   6;   4;   7;
      14;  34;  45;  43;  49;  42;  28;  10;   5;   2;
       0;   1;   3;  12;  14;  35;  47;  41;  30;  24;
      16;   7;   4;   2;   8;  13;  36;  50;  62;  67;
      72;  48;  29;   8;  13;  57; 122; 139; 103;  86;
      63;  37;  26;  11;  15;  40;  62;  98; 124;  96;
      65;  64;  54;  39;  21;   7;   4;  23;  53;  94;
      96;  77;  59;  44;  47;  30;  16;   7;  37;  74];

% Number of groups
m = nag_int(8);

% Calculate summary statistic
rs = 'RANGE';
[y, mean_p, ifail] = g13au( ...
                            z, m, rs);

% Display results
fprintf('     Mean      Range\n');
fprintf('   -------------------\n');
fprintf('%11.3f%11.3f\n', [mean_p y]');

fig1 = figure;
plot(mean_p,y,'+','Color','Red');
xlabel('Mean');
ylabel('Range');
title('Plot of Range vs Mean (Y vs Mean)');

% print(fig1,'-dpng','-r75','g13au_fig1.png');
% print(fig1,'-deps','-r75','g13au_fig1.eps');

% diary off
