function g13bg_example

% diary g13bg_example.r
fprintf('g13bg example results\n\n');

sttf = [ 6.0530;  184.4749;  -80.0885;  -75.1704;  -76.9481;
       -81.4749;    0.7776;   -2.6190;   -2.3054;   -1.1963];

% orders and transfer
mr = [nag_int(1);0;0;0;1;1;4];
mt = [nag_int(1),0; 
              0, 0;
              1, 0;
              3, 0];

% Parameters
para = [ 0.5158;    0.9994;    8.6343;    0.6726;   -0.3172];

% New observations
xxyn = [5.941, 96;
        5.386, 95;
        5.811, 80;
        6.716, 88];

% Artifact
kzef = nag_int(1);

%Update state set with new observations
[sttf, xxyn, res, ifail] = ...
  g13bg( ...
         sttf, mr, mt, para, xxyn, kzef);

% Display results
disp('The updated state set');
ns = numel(sttf);
for j = 1:6:ns
  fprintf('%10.4f', sttf(j:min(j+5,ns)));
  fprintf('\n');
end
fprintf('\nThe residuals (after differencing)\n');
fprintf('%4d%12.4f\n',[[1:numel(res)]; res']);
fprintf('\n    z(t)      n(t)\n');
disp(xxyn);

% diary off
