function g13dj_example

% diary g13dj_example.r
fprintf('g13dj example results\n\n');

% Series
z = [-1.490 -1.620  5.200  6.230  6.210  5.860  4.090  3.180  ...
      2.620  1.490  1.170  0.850 -0.350  0.240  2.440  2.580  ...
      2.040  0.400  2.260  3.340  5.090  5.000  4.780  4.110  ...
      3.450  1.650  1.290  4.090  6.320  7.500  3.890  1.580  ...
      5.210  5.250  4.930  7.380  5.870  5.810  9.680  9.070  ...
      7.290  7.840  7.550  7.320  7.970  7.760  7.000  8.350;
      7.340  6.350  6.960  8.540  6.620  4.970  4.550  4.810  ...
      4.750  4.760 10.880 10.010 11.620 10.360  6.400  6.240  ...
      7.930  4.040  3.730  5.600  5.350  6.810  8.270  7.680  ...
      6.650  6.080 10.250  9.140 17.750 13.300  9.630  6.800  ...
      4.080  5.060  4.940  6.650  7.940 10.760 11.890  5.850  ...
      9.010  7.500 10.020 10.380  8.150  8.370 10.730 12.140];
[k,n] = size(z);

% Difference /transform series
tr    = {'N'; 'N'};
id    = [nag_int(0);0];
delta = [0;  0];
[w, nd, ifail] = g13dl( ...
			z, tr, id, delta);

% VARMA info
ip    = nag_int(1);
iq    = nag_int(0);
mean_p = true;

% Initial parameter estimates and free parameter flags
par    = zeros(6, 1);
parhld = [false;  false;  true;  false;  false;  false];

% Exact likelihood
exact  = true;
% control parameters
iprint = nag_int(-1);
cgetol = 0.0001;
ishow  = nag_int(0);

qq = [0, 0; 0, 0];

% Fit VARMA
[par, qq, ~, ~, v, ~, ~, ifail] = ...
  g13dd( ...
	 ip, iq, mean_p, par, qq, w, parhld, exact, iprint, cgetol, ...
	 ishow, 'n', nd);

% Perform forecast
lmax = nag_int(5);
lref = nag_int(150);
mean_p = 'M';
[qq, predz, sefz, ref, ifail] = ...
  g13dj( ...
	 z, tr, id, delta, ip, iq, mean_p, par, qq, v, lmax, lref);

% Display results
fprintf(' Forecast Summary Table\n');
fprintf(' ----------------------\n\n');
fprintf(' Forecast origin is set at t = %4d\n\n', n);
loop = lmax/5;
if mod(lmax,5)~=0
  loop = loop + 1;
end
for j = 1:loop
  i2 = (j-1)*5;
  l2 = min(i2+5,lmax);
  fprintf('Lead Time %14s',' ');
  fprintf('%7d', [i2+1:l2]);
  fprintf('\n\n');
  for i = 1:k
    fprintf('Series %d : Forecast       ', i);
    fprintf('%7.2f',predz(i,i2+1:l2));
    fprintf('\n%8s : Standard Error ', ' ');
    fprintf('%7.2f',sefz(i,i2+1:l2));
    fprintf('\n');
  end
end

% diary off
