function nag_anova_contrasts_example

% diary nag_anova_contrasts_example.r
fprintf('nag_anova_contrasts example results\n\n');

n1 = nag_int(1);
iblock = n1;

y  = [12 10 24 29 30 18 32 26  9  9 ...
      16  4 30  7 21  9 16 10 18 18 ...
      18 24 12 19 10  4  4  5 17  7 ...
      16 17];
it = [n1  1  1  1  1  1  1  1  2  2 ...
       2  2  3  3  3  3  4  4  4  4 ...
       5  5  5  5  6  6  6  6  7  7 ...
       7  7];

% Contrasts
nt = 7*n1;
nc = 2*n1;
ct = [6,  0;
     -1,  1;
     -1, -1;
     -1,  1;
     -1, -1;
     -1,  1;
     -1, -1];
names = {'Cntl v S    '; 'Spring v A  '};

% Calculate ANOVA table
tol  = 0;
irdf = nag_int(0);
[gmean, bmean, tmean, table, c, irep, r, ef, ifail] = ...
  nag_anova_random( ...
         y, iblock, nt, it, tol, irdf);

% Display ANOVA table results
fprintf('ANOVA table\n\n');
fprintf(' Source        df         SS          MS          F        Prob\n\n');
fmt5 = '%s%5.0f%12.1f%12.1f%12.3f%11.4f\n';
fmt3 = '%s%5.0f%12.1f%12.1f\n';
fmt2 = '%s%5.0f%12.1f\n\n';
if iblock > 1
  fprintf(fmt5, 'Blocks      ', table(1,1:5));
end
fprintf(fmt5, 'Treatments  ', table(2,1:5));
fprintf(fmt3, 'Residual    ', table(3,1:3));
fprintf(fmt2, 'Total       ', table(4,1:2));

% Extract the residual mean square and degrees of freedom from table
rms = table(3,3);
rdf = table(3,1);

% Compute sums of squares for contrast
usetx = false;
tx    = zeros(nt, 1);
table = zeros(nc,5);
[est, table, ifail] = nag_anova_contrasts( ...
                             tmean, irep, rms, rdf, ct, table, tol, usetx, tx);

% Display results
fprintf('Orthogonal Contrasts\n\n');
for i = 1:nc
  fprintf(fmt5, names{i}, table(i,1:5));
end

% diary off
