function nag_correg_coeffs_kspearman_miss_pair_example

% diary nag_correg_coeffs_kspearman_miss_pair_example.r
fprintf('nag_correg_coeffs_kspearman_miss_pair example results\n\n');

x = [1.7,  1, 0.5;
     2.8,  4, 3.0;
     0.6,  6, 2.5;
     1.8,  9, 6.0;
     0.99, 4, 2.5;
     1.4,  2, 5.5;
     1.8,  9, 7.5;
     2.5,  7, 0.0;
     0.99, 5, 3.0];
[n,m] = size(x);
fprintf('Number of variables (columns) = %d\n', m);
fprintf('Number of cases     (rows)    = %d\n\n', n);
disp('Data matrix is:-');
disp(x);

miss  = [nag_int(1); 1; 1];
xmiss = [0.99;       9; 0];
itype = nag_int(0);

[rr, ncases, count, ifail] = ...
  nag_correg_coeffs_kspearman_miss_pair( ...
         x, miss, xmiss, itype);

fprintf('Matrix of rank correlation coefficients:\n');
fprintf('Upper triangle -- Spearman''s\n');
fprintf('Lower triangle -- Kendall''s tau\n\n');
disp(rr);
fprintf('Number of cases used for any pair of variables = %d\n', ncases);
fprintf('Numbers used for each pair are:\n');
disp(count);

% diary off
