function nag_correg_coeffs_pearson_subset_miss_case_example

% diary nag_correg_coeffs_pearson_subset_miss_case_example.r
fprintf('nag_correg_coeffs_pearson_subset_miss_case example results\n\n');

x = [ 3,  3,  1,  2;
      6,  4, -1,  4;
      9,  0,  5,  9;
     12,  2,  0,  0;
     -1,  5,  4, 12];
[n,m] = size(x);
fprintf('Number of variables (columns) = %d\n', m);
fprintf('Number of cases     (rows)    = %d\n\n', n);
disp('Data matrix is:-');
disp(x);

miss   = [nag_int(0); 1; 0; 1];
xmiss  = [        0;  0; 0; 0];
mistyp =  nag_int(0);
kvar   = [nag_int(4); 1; 2];
nvar   = size(kvar,1);

[xbar, std, ssp, r, ncases, ifail] = ...
  nag_correg_coeffs_pearson_subset_miss_case( ...
         x, miss, xmiss, mistyp, kvar);

fprintf('Variable   Mean     St. dev.\n');
fprintf('%5d%11.4f%11.4f\n',[double(kvar) xbar(1:nvar) std(1:nvar)]');
fprintf('\nSums of squares and cross-products of deviations\n');
disp(ssp)
fprintf('Correlation coefficients\n');
disp(r);
fprintf('Number of cases actually used  = %d\n', ncases);

% diary off
