function nag_correg_corrmat_nearest_bounded_example

% diary nag_correg_corrmat_nearest_bounded_example.r
fprintf('nag_correg_corrmat_nearest_bounded example results\n\n');

opt = 'b';
alpha = 0.02;
g = [2, -1,  0,  0;
    -1,  2, -1,  0;
     0, -1,  2, -1;
     0,  0, -1,  2];
w = [100, 20, 20, 20];

% Calculate nearest correlation matrix
[g, w, x, iter, feval, nrmgrd, ifail] = ...
  nag_correg_corrmat_nearest_bounded(g, opt, alpha, w);

fprintf('\n Nearest Correlation Matrix:\n');
disp(x);
fprintf('\n Number of Newton steps taken:   %d\n', iter);
fprintf(' Number of function evaluations: %d\n', feval);
fprintf('\n\n Alpha: %30.3f\n', alpha);

[x, eig, info] = nag_lapack_dsyev('n', 'u', x);
fprintf('\n Eigenvalues of x:\n');
disp(transpose(eig));

% diary off
