function nag_correg_glm_estfunc_example

% diary nag_correg_glm_estfunc_example.r
fprintf('nag_correg_glm_estfunc example results\n\n');

x = [
     1  0  0  1  0  0  0  0;
     1  0  0  0  1  0  0  0;
     1  0  0  0  0  1  0  0;
     1  0  0  0  0  0  1  0;
     1  0  0  0  0  0  0  1;
     0  1  0  1  0  0  0  0;
     0  1  0  0  1  0  0  0;
     0  1  0  0  0  1  0  0;
     0  1  0  0  0  0  1  0;
     0  1  0  0  0  0  0  1;
     0  0  1  1  0  0  0  0;
     0  0  1  0  1  0  0  0;
     0  0  1  0  0  1  0  0;
     0  0  1  0  0  0  1  0;
     0  0  1  0  0  0  0  1];

y = [141  67 114  79  39 131  66 143  72  35  36  14  38  28  16];

[n,m] = size(x);
isx = ones(m,1,nag_int_name);
ip = nag_int(m+1);

link   = 'L';
mean_p = 'M';
eps = 1e-6;
tol = 5e-5;

% Fit generalized linear model with Poisson errors
[dev, idf, b, irank, se, covar, v, ifail] = ...
nag_correg_glm_poisson( ...
       link, mean_p, x, isx, ip, y, 'eps', eps, 'tol', tol);

% Display initial results
fprintf('Deviance           = %12.4e\n', dev);
fprintf('Degrees of freedom = %2d\n', idf);
fprintf('\nVariable   Parameter estimate   Standard error\n\n');
ivar = double([1:ip]');
fprintf('%6d%16.4f%20.4f\n',[ivar b se]');

f = [1  0  0;
     1  1  1;
     0 -1  0;
     0  0  0;
     1  0  0;
     0  0  0;
     0  0  0;
     0  0  0;
     0  0  0];
tol = 5e-05;

% Estimate the estimable functions
for j = 1:size(f,2)
  [est, stat, sestat, z, ifail] = ...
  nag_correg_glm_estfunc( ...
         irank, b, covar, v, f(:,j), tol, 'ip', ip);

  % Display results
   fprintf('\nFunction %2d\n\n', j);
   fprintf('%6.1f', f(:,j)');
   if est
     fprintf('\n\nstat = %10.4f, se = %10.4f, z = %10.4f\n', stat, sestat, z);
   else
     fprintf('\n\nFunction not estimable\n');
   end
end

% diary off
