function nag_correg_glm_normal_example

% diary nag_correg_glm_normal_example.r
fprintf('nag_correg_glm_normal example results\n\n');

x = [1:5]';
y = [25  10  6  4  3];

[n,m]   = size(x);
isx = ones(m,1,nag_int_name);
ip  = nag_int(m+1);

link   = 'R';
mean_p = 'M';
s      = 0;
tol    = 5e-5;
% Fit the generalized linear model with Normal errors
[s, rss, idf, b, irank, se, covar, v, ifail] = ...
nag_correg_glm_normal( ...
       link, mean_p, x, isx, ip, y, s, 'tol', 5e-5);

%  Display results
fprintf('Residual sum of squares     = %12.4e\n', rss);
fprintf('Residual degrees of freedom = %2d\n', idf);
fprintf('\nVariable   Parameter estimate   Standard error\n\n');
ivar = double([1:ip]');
fprintf('%6d%20.4e%20.4e\n',[ivar b se]');
fprintf('\n     y        fv     residual       h\n\n');
for j=1:n
  fprintf('%7.1f%10.2f%12.4f%10.3f\n',y(j),v(j,2),v(j,5),v(j,6));
end

% diary off
