function nag_correg_linregm_coeffs_noconst_example

% diary nag_correg_linregm_coeffs_noconst_example.r
fprintf('nag_correg_linregm_coeffs_noconst example results\n\n');

n = nag_int(5);
k = 2;
sspz = [245,  99, 82;
         99, 271, 52;
         82,  52, 54];
rz   = [1,      0.3842, 0.7129;
        0.3842, 1,      0.4299;
        0.7129, 0.4299, 1     ];

disp('Sums of squares and cross-products about zero:');
disp(sspz);
disp('Correlation-like coefficients:');
disp(rz);

% Fit multiple linear regression model
[result, coeff, rzinv, cz, ifail] = ...
  nag_correg_linregm_coeffs_noconst(n, sspz, rz);

% Display results
fprintf('  Variable    Coef      Std err  t-value\n');
disp([[1:k]' coeff]);
  
fprintf('Analysis of regression table :-\n\n');
fprintf('      Source        Sum of squares  DF   Mean square   F-value\n');
fprintf('Due to regression %11.3f%8d%13.3f%12.3f\n', result(1:4));
fprintf('About  regression %11.3f%8d%13.3f\n', result(5:7));
fprintf('Total             %11.3f%8d\n\n', result(8:9));
fprintf('Standard error of estimate = %8.4f\n', result(10));
fprintf('Multiple correlation (R)   = %8.4f\n', result(11));
fprintf('Determination (R squared)  = %8.4f\n', result(12));
fprintf('Corrected R squared        = %8.4f\n\n', result(13));

disp('Inverse of correlation matrix of independent variables:');
disp(rzinv);
disp('Modified inverse matrix:');
disp(cz);

% diary off
