function nag_correg_linregm_update_example

% diary nag_correg_linregm_update_example.r
fprintf('nag_correg_linregm_update example results\n\n');

x = [1, 0, 0, 0;
     0, 0, 0, 1;
     0, 1, 0, 0;
     0, 0, 1, 0;
     0, 0, 0, 1;
     0, 1, 0, 0;
     0, 0, 0, 1;
     1, 0, 0, 0;
     0, 0, 1, 0;
     1, 0, 0, 0;
     0, 0, 1, 0;
     0, 1, 0, 0];
y = [33.63;     39.62;     38.18;     41.46;     38.02;     35.83;
     35.99;     36.58;     42.92;     37.80;     40.43;     37.89];

[n,m]  = size(x);
isx    = ones(m,1,nag_int_name);
ip     = nag_int(0);
q      = zeros(n,m+1);
lp     = (m*(m+1))/2;
p      = zeros(lp,1);
q(:,1) = y;

% Fit general linear regression model, adding each variable in turn
for j = 1:m
   [q, p, rss, ifail] = nag_correg_linregm_var_add( ...
                               ip, q, p, x(:,j));
   ip = ip + 1;
end

% Calculate RSS
rss = 0;
[rss, idf, b, se, covar, svd, irank, p, ifail] = ...
  nag_correg_linregm_update(nag_int(n), ip, q, rss);

% Display results
if svd
  fprintf('Model not of full rank, rank = %4d\n\n', irank);
end
fprintf('Residual sum of squares = %12.4e\n', rss);
fprintf('Degrees of freedom      = %4d\n', idf);
fprintf('\nVariable   Parameter estimate   Standard error\n\n');
ivar = double([1:ip]');
fprintf('%6d%20.4e%20.4e\n',[ivar b se]');

% diary off
