function nag_correg_robustm_wts_example

% diary nag_correg_robustm_wts_example.r
fprintf('nag_correg_robustm_wts example results\n\n');

x = [1, -1, -1;
     1, -1,  1;
     1,  1, -1;
     1,  1,  1;
     1,  0,  3];

% Initial values for a
a = [1;
     0;     1;
     0;     0;     1];

% Calculate a
[a, z, nit, ifail] = nag_correg_robustm_wts( ...
                            @ucv, x, a);

fprintf(' iterations to convergence = %4d\n\n', nit);
mtitle = 'Matrix A:';
n = nag_int(size(x,2));
uplo   = 'Lower';
diag   = 'Non-unit';
[ifail] = nag_file_print_matrix_real_packed( ...
                 uplo, diag, n, a, mtitle);
fprintf('\n');
disp('Vector z');
disp(z);
disp('Vector of Krasker-Welsch weights');
disp((1./z));

% diary off

function [result] = ucv(t)
  ucvc = 2.5;
  result = 1;
  if (t ~= 0)
     q = ucvc/t;
     q2 = q^2;
     [pc, ifail] = nag_specfun_cdf_normal(q);
     l = nag_machine_real_smallest;
     if (q2 < -log(l))
        pd = exp(-q2/2)/sqrt(pi*2);
     else
        pd = 0;
     end
     result = (2*pc-1)*(1-q2) + q2 - 2*q*pd;
  end
