function nag_correg_ssqmat_update_example

% diary nag_correg_ssqmat_update_example.r
fprintf('nag_correg_ssqmat_update example results\n\n');

wt = [0.1300  1.3070  0.3700];
x  = [9.1231  0.9310  0.0009;
      3.7011  0.0900  0.0099;
      4.5230  0.8870  0.0999];
[m,n] = size(x);
cn = (m*(m+1))/2;
m = nag_int(m);

sw   = 0;
xbar = zeros(n,1);
c    = zeros(cn,1);

% Update one observatio at a time
for j = 1:n
  [sw, xbar, c, ifail] = nag_correg_ssqmat_update( ...
                                wt(j), x(:,j), sw, xbar, c);
end

disp('Means');
disp(xbar');

mtitle = 'Sums of squares and cross-products:';
uplo   = 'Upper';
diag   = 'Non-unit';
[ifail] = nag_file_print_matrix_real_packed( ...
                 uplo, diag, m, c, mtitle);

% Convert the sums of squares and cross-products to a variance matrix
v = c/(sw-1);
fprintf('\n');
mtitle = 'Variance matrix:';
[ifail] = nag_file_print_matrix_real_packed( ...
                 uplo, diag, m, v, mtitle);

% diary off
