function nag_eigen_real_gen_partialsvd_example

% diary nag_eigen_real_gen_partialsvd_example.r
fprintf('nag_eigen_real_gen_partialsvd example results\n\n');

m = nag_int(100);
n = nag_int(500);
k = nag_int(4);
ncv = nag_int(10);

[nconv, sigma, u, v, resid, user, ifail] = ...
nag_eigen_real_gen_partialsvd(m, n, k, ncv, @av);

res = [sigma(1:nconv) resid(1:nconv)];
fprintf('  Singular Value   Residual\n');
fprintf('   %10.5f  %12.2e\n',res');

% diary off

function [iflag, ax, user] = av(iflag, m, n, x, user)
  if (iflag == 1)
    ax = zeros(m, 1);
  else
    ax = zeros(n, 1);
  end

  % Computes  w <- A*x or w <- Trans(A)*x.
  h = 1/(double(m)+1);
  k = 1/(double(n)+1);
  if (iflag == 1)
    t = 0;
    for j = 1:n
      t = t + k;
      s = 0;
      ktx = k*(t-1)*x(j);
      for i = 1:min(j,m)
        s = s + h;
        ax(i) = ax(i) + ktx*s;
      end
      ktx = k*t*x(j);
      for i = j+1:m
        s = s + h;
        ax(i) = ax(i) + ktx*(s-1);
      end
    end
  else
    t = 0;
    for j = 1:n
      t = t + k;
      s = 0;
      for i = 1:min(j,m)
        s = s + h;
        ax(j) = ax(j) + k*s*(t-1)*x(i);
      end
      for i = j+1:m
        s = s + h;
        ax(j) = ax(j) + k*t*(s-1)*x(i);
      end
    end
  end
