function nag_file_close_example

% diary nag_file_close_example.r
fprintf('nag_file_close example results\n\n');

file = 'success.res';

% Associate unit number iounit=4 with filename success.res
iounit = nag_int(4);

% Open File for writing to
mode = nag_int(1);
[ifail] = nag_file_open(iounit, file, mode);

% write to file here via iounit using nag_file_line_write
fprintf('The file named %s was opened for writing on unit number %d\n', ...
        file,iounit);

rec = 'This file was successfully opened for writing';
nag_file_line_write(iounit,rec);
 
% Close File associated with unit number iounit=4
[ifail] = nag_file_close(iounit);
fprintf('Unit number %d has been closed\n\n', iounit);

% Open File for reading
mode = nag_int(0);
[ifail] = nag_file_open(iounit, file, mode);

% read from file here via iounit using nag_file_line_read
fprintf('The file named %s was opened for reading on unit number %d\n', ...
        file,iounit);

reclen = nag_int(50);
[rec, ifail] = nag_file_line_read(iounit, reclen);

fprintf('The following line was read from unit %d:\n----\n',iounit);
disp(rec);
fprintf('----\n');
 
% Close File associated with unit number iounit=4
[ifail] = nag_file_close(iounit);
fprintf('\nUnit number %d has been closed\n', iounit);

delete(file);

% diary off
