function nag_file_print_matrix_complex_band_comp_example

% diary nag_file_print_matrix_complex_band_comp_example.r
fprintf('nag_file_print_matrix_complex_band_comp example results\n\n');

nmax = 5;
b = zeros(nmax,nmax);
for j = 1:nmax
  b(j,:) = [1:nmax] + 10*j;
end

a = b - i*b;

% Example 1 5x5 tridiagonal matrix
mtitle = 'Example 1:';
m = nag_int(nmax);
n = m;
kl = nag_int(1);
ku = kl;

% Bracketed representation of complex numbers and Default formatting
usefrm = 'Bracketed';
format = ' ';

% Integer labels
labrow = 'Integer';
labcol = labrow;
rlabs = {'       '};
clabs = {'       '};

% 80 colunms wide, no indent
ncols  = nag_int(80);
indent = nag_int(0);

[ifail] = nag_file_print_matrix_complex_band_comp( ...
                 m, n, kl, ku, a, usefrm, format, mtitle, labrow, ...
                 rlabs, labcol, clabs, ncols, indent);

fprintf('\n');
% Second matrix : 4x4 2 super-diagonals + 1 sub-diagonal
mtitle = 'Example 2:';
m = nag_int(nmax-1);
n = m;
kl = nag_int(1);
ku = nag_int(2);

% Define formatting of complex numbers
usefrm = 'Direct';
format = 'SS,F7.1,SP,F6.1,''i''';

% Character labels
labrow = 'Character';
labcol = labrow;
rlabs  = {'Uno    '; 'Due    '; 'Tre    '; 'Quattro'};
clabs  = {'Un     '; 'Deux   '; 'Trois  '; 'Quatre '};

[ifail] = nag_file_print_matrix_complex_band_comp( ...
                 m, n, kl, ku, a, usefrm, format, mtitle, labrow, ...
                 rlabs, labcol, clabs, ncols, indent);

fprintf('\n Example 3:\n');
% Third matrix: As above in Matlab format 
mtitle = 'A';
usefrm = ' ';
format = 'MATLABF7.1';
labrow = 'No labels';
labcol = labrow;

[ifail] = nag_file_print_matrix_complex_band_comp( ...
                 m, n, kl, ku, a, usefrm, format, mtitle, labrow, ...
                 rlabs, labcol, clabs, ncols, indent);

% diary off
