function nag_file_print_matrix_complex_gen_comp_example

% diary nag_file_print_matrix_complex_gen_comp_example.r
fprintf('nag_file_print_matrix_complex_gen_comp example results\n\n');

nmax = 4;
b = zeros(nmax,nmax);
for j = 1:nmax
  b(j,:) = [1:nmax] + 10*j;
end

a = b - i*b;

% First matrix: 4x3 general matrix
mtitle = 'Example 1:';
matrix = 'General';
diag   = ' ';

% Represent complex numbers as bracketed pair with default formatting
usefrm = 'Bracketed';
format = ' ';

% Integer Labels
labrow = 'Integer';
labcol = labrow;

% 80 columns wide and no left margin
ncols  = nag_int(80);
indent = nag_int(0);

[ifail] = nag_file_print_matrix_complex_gen_comp( ...
                 matrix, diag, a, usefrm, format, mtitle, ...
                 labrow, labcol, ncols, indent);

fprintf('\n');
% Example 2: Non-unit upper triangular 4x4 matrix
mtitle  = 'Example 2:';
matrix = 'Upper';
diag = 'Non-unit';

% Represent complex number as real aboce imaginary and
% use '%8.2f' style formatting formating
usefrm = 'Above';
format = 'F8.2';

% Character Labels
labrow = 'Character';
labcol = labrow;
rlabs  = {'Uno    '; 'Due    '; 'Tre    '; 'Quattro'};
clabs  = {'Un     '; 'Deux   '; 'Trois  '; 'Quatre '};

[ifail] = nag_file_print_matrix_complex_gen_comp( ...
                 matrix, diag, a, usefrm, format, mtitle, labrow, ...
                 labcol, ncols, indent, 'rlabs', rlabs, 'clabs', clabs);

fprintf('\n Example 3:\n');
% Third matrix: Lower triangular unit matrix, Matlab format
mtitle = 'A';
matrix = 'Lower';
diag   = 'Unit';
usefrm = ' ';
format = 'MATLABF8.2';
labrow = 'No labels';
labcol = labrow;

[ifail] = nag_file_print_matrix_complex_gen_comp( ...
                 matrix, diag, a(1:3,1:3), usefrm, format, mtitle, labrow, ...
                 labcol, ncols, indent, 'rlabs', rlabs, 'clabs', clabs);

% diary off
