function nag_file_print_matrix_real_gen_comp_example

% diary nag_file_print_matrix_real_gen_comp_example.r
fprintf('nag_file_print_matrix_real_gen_comp example results\n\n');

nmax = 5;
a = zeros(nmax,nmax);

for i = 1:nmax
  a(i,:) = [1:nmax] + 10*i;
end

% Example 1: General 3x5 matrix with non-unit diagonal
mtitle  = 'Example 1:';
matrix = 'General';
diag = ' ';

% Use default formating
format = ' ';

% Integer Labels
labrow = 'Integer';
labcol = 'Integer';
rlabs  = {'       '};
clabs  = {'       '};

% 80 columns wide and no left margin
ncols  = nag_int(80);
indent = nag_int(0);

[ifail] =  nag_file_print_matrix_real_gen_comp(...
                 matrix, diag, a(1:3,:), format, mtitle, labrow, ...
                 rlabs, labcol, clabs, ncols, indent);

fprintf('\n');
% Example 2: Non-unit upper triangular 5x5 matrix
mtitle  = 'Example 2:';
matrix = 'Upper';
diag = 'Non-unit';

% Use '%8.2f' style formatting formating
format = 'F8.2';

% Character Labels
labrow = 'Character';
labcol = labrow;
rlabs  = {'Uno    '; 'Due    '; 'Tre    '; 'Quattro'; 'Cinque '};
clabs  = {'Un     '; 'Deux   '; 'Trois  '; 'Quatre '; 'Cinq   '};

[ifail] =  nag_file_print_matrix_real_gen_comp(...
                 matrix, diag, a, format, mtitle, labrow, ...
                 rlabs, labcol, clabs, ncols, indent);

fprintf('\n Example 3:\n');
% Third matrix: Lower triangular 3x3 non-unit matrix, Matlab format
mtitle = 'A';
matrix = 'Lower';
diag   = 'Non-unit';
format = 'MATLABF8.2';
labrow = 'No labels';
labcol = labrow;

[ifail] =  nag_file_print_matrix_real_gen_comp(...
                 matrix, diag, a(1:3,1:3), format, mtitle, labrow, ...
                 rlabs, labcol, clabs, ncols, indent);


% diary off
