function nag_fit_2dspline_derivm_example

% diary nag_fit_2dspline_derivm_example.r
fprintf('nag_fit_2dspline_derivm example results\n\n');

mx = 11;
my = 9;
start = 'C';
x = [0:0.5:5];
y = [0:0.5:4];
% f = (x+1)*cosy + noise 
f = [ 1.0000, 0.88758, 0.54030, 0.070737,-0.41515, ...
             -0.80114,-0.97999,-0.93446, -0.65664, ...
      1.5000, 1.3564,  0.82045, 0.10611, -0.62422, ...
             -1.2317, -1.4850, -1.3047,  -0.98547, ...
      2.0600, 1.7552,  1.0806,  0.15147, -0.83229, ...
             -1.6023, -1.9700, -1.8729,  -1.4073,  ...
      2.5700, 2.1240,  1.3508,  0.17684, -1.0404,  ...
             -2.0029, -2.4750, -2.3511,  -1.6741,  ...
      3.0000, 2.6427,  1.6309,  0.21221, -1.2484,  ...
             -2.2034, -2.9700, -2.8094,  -1.9809, ...
      3.5000, 3.1715,  1.8611,  0.24458, -1.4565, ...
             -2.8640, -3.2650, -3.2776,  -2.2878, ...
      4.0400, 3.5103,  2.0612,  0.28595, -1.6946, ...
             -3.2046, -3.9600, -3.7958,  -2.6146, ...
      4.5000, 3.9391,  2.4314,  0.31632, -1.8627, ...
             -3.6351, -4.4550, -4.2141,  -2.9314, ...
      5.0400, 4.3879,  2.7515,  0.35369, -2.0707, ...
             -4.0057, -4.9700, -4.6823,  -3.2382, ...
      5.5050, 4.8367,  2.9717,  0.38505, -2.2888, ...
             -4.4033, -5.4450, -5.1405,  -3.5950, ...
      6.0000, 5.2755,  3.2418,  0.42442, -2.4769, ...
             -4.8169, -5.9300, -5.6387,  -3.9319];
s = 0.1;
ngx = 6;
xlo = 0;
xhi = 5;
ngy = 5;
ylo = 0;
yhi = 4;

nxest = mx + 4;
nyest = my + 4;
lamda = zeros(nxest, 1);
mu    = zeros(nyest, 1);
wrk   = zeros(4*(mx+my) + 11*(nxest+nyest) + nxest*my + max(my,nxest) + 54, 1);
iwrk  = zeros(3 + mx + my + nxest + nyest, 1, nag_int_name);

% Determine the spline approximation
[nx, lamda, ny, mu, c, fp, wrk, iwrk, ifail] = ...
nag_fit_2dspline_grid( ...
       start, x, y, f, s, nag_int(0), lamda, nag_int(0), mu, wrk, iwrk);

fprintf('\nSpline fit used smoothing factor S = %13.4e.\n', s);
fprintf('Number of knots in each direction  = %d, %d\n', nx, ny);
fprintf('\nSum of squared residuals           = %13.4e.\n', fp);

% Evaluate the spline derivative on a different rectangular grid with
% ngx*ngy points over the domain (xlo to xhi) x (ylo to yhi).
gridx = [xlo:(xhi-xlo)/(ngx-1):xhi];
gridy = [ylo:(yhi-ylo)/(ngy-1):yhi];

% Evaluate spline (nux=nuy=0)
nux = nag_int(0);
nuy = nag_int(0);
[z, ifail] = nag_fit_2dspline_derivm( ...
                    gridx, gridy, lamda(1:nx), mu(1:ny), c, nux, nuy);

nux = nag_int(1);
% Evaluate spline partial derivative of order (nux, nuy)
[zder, ifail] = nag_fit_2dspline_derivm( ...
                       gridx, gridy, lamda(1:nx), mu(1:ny), c, nux, nuy);

% Spline partial derivatives to evaluate have order nux,nuy.
fprintf('\nDerivative of spline has order nux, nuy = %d, %d.\n\n', nux, nuy);

% Print the spline evaluations
rlabs = cell(size(gridy));
for i = 1:ngy
  rlabs{i} = num2str(gridy(i));
end
clabs = cell(size(gridx));
for i = 1:ngx
  clabs{i} = num2str(gridx(i));
end
title = 'Spline evaluated on X-Y grid (X across, Y down):';
[ifail] = nag_file_print_matrix_real_gen_comp('G', 'N', reshape(z, ngy, ngx), 'F8.3', title, ...
                'C', rlabs, 'C', clabs, nag_int(80), nag_int(0));
fprintf('\n');
title = 'Spline derivative evaluated on X-Y grid:';
[ifail] = nag_file_print_matrix_real_gen_comp('G', 'N', reshape(zder, ngy, ngx), 'F8.3', title, ...
                'C', rlabs, 'C', clabs, nag_int(80), nag_int(0));

% diary off
