function nag_fit_2dspline_evalv_example

% diary nag_fit_2dspline_evalv_example.r
fprintf('nag_fit_2dspline_evalv example results\n\n');

% Spline knots and coefficients
lamda = [1    1     1     1     1.3   1.5   1.6   2     2     2     2];
mu    = [0    0     0     0     0.4   0.7   1     1     1     1];
c = [1      1.2    1.5833 2.1433 2.8667 3.4667 4;     
     1.1333 1.3333 1.7167 2.2767 3      3.6    4.1333;
     1.3667 1.5667 1.95   2.51   3.2333 3.8333 4.3667;
     1.7    1.9    2.2833 2.8433 3.5667 4.1667 4.7;   
     1.9    2.1    2.4833 3.0433 3.7667 4.3667 4.9;   
     2      2.2    2.5833 3.1433 3.8667 4.4667 5];

% Evaluate spline at set of points for displaying

x     = [1    1.1   1.5   1.6   1.9   1.9   2];
y     = [0    0.1   0.7   0.4   0.3   0.8   1];

[ff, ifail] = nag_fit_2dspline_evalv( ...
                     x, y, lamda, mu, c);

fprintf('        x          y          fit\n');
fprintf('%11.3f%11.3f%11.3f\n',[x; y; ff']);

% Evaluate spline on mesh for figure
mx = [1:0.05:2];
my = [0:0.05:1];
for i = 1:21
  xx(1:21) = mx(i);
  [ff(1:21,i), ifail] = nag_fit_2dspline_evalv( ...
                               xx, my, lamda, mu, c);
end
fig1 = figure;
meshc(mx,my,ff);
xlabel('x');
ylabel('y');
title('Least-squares bi-cubic spline surface');
% print(fig1,'-dpng','-r75','nag_fit_2dspline_evalv_fig1.png');
% print(fig1,'-deps','-r75','nag_fit_2dspline_evalv_fig1.eps');

% diary off
