function nag_fit_glinc_l1sol_example

% diary nag_fit_glinc_l1sol_example.r
fprintf('nag_fit_glinc_l1sol example results\n\n');

n = 4;
m = nag_int(6);
f = zeros(2*m,1);
e = zeros(n,2*m);
x = zeros(n,1);

% Data to fit by constrained cubic polynomial
f(1:m) = [0, 0.07,  0.07,  0.11,  0.27,  0.68];

% coefficient multipliers for cubic and its derivative
for i = 1:m
  t = 0.2*double(i-1);
  e(1:4,i) = [1,t,t^2,t^3];
  e(1:4,m+i) = [0,1,2*t,3*t^2];
end

mxs    = nag_int(100);
iprint = nag_int(0);
[e, x, k, l1nrm, indx, ifail] = nag_fit_glinc_l1sol(m, e, f, x, mxs, @monit, iprint);

% diary off

function [] = monit(n, x, niter, k, elin)

  fprintf('\n Results at iteration %d\n', niter);
  fprintf('Constrained cubic polynomial:\n\n');
  fprintf('p(t) = %7.4f + %7.4f t + %7.4f t^2 + %7.4f t^3\n\n',x(1:4));
  fprintf('Norm of residuals = %12.5f\n', elin);
