function nag_inteq_abel1_weak_example

% diary nag_inteq_abel1_weak_example.r
fprintf('nag_inteq_abel1_weak example results\n\n');

ck = @(t) exp(-0.5*t);
cf = @(t) -exp( -0.5*(1+t)^2/t)/sqrt(pi*t);
cg = @(s, y) y;
initwt = 'Initial';
tlim = 7;
nmesh = 71;
yn = zeros(nmesh,1);
work = zeros(1059, 1);
[yn, work, ifail] = nag_inteq_abel1_weak( ...
				 ck, cf, cg, initwt, tlim, yn, work);

h = tlim/double(nmesh-1);
fprintf('Example 1\n\n The stepsize h = %8.4f\n\n',h);
fprintf('     t        Approximate\n');
fprintf('                Solution\n');
t = [0:h:tlim];
sol = [t' yn];
solp = sol(6:5:nmesh,1:2);
fprintf('%8.4f%15.4f\n',solp');

sol1 = @(t)(exp(-(t+1).^2./(2*t))./(sqrt(2*pi)*t.^(3/2)));
[errmax,j] = max(yn - sol1(t)');
fprintf('\nThe maximum absolute error, %10.2e ',errmax);
fprintf(' occurred at t = %8.4f\nwith solution %8.4f\n\n',t(j), yn(j));

ck2 = @(t) sqrt(pi);
cf2 = @(t) -2*log(sqrt(1+t)+sqrt(t))/sqrt(1+t);
cg2 = @(s, y) y;
initwt = 'Subsequent';
tlim = 5;
yn(1) = 1;
[yn, work, ifail] = nag_inteq_abel1_weak( ...
			   ck2, cf2, cg2, initwt, tlim, yn, work);
h = tlim/double(nmesh-1);

fprintf('\n\nExample 2\n\n The stepsize h = %8.4f\n\n',h);
fprintf('     t        Approximate\n');
fprintf('                Solution\n');
t = [0:h:tlim];
sol = [t' yn];
solp = sol(8:7:nmesh,1:2);
fprintf('%8.4f%15.4f\n',solp');

sol2 = @(t)(1./(1+t));
[errmax,j] = max(yn - sol2(t)');
fprintf('\nThe maximum absolute error, %10.2e ',errmax);
fprintf(' occurred at t = %8.4f\nwith solution %8.4f\n\n',t(j), yn(j));

% diary off
