function nag_inteq_fredholm2_split_example

% diary nag_inteq_fredholm2_split_example.r
fprintf('nag_inteq_fredholm2_split example results\n\n');

lambda = 1;
a = 0;
b = 1;
g = @(x) sin(pi*x)*(1-1/(pi*pi));
k1 = @(x, s) s*(1-x);
k2 = @(x, s) x*(1-s);
n = nag_int(5);
ind = nag_int(2);
[f, c, ifail] = nag_inteq_fredholm2_split(lambda, a, b, k1, k2, g, n, ind);

xval = 0.1;

% evaluate Chebyshev series at xval
s = nag_int(2);
[res, ifail] = nag_sum_chebyshev(xval, a, b, c, s);
fprintf('Kernel is centro-symmetric and G is even so the solution is even\n')
fprintf('\nChebyshev coefficients:\n');
fprintf('%14.4f',c);
fprintf('\n\n x = %5.2f    Ans = %7.4f\n',xval,res);

% diary off
