function nag_interp_1d_cheb_example

% diary nag_interp_1d_cheb_example.r
fprintf('nag_interp_1d_cheb example results\n\n');

xmin = 2;
xmax = 6;
ip = nag_int([0  1  0  2]);

x = [2     4     5     6];
y = [1        ...
     2    -1  ...
     1        ...
     2     4     -2];
lwrk = nag_int(77);
liwrk = nag_int(10);

[a, wrk, iwrk, ifail] = nag_interp_1d_cheb( ...
                               xmin, xmax, x, y, ip, lwrk, liwrk);

n = size(a,1); 
fprintf('Total number of interpolating conditions = %3d\n', n);
fprintf('\nInterpolating polynomial\n\n   i                a_i\n');
fprintf('%4d%20.4f\n',[[0:n-1]' a]');
fprintf('\n  i   x_i    order(k)   y^k      Residual\n');

% Residuals less than 100 times machine precision are not printed.
restol = nag_machine_precision()*100;
iy = 0;
ipmax = max(ip);
m = size(ip,2);
ires = ipmax + 1;

for i = 1:m
  iy = iy + 1;
  ires = ires + 1;
  if abs(wrk(ires))>restol
    fprintf('%3d%6.1f%7d%11.1f%19.10e\n', i, x(i), 0, y(iy), wrk(ires));
  else
    fprintf('%3d%6.1f%7d%11.1f%11s\n', i, x(i), 0, y(iy), ' - ');
  end
  for j = 1:ip(i)
    iy = iy + 1;
    ires = ires + 1;
    if abs(wrk(ires))>restol
      fprintf('%16d%11.1f%19.10e\n', j, y(iy), wrk(ires));
    else
      fprintf('%16d%11.1f%11s\n', j, y(iy), ' - ');
    end
  end
end

% diary off
