function nag_interp_nd_scat_shep_eval_example

% diary nag_interp_nd_scat_shep_eval_example.r
fprintf('nag_interp_nd_scat_shep_eval example results\n\n');

genid = nag_int(1);
subid = nag_int(1);
seed = [nag_int(1762543)];
m = 120; % Number of data points
n = 9; % Number of evaluation points
d = 6; % Number of dimensions


% Initialize the generator to a repeatable sequence
[state, ifail] = nag_rand_init_repeat(genid, subid, seed);

% Generate the data points X
[state, x, ifail] = nag_rand_dist_uniform01(nag_int(d*m), state);

x = reshape(x, d, m);

% Evaluate f
f = x(1, :).*x(2, :).*x(3, :)./(1+2.*x(4, :).*x(5, :).*x(6, :));

% Generate the interpolant
[iq, rq, ifail] = nag_interp_nd_scat_shep(x, f);

% Generate a set of evaluation points lying on diagonal line.
xe = zeros(d, n);
for i = 1:n
  xe(:, i) = i/(n+1);
end

% Evaluate the interpolant
[q, qx, ifail] = nag_interp_nd_scat_shep_eval(x, f, iq, rq, xe);

fprintf('\ni  |  f(i)      q(i)    | |f(i)-q(i)|\n');
fprintf('---|--------------------+--------------\n');
for i=1:n
  fun = xe(1, i)*xe(2, i)*xe(3, i)/(1+2*xe(4, i)*xe(5, i)*xe(6, i));
  fprintf('%d %10.4f%10.4f %10.4f\n', i, fun, q(i), abs(fun-q(i)));
end

% diary off
