function nag_lapack_dgbcon_example

% diary nag_lapack_dgbcon_example.r
fprintf('nag_lapack_dgbcon example results\n\n');

m  = nag_int(4);
kl = nag_int(1);
ku = nag_int(2);
ab = [ 0,    0,    -3.66, -2.13;
       0,    2.54, -2.73,  4.07;
      -0.23, 2.46,  2.46, -3.82;
      -6.98, 2.56, -4.78,  0];

norm_p = 'O';
anorm = nag_blast_dgb_norm(norm_p, m, kl, ku, ab);

ab = [zeros(kl,m); ab];
  
% Factorize A
[abf, ipiv, info] = nag_lapack_dgbtrf( ...
                           m, kl, ku, ab);

% Estimate condition number
[rcond, info] = nag_lapack_dgbcon( ...
                       norm_p, kl, ku, abf, ipiv, anorm);

if rcond > nag_machine_precision
  fprintf('Estimate of condition number = %10.2e\n', 1/rcond);
else
  fprintf('A is singular to working precision\n');
end

% diary off
