function nag_lapack_dgbequ_example

% diary nag_lapack_dgbequ_example.r
fprintf('nag_lapack_dgbequ example results\n\n');

m  = nag_int(4);
kl = nag_int(1);
ku = nag_int(2);
a = [-2.30e-01,  2.54e+00, -3.66e-10,  0;
     -6.98e+10,  2.46e+10, -2.73e+00  -2.13e+10;
      0,         2.56e+00,  2.46e-10,  4.07e+00;
      0,         0,        -4.78e-10, -3.82e+00];

% Convert a to packed representation
[~, ab, ifail] = nag_matop_real_band_pack(...
                       'p', kl, ku, a, zeros(m, m));

% Compute row and column scaling factors
[r, c, rowcnd, colcnd, amax, info] = ...
  nag_lapack_dgbequ(m, kl, ku, ab);

format shorte;
fprintf('\nrowcnd = %8.1e colcnd = %8.1e amax = %8.1e\n\n', ...
        rowcnd, colcnd, amax);
fprintf('Row scale factors:\n');
disp(r');
fprintf('Column scale factors:\n');
disp(c');

% Compute values close to underflow and overflow
small = nag_machine_real_safe/(nag_machine_precision*double(nag_machine_model_base));
big = 1/small;
thresh = 0.1;

if (rowcnd >= thresh) && (amax >= small) && (amax <= big)
  if colcnd<thresh
    % Just column scale A
    as = a*diag(c);
  end
elseif colcnd>=thresh
  % Just row scale A
  as = diag(r)*a;
else
  % Row and column scale A
  as = diag(r)*a*diag(c);
end

format short;
fprintf('\nScaled Matrix:\n');
disp(as);

% diary off
