function nag_lapack_dgbsv_example

% diary nag_lapack_dgbsv_example.r
fprintf('nag_lapack_dgbsv example results\n\n');

kl = nag_int(1);
ku = nag_int(2);
ab = [ 0,     0,     0,     0;
       0,     0,    -3.66, -2.13;
       0,     2.54, -2.73,  4.07;
      -0.23,  2.46,  2.46, -3.82;
      -6.98,  2.56, -4.78,  0];
b = [ 4.42;
     27.13;
     -6.14;
     10.50];

% Solve Ax = B
[LU, ipiv, x, info] = nag_lapack_dgbsv( ...
                             kl, ku, ab, b);

disp('Solution');
disp(x');
mtitle = 'Details of factorization';
n = nag_int(size(b,1));
[ifail] = nag_file_print_matrix_real_band( ...
                 n, n, kl, kl+ku, LU, mtitle);
fprintf('\n');
disp('Pivot indices');
disp(double(ipiv'));

% diary off
