function nag_lapack_dgeesx_example

% diary nag_lapack_dgeesx_example.r
fprintf('nag_lapack_dgeesx example results\n\n');

% Matrix A
a = [ 0.35,  0.45, -0.14, -0.17;
      0.09,  0.07, -0.54,  0.35;
     -0.44, -0.33, -0.03,  0.17;
      0.25, -0.32, -0.13,  0.11];

% Schur vectors of A, selecting real positive eigenvalues
jobvs = 'Vectors (Schur)';
sortp = 'Sort';
select = @(wr, wi) (wr > 0 && wi == 0);
sense = 'Both reciprocal condition numbers';

[~, sdim, wr, wi, vs, rconde, rcondv, info] = ...
nag_lapack_dgeesx( ...
       jobvs, sortp, select, sense, a);

fprintf('Number of eigenvalues for which SELECT is true = %3d\n',sdim);
fprintf(' (dimension of invariant subspace)\n\n');
disp('Selected eigenvalues');
disp(wr(1:sdim) + i*wi(1:sdim));
fprintf('%s\n%61s = %9.1e\n\n', ...
        'Reciprocal of projection norm onto the invariant subspace', ...
        'rconde', rconde);
fprintf('%s\n%61s = %9.1e\n\n', ...
        'Reciprocal condition number for the invariant subspace', ...
        'rcondv', rcondv);

anorm = norm(a);
erbde = nag_machine_precision*anorm/rconde;
erbdv = nag_machine_precision*anorm/rcondv;

fprintf('%-61s = %9.1e\n', ...
        'Approximate asymptotic error bound for selected eigenvalues', erbde);
fprintf('%-61s = %9.1e\n', ...
        'Approximate asymptotic error bound for the invariant subspace', ...
        erbdv);

% diary off
