function nag_lapack_dgeev_example

% diary nag_lapack_dgeev_example.r
  
fprintf('nag_lapack_dgeev example results\n\n');

% Matrix A
n = 4;
a = [0.35,  0.45, -0.14, -0.17;
     0.09,  0.07, -0.54,  0.35;
    -0.44, -0.33, -0.03,  0.17;
     0.25, -0.32, -0.13,  0.11];

% Eigenvalues and right eigenvectors of A
jobvl = 'No left vectors';
jobvr = 'Vectors (right)';
[~, wr, wi, ~, vr, info] = nag_lapack_dgeev( ...
                                  jobvl, jobvr, a);

fprintf('Index  Eigenvalue                Eigenvector\n');
k = 1;
conjugating = false;
for j = 1:n
  fprintf('%3d', j);
  if wi(j)==0 & ~conjugating
    fprintf('  %12.4e%15s',wr(j),' ');
    for l = 1:n
      if (l>1)
        fprintf('%32s', ' ');
      end
      fprintf('%12.4e\n',vr(l,k));
    end
    k = k + 1;
  else
    if conjugating
      pl = '-';
      mi = '+';
    else
      pl = '+';
      mi = '-';
    end
    fprintf('  %12.4e %s %10.4ei ', wr(j), pl, abs(wi(j)));
    for l = 1:n
      if (l>1)
        fprintf('%32s', ' ');
      end
      if vr(l,k+1)>0
        fprintf('%12.4e %s %10.4ei\n', vr(l,k), pl, vr(l,k+1));
      else
        fprintf('%12.4e %s %10.4ei\n', vr(l,k), mi, abs(vr(l,k+1)));
      end
    end
    if conjugating    
      k = k + 2;
    end
    conjugating = ~conjugating;
  end
  fprintf('\n');
end

% diary off
