function nag_lapack_dgelqf_example

% diary nag_lapack_dgelqf_example.r
fprintf('nag_lapack_dgelqf example results\n\n');

a = [-5.42, 3.28, -3.68, 0.27, 2.06, 0.46;
     -1.65, -3.4, -3.2, -1.03, -4.06, -0.01;
     -0.37, 2.35, 1.9, 4.31, -1.76, 1.13;
     -3.15, -0.11, 1.99, -2.7, 0.26, 4.5];
b = [-2.87, -5.23;
      1.63,  0.29;
     -3.52,  4.76;
      0.45, -8.41;
      0,     0;
      0,     0];
% Compute the LQ factorization of a
[a, tau, info] = nag_lapack_dgelqf(a);

% solve l*y=b
l = tril(a(:, 1:4));
b(1:4,:) = inv(l)*b(1:4,:);

% Compute minimum-norm solution x = (q^t)*b
[x, info] = nag_lapack_dormlq( ...
		   'Left', 'Transpose', a, tau, b);

mtitle = 'Minimum-norm solution(s)';
[ifail] = nag_file_print_matrix_real_gen( ...
                 'General', ' ', x, mtitle);

% diary off
