function nag_lapack_dgelsd_example

% diary nag_lapack_dgelsd_example.r
fprintf('nag_lapack_dgelsd example results\n\n');

% Least squares problem min ||b - Ax|| where A and b are:
a = [-0.09, -1.56, -1.48, -1.09,  0.08, -1.59;
      0.14,  0.20, -0.43,  0.84,  0.55, -0.72;
     -0.46,  0.29,  0.89,  0.77, -1.13,  1.06;
      0.68,  1.09, -0.71,  2.11,  0.14,  1.24;
      1.29,  0.51, -0.96, -1.27,  1.74,  0.34];
[m,n] = size(a);
b = [ 7.4;
      4.3;
     -8.1;
      1.8;
      8.7;
      0.0];

% Treat singular values less than 0.01 as zero
rcond = 0.01;
[vr, x, s, rank, info] = nag_lapack_dgelsd( ...
                                a, b, rcond);

disp('Least squares solution');
disp(x(1:n)');
disp('Tolerance used to estimate the rank of A');
fprintf('%12.2e\n',rcond);
disp('Estimated rank of A');
fprintf('%5d\n\n',rank);
disp('Singular values of A');
disp(s');

% diary off
