function nag_lapack_dgelss_example

% diary nag_lapack_dgelss_example.r
fprintf('nag_lapack_dgelss example results\n\n');

% Least squares problem min ||b - Ax|| where A and b are:
a = [-0.09,  0.14, -0.46,  0.68,  1.29;
     -1.56,  0.20,  0.29,  1.09,  0.51;
     -1.48, -0.43,  0.89, -0.71, -0.96;
     -1.09,  0.84,  0.77,  2.11, -1.27;
      0.08,  0.55, -1.13,  0.14,  1.74;
     -1.59, -0.72,  1.06,  1.24,  0.34];
b = [ 7.4;
      4.2;
     -8.3;
      1.8;
      8.6;
      2.1];
[m,n] = size(a);

% Treat singular values less than 0.01 as zero
rcond = 0.01;
[vr, x, s, rank, info] = nag_lapack_dgelss( ...
                                a, b, rcond);

disp('Least squares solution');
disp(x(1:n)');
disp('Tolerance used to estimate the rank of A');
fprintf('%12.2e\n',rcond);
disp('Estimated rank of A');
fprintf('%5d\n\n',rank);
disp('Singular values of A');
disp(s');

% diary off
