function nag_lapack_dgerqf_example

% diary nag_lapack_dgerqf_example.r
fprintf('nag_lapack_dgerqf example results\n\n');

a = [-5.42,  3.28, -3.68,  0.27,  2.06,  0.46;
     -1.65, -3.40, -3.20, -1.03, -4.06, -0.01;
     -0.37,  2.35,  1.90,  4.31, -1.76,  1.13;
     -3.15, -0.11,  1.99, -2.70,  0.26,  4.50];
b = [-2.87;  1.63; -3.52;  0.45];
% Compute the RQ factorization of a
[a, tau, info] = nag_lapack_dgerqf(a);

% Solve R*y2 = b
c = zeros(6,1);
[c(3:6), info] = nag_lapack_dtrtrs( ...
			'Upper', 'No transpose', 'Non-Unit', a(:, 3:6), b);

if (info >0)
  fprintf('The upper triangular factor, R, of A is singular,\n');
  fprintf('the least squares solution could not be computed.\n');
else
  % Compute the minimum-norm solution x = (Q^T)*y
  [a, c, info] = nag_lapack_dormrq( ...
			'Left', 'Transpose', a, tau, c);

  fprintf('Minimum-norm solution\n');
  disp(transpose(c));
end

% diary off
