function nag_lapack_dgesdd_example

% diary nag_lapack_dgesdd_example.r
fprintf('nag_lapack_dgesdd example results\n\n');

a = [ 2.27,  0.28, -0.48, 1.07, -2.35,  0.62;
     -1.54, -1.67, -3.09, 1.22,  2.93, -7.39;
      1.15,  0.94,  0.99, 0.79, -1.45,  1.03;
     -1.94, -0.78, -0.21, 0.63,  2.30, -2.57];
m = nag_int(size(a,1));
n = nag_int(size(a,2));

jobz = 'Singular vector parts of U and VT';
[~, s, u, vt, info] = nag_lapack_dgesdd( ...
                             jobz, a);

disp('Singular values of A');
disp(s');
disp('Left singular vectors');
disp(u);
disp('Right singular vectors (by row)');
disp(vt);


% Singular values error bound
serrbd = nag_machine_precision*s(1);
% Reciprocal condition numbers for singular vectors
[rcondu, info] = nag_lapack_ddisna( ...
		        'Left', m, n, s);
[rcondv, info] = nag_lapack_ddisna( ...
		        'Right', m, n, s);

% Sigular vector error bounds
uerrbd = serrbd./rcondu;
verrbd = serrbd./rcondv;

disp('Error estimate for the singular values');
fprintf('%12.1e\n',serrbd);
disp('Error estimates for the left singular vectors');
fprintf('%12.1e',uerrbd);
fprintf('\n');
disp('Error estimates for the right singular vectors');
fprintf('%12.1e',verrbd);
fprintf('\n');

% diary off
