function nag_lapack_dgesvd_example

% diary nag_lapack_dgesvd_example.r
fprintf('nag_lapack_dgesvd example results\n\n');

% SVD of A to obtain Least-sqares solution of Ax=b, where
a = [ 2.27, -1.54,  1.15, -1.94;
      0.28, -1.67,  0.94, -0.78;
     -0.48, -3.09,  0.99, -0.21;
      1.07,  1.22,  0.79,  0.63;
     -2.35,  2.93, -1.45,  2.30;
      0.62, -7.39,  1.03, -2.57];
[m,n] = size(a);
b     = ones(m,1);

% SVD of A
jobu =  'Singular vectors part of U';
jobvt = 'Singular vectors part of VT';
[~, s, u, vt, work, info] = nag_lapack_dgesvd( ...
                                   jobu, jobvt, a);

disp('Singular values of A');
disp(s');

% Use SVD to compute least-squares solution: VS^(-1)U'b
y = u'*b;
y = y./s;
x = vt'*y;

disp('Least squares solution:');
disp(x');
disp('Norm of Residual:');
disp(norm(b - a*x));

% diary off
