function nag_lapack_dgesvj_example

% diary nag_lapack_dgesvj_example.r
fprintf('nag_lapack_dgesvj example results\n\n');

m = nag_int(6);
n = nag_int(4);
a = [2.27, -1.54,  1.15, -1.94;
     0.28, -1.67,  0.94, -0.78;
    -0.48, -3.09,  0.99, -0.21;
     1.07,  1.22,  0.79,  0.63;
    -2.35,  2.93, -1.45,  2.30;
     0.62, -7.39,  1.03, -2.57];
joba = 'g';
jobu = 'u';
jobv = 'v';
work = zeros(10,1);
v    = zeros(4, 4);
mv = nag_int(0);
% Compute the singular values and left and right singular vectors
% of A (A = U*S*V, m >= n)
[a, sva, v, work, info] = nag_lapack_dgesvj( ...
                                 joba, jobu, jobv, a, mv, v, work);

% Compute the approximate error bound for the computed singular values
% using the 2-norm, s(1) = norm(A), and machine precision, eps.
eps = nag_machine_precision;
serrbd = eps*sva(1);

% Print solution
fprintf('Singular values:\n');
disp(transpose(sva));
if (abs(work(1)-1) > eps)
  fprintf('\nValues nned scaling by %13.5e.\n', work(1));
end

[ifail] = nag_file_print_matrix_real_gen( ...
                 'Gen', ' ', a, 'Left singular vectors');
fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen( ...
                 'Gen', ' ', v, 'Right singular vectors');

% Estimate reciprocal condition numbers for the singular vectors
[rcondu, info] = nag_lapack_ddisna( ...
                        'Left', m, n, sva);
[rcondv, info] = nag_lapack_ddisna( ...
                        'Right', m, n, sva);

% Approximate error bounds for the singular values and vectors
fprintf('\nError estimate for the singular values a\n');
fprintf('%11.1e\n', serrbd);
fprintf('\nError estimates for left singular vectors\n');
fprintf('%11.1e ',serrbd./rcondu);
fprintf('\n\nError estimates for right singular vectors\n');
fprintf('%11.1e ',serrbd./rcondv);
fprintf('\n');

% diary off
