function nag_lapack_dgesvx_example

% diary nag_lapack_dgesvx_example.r
fprintf('nag_lapack_dgesvx example results\n\n');

% Linear Problem
n    = 4;
nrhs = 2;
a = [  1.80,    2.88,   2.05,   -0.89;
     525.00, -295.00, -95.00, -380.00;
       1.58,   -2.69,  -2.90,   -1.04;
      -1.11,   -0.66,  -0.59,    0.80];
b = [   9.52,  18.47;
     2435.00, 225.00;
        0.77, -13.28;
       -6.22,  -6.21];

% Input parameter initialization
fact  = 'Equilibration';
trans = 'No transpose';
equed = 'N';
af   = zeros(n, n);
ipiv = zeros(n, 1, nag_int_name);
r    = zeros(n, 1);
c    = zeros(n, 1);

% Solve
[a, af, ipiv, equed, r, c, b, x, rcond, ferr, berr, work, info] = ...
  nag_lapack_dgesvx(...
        fact, trans, a, af, ipiv, equed, r, c, b);

fprintf('Solution is x:\n');
disp(x);
fprintf('\nApproximate condition number = %8.3f\n',1/rcond);
fprintf('Approximate forward  errors  :\n');
fprintf('                               %11.3e\n',ferr);
fprintf('Approximate backward errors  :\n')
fprintf('                               %11.3e\n',berr);

% diary off
