function nag_lapack_dgtrfs_example

% diary nag_lapack_dgtrfs_example.r
fprintf('nag_lapack_dgtrfs example results\n\n');

% Tridiagonal matrix A stored as diagonals:
du = [        2.1    -1.0      1.9     8.0];
d  = [3.0     2.3    -5.0     -0.9     7.1];
dl = [3.4     3.6     7.0     -6.0        ];
n  = numel(d);

% Factorize A.
[dlf, df, duf, du2f, ipiv, info] = ...
  nag_lapack_dgttrf(dl, d, du);

% RHS
b = [ 2.7   6.6;
     -0.5  10.8;
      2.6  -3.2;
      0.6 -11.2;
      2.7  19.1];

% Solve Ax = b
  
trans = 'No transpose';
[x, info] = nag_lapack_dgttrs( ...
                   trans, dlf, df, duf, du2f, ipiv, b);

% Refine solution
[x, ferr, berr, info] = ...
  nag_lapack_dgtrfs( ...
         trans, dl, d, du, dlf, df, duf, du2f, ipiv, b, x);

disp('Solution:');
disp(x);

fprintf('Forward  error bounds = %10.1e  %10.1e\n',ferr); 
fprintf('Backward error bounds = %10.1e  %10.1e\n',berr); 

% diary off
