function nag_lapack_dhseqr_example

% diary nag_lapack_dhseqr_example.r
fprintf('nag_lapack_dhseqr example results\n\n');

% Matrix A
a = [ 0.35,  0.45, -0.14, -0.17;
      0.09,  0.07, -0.54,  0.35;
     -0.44, -0.33, -0.03,  0.17;
      0.25, -0.32, -0.13,  0.11];

% Reduce A to upper Hessenberg Form A = QHQ^T
ilo = nag_int(1);
ihi = nag_int(4);
[H, tau, info] = nag_lapack_dgehrd(ilo, ihi, a);

% Form Q
[Q, info] = nag_lapack_dorghr(ilo, ihi, H, tau);

% Schur factorize H = Y*T*Y' and form Z = QY  A = QY*T*(QQY)'
job   = 'Schur form';
compz = 'Vectors';
[~, wr, wi, Z, info] = nag_lapack_dhseqr( ...
                              job, compz, ilo, ihi, H, Q);

w = wr + i*wi;
disp('Eigenvalues of A');
disp(w);

% diary off
