function nag_lapack_dopmtr_example

% diary nag_lapack_dopmtr_example.r
fprintf('nag_lapack_dopmtr example results\n\n');

% Symmetric matrix A stored in symmetric packed format (Lower)
uplo = 'L';
n = nag_int(4);
ap = [2.07;     3.87;     4.20;    -1.15;
               -0.21;     1.87;     0.63;
                          1.15;     2.06;
                                   -1.81];

% Reduce A to tridiagonal form
[apf, d, e, tau, info] = nag_lapack_dsptrd( ...
                                uplo, n, ap);

% Two smallest eigenvalues
range = 'I';
order = 'B';
vl = 0;
vu = 0;
il = nag_int(1);
iu = nag_int(2);
abstol = 0;
[m, nsplit, w, iblock, isplit, info] = ...
nag_lapack_dstebz( ...
       range, order, vl, vu, il, iu, abstol, d, e);

% Get corresponding eigenvectors of T
[v, ifailv, info] = nag_lapack_dstein( ...
                           d, e, m, w, iblock, isplit);

% Transform Q*V to get eigenvectors of A 
side = 'Left';
trans = 'No transpose';
[~, z, info] = nag_lapack_dopmtr( ...
                      side, uplo, trans, apf, tau, v);

% Normalize eigenvectors: largest element positive
for j = 1:m
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

% Display results
fprintf(' Eigenvalues numbered 1 to 2 are:\n   ');
fprintf(' %7.4f',w(1:m));
fprintf('\n\n');

[ifail] = nag_file_print_matrix_real_gen( ...
                 'General', ' ', z, 'Corresponding eigenvectors of A');

% diary off
