function nag_lapack_dorcsd_example

% diary nag_lapack_dorcsd_example.r
fprintf('nag_lapack_dorcsd example results\n\n');

% Find the full CS decomposition of X:
m = nag_int(5);
p = nag_int(3);
q = nag_int(2);
x = [-0.7576  0.3697  0.3838  0.2126 -0.3112;
     -0.4077 -0.1552 -0.1129  0.2676  0.8517;
     -0.0488  0.7240 -0.6730 -0.1301  0.0602;
     -0.2287  0.0088  0.2235 -0.9235  0.2120;
      0.4530  0.5612  0.5806  0.1162  0.3595];

% Partition matrix
x11 = x(1:p,  1:q);   x12 = x(1:p,  q+1:m);
x21 = x(p+1:m,1:q);   x22 = x(p+1:m,q+1:m);

[x11, x12, x21, x22, theta, u1, u2, v1t, v2t, info] = ...
nag_lapack_dorcsd( ...
       m, p, q, x11, x12, x21, x22);

disp('Components of CS factorization of X:');
disp('    Theta');
disp(theta);
disp('    U1');
disp(u1);
disp('    U2');
disp(u2);
disp('    V1');
disp(v1t');
disp('    V2');
disp(v2t');

% diary off
