function nag_lapack_dormlq_example

% diary nag_lapack_dormlq_example.r
fprintf('nag_lapack_dormlq example results\n\n');

a = [ -5.42   3.28  -3.68   0.27   2.06   0.46;
      -1.65  -3.40  -3.20  -1.03  -4.06  -0.01;
      -0.37   2.35   1.90   4.31  -1.76   1.13;
      -3.15  -0.11   1.99  -2.70   0.26   4.50];
m = nag_int(4);
n = 6;
nrhs = 2;

% Compute the LQ Factorisation of A
[lq, tau, info] = nag_lapack_dgelqf(a);

% Solve L*Y = B
b = [ -2.87  -5.23;
       1.63   0.29;
      -3.52   4.76;
       0.45  -8.41];
[y, info] = nag_lapack_dtrtrs(...
                  'Lower', 'Notrans', 'Non-unit', lq(1:m,1:m), b);

% Add some zero rows to Y
y(m+1:n,1:nrhs) = 0;

% Compute minimum-norm solution X = (Q**T)*Y
side = 'Left';
trans = 'Transpose';
[x, info] = nag_lapack_dormlq( ...
		   side, trans, lq, tau, y);

disp('Least squares solution X');
disp(x);

% diary off
