function nag_lapack_dpbrfs_example

% diary nag_lapack_dpbrfs_example.r
fprintf('nag_lapack_dpbrfs example results\n\n');

% Symmetric banded matrix A in ab.
uplo = 'L';
kd = nag_int(1);
ab = [5.49,  5.63,  2.6,  5.17;
      2.68, -2.39, -2.22, 0   ];

% Factorize A
[abf, info] = nag_lapack_dpbtrf( ...
                     uplo, kd, ab);

% RHS
b = [22.09,   5.10;
      9.31,  30.81;
     -5.24, -25.82;
     11.83,  22.90];
% Solve Ax = B
[x, info] = nag_lapack_dpbtrs( ...
                   uplo, kd, abf, b);

% Iterative refinement
[x, ferr, berr, info] = nag_lapack_dpbrfs(...
                              uplo, kd, ab, abf, b, x);

disp('Solution');
disp(x);
fprintf('Forward  error bounds = %10.1e  %10.1e\n',ferr); 
fprintf('Backward error bounds = %10.1e  %10.1e\n',berr); 

% diary off
