function nag_lapack_dpbsvx_example

% diary nag_lapack_dpbsvx_example.r
fprintf('nag_lapack_dpbsvx example results\n\n');

% Symmetric A (one lower/upper off-diagonal) in banded form 
uplo = 'U';
kd = nag_int(1);
n  = nag_int(4);
ab = [0,    2.68, -2.39, -2.22;
      5.49, 5.63,  2.6,   5.17];

% RHS
b = [22.09   5.10;
      9.31  30.81;
     -5.24 -25.82;
     11.83  22.90];

% Input parameters
fact  = 'Equilibration';
afb   = zeros(kd+1, n);
equed = ' ';
s     = zeros(n, 1);

% Solve
[ab, afb, equed, s, b, x, rcond, ferr, berr, info] = ...
  nag_lapack_dpbsvx( ...
         fact, uplo, kd, ab, afb, equed, s, b);

disp('Solution(s)');
disp(x);
disp('Backward errors (machine-dependent)');
fprintf('%10.1e',berr);
fprintf('\n');
disp('Estimated forward error bounds (machine-dependent)');
fprintf('%10.1e',ferr);
fprintf('\n\n');
disp('Estimate of reciprocal condition number');
fprintf('%10.1e\n\n',rcond);

if equed=='N'
  fprintf('A has not been equilibrated\n');
else
  fprintf('A has been equilibrated\n');
end

% diary off
