function nag_lapack_dpftri_example

% diary nag_lapack_dpftri_example.r
fprintf('nag_lapack_dpftri example results\n\n');

% Symmetric matrix in RFP format
transr = 'n';
uplo   = 'l';
ar = [ 0.76   0.34; 
       4.16   1.18;
      -3.12   5.03;
       0.56  -0.83;
      -0.10   1.18];
n  = nag_int(4);
n2 = (n*(n+1))/2;
ar  = reshape(ar,[n2,1]);

% Factorize a
[ar, info] = nag_lapack_dpftrf(transr, uplo, n, ar);

if info == 0
  % Compute inverse of a
  [ar, info] = nag_lapack_dpftri(transr, uplo, n, ar);
  % Convert inverse to full array form, and print it
  [a, info] = nag_matop_dtfttr(transr, uplo, n, ar);
  fprintf('\n');
  [ifail] = nag_file_print_matrix_real_gen(uplo, 'n', a, 'Inverse');
else
  fprintf('\na is not positive definite.\n');
end

% diary off
