function nag_lapack_dposvx_example

% diary nag_lapack_dposvx_example.r
fprintf('nag_lapack_dposvx example results\n\n');

% Upper triangular part of symmetric matrix A
uplo = 'Upper';
a = [4.16, -3.12,  0.56, -0.10;
     0,     5.03, -0.83,  1.18;
     0,     0,     0.76,  0.34;
     0,     0,     0,     1.18];
n = size(a,2);

% RHS
b = [  8.7,  8.30;
     -13.35, 2.13;
       1.89, 1.61;
      -4.14, 5.00];

fact  = 'Equilibration';
uplo  = 'Upper';
af    = a;
equed = ' ';
s     = zeros(n,1);

[a, af, equed, s, b, x, rcond, ferr, berr, info] = ...
  nag_lapack_dposvx( ...
         fact, uplo, a, af, equed, s, b);

disp('Solution(s)');
disp(x);
disp('Backward errors (machine-dependent)');
fprintf('%10.1e',berr);
fprintf('\n');
disp('Estimated forward error bounds (machine-dependent)');
fprintf('%10.1e',ferr);
fprintf('\n\n');
disp('Estimate of reciprocal condition number');
fprintf('%10.1e\n\n',rcond);

if equed=='N'
  fprintf('A has not been equilibrated\n');
else
  fprintf('A has been equilibrated\n');
end

% diary off
