function nag_lapack_dppsvx_example

% diary nag_lapack_dppsvx_example.r
fprintf('nag_lapack_dppsvx example results\n\n');

% Symmetric matrix A, upper triangular part packed in ap
uplo = 'U';
n = 4;
ap = [4.16  ...
     -3.12  5.03  ...
      0.56 -0.83  0.76  ...
     -0.10  1.18  0.34  1.18];

% Rhs
b = [  8.70, 8.30;
     -13.35, 2.13;
       1.89, 1.61;
      -4.14, 5.00];

% Input parameters
fact  = 'Equilibration';
uplo  = 'U';
afp   = ap;
equed = ' ';
s      = zeros(n,1);

% Solve
[ap, afp, equed, s, b, x, rcond, ferr, berr, info] = ...
  nag_lapack_dppsvx( ...
         fact, uplo, ap, afp, equed, s, b);

disp('Solution(s)');
disp(x);
disp('Backward errors (machine-dependent)');
fprintf('%10.1e',berr);
fprintf('\n');
disp('Estimated forward error bounds (machine-dependent)');
fprintf('%10.1e',ferr);
fprintf('\n\n');
disp('Estimate of reciprocal condition number');
fprintf('%10.1e\n\n',rcond);

if equed=='N'
  fprintf('A has not been equilibrated\n');
else
  fprintf('A has been equilibrated\n');
end

% diary off
