function nag_lapack_dpstrf_example

% diary nag_lapack_dpstrf_example.r
fprintf('nag_lapack_dpstrf example results\n\n');

% Semidefinite matrix A
a = [2.51, 4.04, 3.34, 1.34, 1.29;
     4.04, 8.22, 7.38, 2.68, 2.44;
     3.34, 7.38, 7.06, 2.24, 2.14;
     1.34, 2.68, 2.24, 0.96, 0.80;
     1.29, 2.44, 2.14, 0.80, 0.74];

% Catch warnings about rank defficient matrix ifail=1
wstat = warning();
warning('OFF');

% Factorize a
uplo = 'l';
[afac, piv, rank, info] = nag_lapack_dpstrf( ...
                                 uplo, a);

if (info==0 || info==1) 
  fprintf('Computed rank: %d\n\n', rank);
  % Zero out columns rank+1 onwards
  afac(:, rank+1:5) = 0;

  [ifail] = nag_file_print_matrix_real_gen( ...
                   uplo, 'n', afac, 'Factor');

  fprintf('\n piv:\n   ');
  fprintf('%11d', piv);
  fprintf('\n');
else
  fprintf('\nf07kd returned with error, info = %d.\n',info);
end

warning(wstat);

% diary off
