function nag_lapack_dptrfs_example

% diary nag_lapack_dptrfs_example.r
fprintf('nag_lapack_dptrfs example results\n\n');

% Symmetric tridiagonal A stored as two diagonals
d = [ 4     10     29     25     5];
e = [-2     -6     15     8       ];

% RHS
b = [ 6, 10;
      9,  4;
      2,  9;
     14, 65;
      7, 23];

% Factorize
[df, ef, info] = nag_lapack_dpttrf( ...
                        d, e);

%Solve
[x, info] = nag_lapack_dpttrs( ...
                   df, ef, b);

% Refine
ef = [ef 0];
[x, ferr, berr, info] = nag_lapack_dptrfs( ...
                               d, e, df, ef, b, x);

disp('Solution');
disp(x);
fprintf('Forward  error bounds = %10.1e  %10.1e\n',ferr); 
fprintf('Backward error bounds = %10.1e  %10.1e\n',berr); 

% diary off
