function nag_lapack_dptsvx_example

% diary nag_lapack_dptsvx_example.r
fprintf('nag_lapack_dptsvx example results\n\n');

% Symmetric tridiagonal A stored as two diagonals
d = [ 4     10     29     25     5];
e = [-2     -6     15     8       ];

% RHS
b = [ 6, 10;
      9,  4;
      2,  9;
     14, 65;
      7, 23];

% Solve
fact = 'Not factored';
df = d;
ef = e;
[df, ef, x, rcond, ferr, berr, info] = ...
  nag_lapack_dptsvx( ...
         fact, d, e, df, ef, b);

disp('Solution(s)');
disp(x);
disp('Backward errors (machine-dependent)');
fprintf('%10.1e',berr);
fprintf('\n');
disp('Estimated forward error bounds (machine-dependent)');
fprintf('%10.1e',ferr);
fprintf('\n\n');
disp('Estimate of reciprocal condition number');
fprintf('%10.1e\n\n',rcond);

% diary off
