function nag_lapack_dsbtrd_example

% diary nag_lapack_dsbtrd_example.r
fprintf('nag_lapack_dsbtrd example results\n\n');

% Symmetric band matrix A, stored on symmetric banded format
uplo = 'L';
kd   = nag_int(2);
n    = nag_int(4);
ab   = [4.99,  1.05, -2.31, -0.43;
        0.04, -0.79, -1.30,  0;
        0.22,  1.04,  0,     0];

% Reduce A to tridiagonal form and compute Q
vect = 'V';
q = zeros(n, n);
[apf, d, e, q, info] = nag_lapack_dsbtrd( ...
                              vect, uplo, kd, ab, q);

% Calculate eigenvalues and eigenvectors of A
[w, ~, z, info] = nag_lapack_dsteqr( ...
                         vect, d, e, 'z', q);

% Normalize eigenvectors: largest element positive
for j = 1:n
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

disp('Eigenvalues');
disp(w');
disp('Eigenvectors');
disp(z);

% diary off
