function nag_lapack_dspevd_example

% diary nag_lapack_dspevd_example.r
fprintf('nag_lapack_dspevd example results\n\n');

% A is symmetric matrix stored in symmetric (Lower) packed format
uplo = 'L';
n = nag_int(4);
ap = [1;     2;     3;     4;
             2;     3;     4;
                    3;     4;
                           4];

% Eigenvalues and vectors of A 
job = 'Vectors';
[apf, w, z, info] = nag_lapack_dspevd( ...
                           job, uplo, n, ap);

disp('Eigenvalues');
disp(w');

% Normalize eigenvectors: largest element positive
for j = 1:n
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

disp('Eigenvectors');
disp(z);

% diary off
