function nag_lapack_dsptrd_example

% diary nag_lapack_dsptrd_example.r
fprintf('nag_lapack_dsptrd example results\n\n');

uplo = 'L';
n = nag_int(4);
ap = [2.07;     3.87;     4.2;     -1.15;
               -0.21;     1.87;     0.63;
                          1.15;     2.06;
                                   -1.81];

[apf, d, e, tau, info] = nag_lapack_dsptrd( ...
                                uplo, n, ap);

% Note: absolute values for e are displayed because the signs may change
%       with changes in sign of columns of Q.
fprintf('Diagonal and off-diagonal elements of tridiagonal form\n\n');
fprintf('    i         d           e\n');

for j = 1:n-1
  fprintf('%5d%12.5f%12.5f\n', j, d(j), abs(e(j)));
end
fprintf('%5d%12.5f\n', n, d(n));

% diary off
