function nag_lapack_dsteqr_example

% diary nag_lapack_dsteqr_example.r
fprintf('nag_lapack_dsteqr example results\n\n');

% Symmetric tridiagonal A stored as diagonal and off-diagonal
n = 4;
d = [-6.99;     7.92;     2.34;     0.32];
e = [-0.44;    -2.63;    -1.18];

% All eigenvalues and eigenvectors of A
compz = 'I';
z = zeros(n, n);
[w, ~, z, info] = nag_lapack_dsteqr( ...
                         compz, d, e, 'z', z);

% Normalize eigenvectors: largest element positive
for j = 1:n
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

disp('Eigenvalues');
disp(w');
disp('Eigenvectors');
disp(z);

% diary off
