function nag_lapack_dstev_example

% diary nag_lapack_dstev_example.r
fprintf('nag_lapack_dstev example results\n\n');

% Symmetric tridiagonal matrix A stored as main and sub-diagonals
n = nag_int(4);
d = [1;     4;     9;     16];
e = [1;     2;     3];

% All eigenvalues and eigenvectors of A
jobz = 'Vectors';
[w, ~, z, info] = nag_lapack_dstev( ...
                         jobz, d, e);

% Normalize eigenvectors: largest element positive
for j = 1:n
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

disp('Eigenvalues');
disp(w);
disp('Eigenvectors');
disp(z);

% Eigenvalue error bound
errbnd = nag_machine_precision*max(abs(w(1)),abs(w(end)));
% Eigenvector condition numbers
[rcondz, info] = nag_lapack_ddisna( ...
		        'Eigenvectors', n, n, w);

% Eigenvector error bounds
zerrbd = errbnd./rcondz;

disp('Error estimate for the eigenvalues');
fprintf('%12.1e\n',errbnd);
disp('Error estimates for the eigenvectors');
fprintf('%12.1e',zerrbd);
fprintf('\n');

% diary off
