function nag_lapack_dsygst_example

% diary nag_lapack_dsygst_example.r
fprintf('nag_lapack_dsygst example results\n\n');

% Sove Az = lambda Bz
  % A and B are symmetric, B is positive definite:
a = [ 0.24,  0.39,  0.42, -0.16;
      0.39, -0.11,  0.79,  0.63;
      0.42,  0.79, -0.25,  0.48;
     -0.16,  0.63,  0.48, -0.03];
b = [ 4.16  -3.12   0.56  -0.10;
     -3.12   5.03  -0.83   1.09;
      0.56  -0.83   0.76   0.34;
     -0.10   1.09   0.34   1.18];

% Factorize B
uplo = 'L';
[bfac, info] = nag_lapack_dpotrf(uplo, b);

% Reduce problem to standard form Cy = lambda*y
itype = nag_int(1);
[c, info] = nag_lapack_dsygst( ...
		   itype, uplo, a, bfac);

% Find eigenvalues lambda
jobz = 'No Vectors';
[~, w, info] = nag_lapack_dsyev( ...
		      jobz, uplo, c);

disp('Eigenvalues:');
disp(w);

% diary off
