function nag_lapack_dtgexc_example

% diary nag_lapack_dtgexc_example.r
fprintf('nag_lapack_dtgexc example results\n\n');

% Generalized Schur form matrix pair
n = 4;
S = [4, 1, 1, 2;
     0, 3, 4, 1;
     0, 1, 3, 1;
     0, 0, 0, 6];
T = [2, 1, 1, 3;
     0, 1, 2, 1;
     0, 0, 1, 1;
     0, 0, 0, 2];

% Move block with row index 2 to row 1
ifst = nag_int(2);
ilst = nag_int(1);

% Do not update Q and Z
wantq = false;
wantz = false;
q = zeros(n,1);
z = q;

[S, T, ~, ~, ifst, ilst, info] = ...
    nag_lapack_dtgexc( ...
           wantq, wantz, S, T, q, z, ifst, ilst);

% Normalize: first nonzero element of each row of S is positive

for i = 1:n
  j = max(i-1,1);
  while (S(i,j)==0 && j<n)
    j = j + 1;
  end
  if S(i,j)<0
    S(i,j:n) = -S(i,j:n);
    T(i,i:n) = -T(i,i:n);
  end
end
disp('Reordered Schur matrix S');
disp(S);
disp('Reordered Schur matrix T');
disp(T);

% diary off
