function nag_lapack_dtgsen_example

% diary nag_lapack_dtgsen_example.r
fprintf('nag_lapack_dtgsen example results\n\n');

% Generalized Schur form matrix pair
n = 4;
S = [4, 1, 1, 2;
     0, 3, 4, 1;
     0, 1, 3, 1;
     0, 0, 0, 6];
T = [2, 1, 1, 3;
     0, 1, 2, 1;
     0, 0, 1, 1;
     0, 0, 0, 2];

% Want equivalence transformation matrices Q and Z
wantq = true;
wantz = true;
Q = eye(n);
Z = Q;

% reorder 1st and 4th eigenvalues, and
% get projection norms and upper bound estimates
select = [true;     false;     false;     true];
ijob = nag_int(4);

% Reorder the Schur factors a and b and update the matrices q and z
[S, T, alphar, alphai, beta, Q, Z, m, pl, pr, dif, info] = ...
nag_lapack_dtgsen( ...
       ijob, wantq, wantz, select, S, T, Q, Z);

fprintf('Number of selected eigenvalues  = %4d\n\n', m);
eigs = alphar./beta + i*alphai./beta;
disp('Selected Generalized Eigenvalues')
disp(eigs(1:m));
fprintf('%s%s\n%10.2e\n', ...
        'Norm estimate of projection onto  left eigenspace ', ...
        'for selected cluster', 1/pl);
fprintf('\n%s%s\n%10.2e\n', ...
        'Norm estimate of projection onto right eigenspace ', ...
        'for selected cluster', 1/pr);
fprintf('\nF-norm based upper bound on Difu\n%10.2e\n', dif(1));
fprintf('\nF-norm based upper bound on Difl\n%10.2e\n', dif(2));

% diary off
