function nag_lapack_dtgsyl_example

% diary nag_lapack_dtgsyl_example.r
fprintf('nag_lapack_dtgsyl example results\n\n');

% Given generalized Schur form pairs (A,D) and (B,E), and matrices C and F:
% solve AR - LB = alpha*C
%       DR - LE = alpha*F
% for R, L and alpha
  
% Schur form pairs
A = [4, 1, 1, 2;
     0, 3, 4, 1;
     0, 1, 3, 1;
     0, 0, 0, 6];
D = [2, 1, 1, 3;
     0, 1, 2, 1;
     0, 0, 1, 1;
     0, 0, 0, 2];
B = [1, 1, 1, 1;
     0, 3, 4, 1;
     0, 1, 3, 1;
     0, 0, 0, 4];
E = [1, 1, 1, 2;
     0, 1, 4, 1;
     0, 0, 1, 1;
     0, 0, 0, 1];
% Right hand matrices
C = [-4, 7,  1, 12;
     -9, 2, -2, -2;
     -4, 2, -2,  8;
     -7, 7, -6, 19];
F = [-7, 5,  0,  7;
     -5, 1, -8,  0;
     -1, 2, -3,  5;
     -3, 2,  0,  5];

% Solve
trans = 'No transpose';
ijob = nag_int(0);
[R, L, alpha, ~, info] = nag_lapack_dtgsyl( ...
                                trans, ijob, A, B, C, D, E, F);


[ifail] = nag_file_print_matrix_real_gen( ...
                 'Gen', ' ', R, 'Solution matrix R');

fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen( ...
                 'Gen', ' ', L, 'Solution matrix L');

fprintf('\nalpha = %10.2e\n', alpha);

% diary off
