function nag_lapack_dtrrfs_example

% diary nag_lapack_dtrrfs_example.r
fprintf('nag_lapack_dtrrfs example results\n\n');

% Solve AX=B and compute error bounds, where A is Lower triangular
a = [ 4.30,  0,     0,    0;
     -3.96, -4.87,  0,    0;
      0.40,  0.31, -8.02, 0;
     -0.27,  0.07, -5.95, 0.12];
b = [-12.90, -21.50;
      16.75,  14.93;
     -17.55,   6.33;
     -11.04,   8.09];

uplo = 'L';
trans = 'N';
diag = 'N';

% Solve
[x, info] = nag_lapack_dtrtrs( ...
                   uplo, trans, diag, a, b);

% Error bounds
[ferr, berr, info] = nag_lapack_dtrrfs( ...
                            uplo, trans, diag, a, b, x);

% Display solution
[ifail] = nag_file_print_matrix_real_gen( ...
                 'Gen', diag, x, 'Solution(s)');

fprintf('\nBackward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
