function nag_lapack_zgbequ_example

% diary nag_lapack_zgbequ_example.r
fprintf('nag_lapack_zgbequ example results\n\n');

m  = nag_int(4);
kl = nag_int(1);
ku = nag_int(2);
abr = [ 0     0         0.97     0.59   ;
        0    -2.05e-10 -2.99     3.33e10;
       -1.65 -1.48e-10 -1.06e10 -0.46;   
        0    -0.77      4.48     0];      
abi = [ 0     0        -2.84    -0.48;
        0    -8.50e-11  3.01    -1.04e10;
        2.26 -1.75e-10  1.94e10 -1.72;
        6.3   2.83     -1.09     0      ];
ab = abr + i*abi;

[r, c, rowcnd, colcnd, amax, info] = ...
  nag_lapack_zgbequ( m, kl, ku, ab);

fprintf('rowcnd = %8.1e colcnd = %8.1e amax = %8.1e\n\n', ...
        rowcnd, colcnd, amax);
fprintf('Row scale factors:\n');
fprintf('%12.2e',r)
fprintf('\nColumn scale factors:\n');
fprintf('%12.2e',c)
fprintf('\n\n');

% Compute values close to underflow and overflow
small = nag_machine_real_safe/(nag_machine_precision*double(nag_machine_model_base));
big = 1/small;
thresh = 0.1;

% Convert ab to full representation a
[a, ab, ifail] = nag_matop_complex_band_pack( ...
                        'u', kl, ku, complex(zeros(m, m)), ab);

if (rowcnd >= thresh) && (amax >= small) && (amax <= big)
  if colcnd<thresh
    % Just column scale A
    as = a*diag(c);
  end
elseif colcnd>=thresh
  % Just row scale A
  as = diag(r)*a;
else
  % Row and column scale A
  as = diag(r)*a*diag(c);
end

mtitle = 'Scaled Matrix RAC:';
[ifail] = nag_file_print_matrix_complex_gen( ...
                 'G', 'N', as, mtitle);

% diary off
