function nag_lapack_zgecon_example

% diary nag_lapack_zgecon_example.r
fprintf('nag_lapack_zgecon example results\n\n');

a = [-1.34 + 2.55i,  0.28 + 3.17i, -6.39 - 2.20i,  0.72 - 0.92i;
     -0.17 - 1.41i,  3.31 - 0.15i, -0.15 + 1.34i,  1.29 + 1.38i;
     -3.29 - 2.39i, -1.91 + 4.42i, -0.14 - 1.35i,  1.72 + 1.35i;
      2.41 + 0.39i, -0.56 + 1.47i, -0.83 - 0.69i, -1.96 + 0.67i];

norm_p = '1';
anorm = norm(a, 1);

% Factorise a
[LU, ipiv, info] = nag_lapack_zgetrf(a);

% Estimate condition number
[rcond, info] = nag_lapack_zgecon( ...
                       norm_p, LU, anorm);

if rcond > nag_machine_precision
  fprintf('\nEstimate of condition number = %10.2e\n', 1/rcond);
else
  fprintf('\nA is singular to working precision\n');
end

% diary off
