function nag_lapack_zgeequ_example

% diary nag_lapack_zgeequ_example.r
fprintf('nag_lapack_zgeequ example results\n\n');

a = [ -1.34     + 2.55i,     2.80e9  + 3.17e10i, -6.39    - 2.2i;
      -1.70     - 1.41i,     3.31e10 - 1.50e9i,  -0.15    + 1.34i;
       2.41e-10 + 3.9e-11i, -0.56    + 1.47i,    -8.3e-11 - 6.9e-11i];

% Compute row and column scaling factors
thresh = 0.1;
[r, c, rowcnd, colcnd, amax, info] = ...
  nag_lapack_zgeequ(a);

% Print rowcnd, colcnd, amax and the scale factors
format shorte;
fprintf('rowcnd = %8.1e colcnd = %8.1e amax = %8.1e\n', rowcnd, colcnd, amax);
fprintf('\nRow scale factors:\n');
disp(r');
fprintf('Column scale factors:\n');
disp(c');

% Compute values close to underflow and overflow
small = nag_machine_real_safe/(nag_machine_precision*nag_machine_model_base);
big = 1/small;

if (rowcnd >= thresh) && (amax >= small) && (amax <= big)
  if colcnd<thresh
    % Just column scale A
    as = a*diag(c);
  end
elseif colcnd>=thresh
  % Just row scale A
  as = diag(r)*a;
else
  % Row and column scale A
  as = diag(r)*a*diag(c);
end

format short
fprintf('Scaled Matrix:\n');
disp(as);

% diary off
