function nag_lapack_zgglse_example

% diary nag_lapack_zgglse_example.r
fprintf('nag_lapack_zgglse example results\n\n');

% Solve the equality-constrained least-squares problem
% minimize ||c - A*x|| (in the 2-norm) subject to B*x = D

a = [ 0.96 - 0.81i, -0.03 + 0.96i, -0.91 + 2.06i, -0.05 + 0.41i;
     -0.98 + 1.98i, -1.20 + 0.19i, -0.66 + 0.42i, -0.81 + 0.56i;
      0.62 - 0.46i,  1.01 + 0.02i,  0.63 - 0.17i, -1.11 + 0.60i;
      0.37 + 0.38i,  0.19 - 0.54i, -0.98 - 0.36i,  0.22 - 0.20i;
      0.83 + 0.51i,  0.20 + 0.01i, -0.17 - 0.46i,  1.47 + 1.59i;
      1.08 - 0.28i,  0.20 - 0.12i, -0.07 + 1.23i,  0.26 + 0.26i];
b = complex([1,  0, -1,  0;
             0,  1,  0, -1]);
c = [-2.54 + 0.09i;
      1.65 - 2.26i;
     -2.11 - 3.96i;
      1.82 + 3.30i;
     -6.41 + 3.77i;
      2.07 + 0.66i];
d = [complex(0);
      0 + 0i];

%Solve
[~, ~, c, ~, x, info] = nag_lapack_zgglse( ...
                               a, b, c, d);

fprintf('\nConstrained least-squares solution\n');
disp(x);

rnorm = norm(c(3:6));
fprintf('Square root of the residual sum of squares\n%11.2e\n',rnorm);

% diary off
