function nag_lapack_zgtcon_example

% diary nag_lapack_zgtcon_example.r
fprintf('nag_lapack_zgtcon example results\n\n');

% Tridiagonal matrix stored by diagonals
du = [              2   - 1i     2   + 1i    -1   + 1i     1   - 1i  ];
d  = [-1.3 + 1.3i  -1.3 + 1.3i  -1.3 + 3.3i  -0.3 + 4.3i  -3.3 + 1.3i];
dl = [ 1   - 2i     1   + 1i     2   - 3i     1   + 1i               ];

% Factorize.
[dlf, df, duf, du2, ipiv, info] = ...
  nag_lapack_zgttrf(dl, d, du);

% 1-norm of A (construct column preserving matrix)
a = [0+0i du; d; dl 0+0i];
anorm = norm(a,1);

% Estimate condition number 
norm_p = '1-norm';
[rcond, info] = nag_lapack_zgtcon( ...
                       norm_p, dlf, df, duf, du2, ipiv, anorm);

fprintf('Estimate of condition number = %10.2e\n', 1/rcond);

% diary off
