function nag_lapack_zgttrf_example

% diary nag_lapack_zgttrf_example.r
fprintf('nag_lapack_zgttrf example results\n\n');

% Tridiagonal matrix stored by diagonals
du = [              2   - 1i     2   + 1i    -1   + 1i     1   - 1i  ];
d  = [-1.3 + 1.3i  -1.3 + 1.3i  -1.3 + 3.3i  -0.3 + 4.3i  -3.3 + 1.3i];
dl = [ 1   - 2i     1   + 1i     2   - 3i     1   + 1i               ];

% Factorize.
[dlf, df, duf, du2, ipiv, info] = ...
  nag_lapack_zgttrf(dl, d, du);

disp('Details of factorization');
fprintf('\n');
disp(' Second super-diagonal of U');
disp(du2');
disp(' First super-diagonal of U');
disp(duf);
disp(' Main diagonal of U');
disp(df(1:4));
disp(df(5:end));
disp(' Multipliers');
disp(dlf);
disp(' Vector of interchanges');
disp(double(ipiv)');

% diary off
