function nag_lapack_zhbevx_example

% diary nag_lapack_zhbevx_example.r
fprintf('nag_lapack_zhbevx example results\n\n');

% Hermitian band matrix A, stored on symmetric banded format
uplo = 'U';
kd   = nag_int(2);
ab = [0,       0 + 0i,  3 - 1i,  4 - 2i,  5 - 3i;
      0 + 0i,  2 - 1i,  3 - 2i,  4 - 3i,  5 - 4i;
      1 + 0i,  2 + 0i,  3 + 0i,  4 + 0i,  5 + 0i];

% Eigenvalues in range [-2,2] and coresponding eigenvectors
jobz = 'Vectors';
range = 'Values in range';
vl = -2;
vu = 2;
il = nag_int(0);
iu = nag_int(0);
abstol = 0;
[~, q, m, w, z, jfail, info] = ...
nag_lapack_zhbevx( ...
       jobz, range, uplo, kd, ab, vl, vu, il, iu, abstol);

% Normalize: largest elements are real
for i = 1:m
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

disp('Eigenvalues in range [-2,2]');
disp(w(1:m)');
[ifail] = nag_file_print_matrix_complex_gen( ...
                 'General', ' ', z, 'Corresponding eigenvectors');

% diary off
