function nag_lapack_zhegvx_example

% diary nag_lapack_zhegvx_example.r
fprintf('nag_lapack_zhegvx example results\n\n');

% Upper triangular parts of Hermitian matrix A and positive definite matrix B
uplo = 'Upper';
n = 4;
a = [-7.36 + 0i,  0.77 - 0.43i, -0.64 - 0.92i,  3.01 - 6.97i;
      0    + 0i,  3.49 + 0i,     2.19 + 4.45i,  1.90 + 3.73i;
      0    + 0i,  0    + 0i,     0.12 + 0i,     2.88 - 3.17i;
      0    + 0i,  0    + 0i,     0    + 0i,    -2.54 + 0i];
b = [ 3.23 + 0i,  1.51 - 1.92i,  1.90 + 0.84i,  0.42 + 2.5i;
      0    + 0i,  3.58 + 0i,    -0.23 + 1.11i, -1.18 + 1.37i;
      0    + 0i,  0    + 0i,     4.09 + 0i,     2.33 - 0.14i;
      0    + 0i,  0    + 0i,     0    + 0i,     4.29 + 0i];

% Generalized eigenvalues and eigenvectors for problem Az = lambda Bz
% selecting eigenvalues in the range [-3,3].
itype = nag_int(1);
jobz  = 'Vectors';
range = 'Values in range';
uplo  = 'Upper';
vl = -3;         vu = 3;
il = nag_int(0); iu = nag_int(0);
abstol = 0;

[~, ~, m, w, Z, jfail, info] = ...
nag_lapack_zhegvx( ...
       itype, jobz, range, uplo, a, b, vl, vu, il, iu, abstol);

% Normalize: largest elements are real (preserving Z^HBZ = I)
for i = 1:m
  [~,k] = max(abs(real(Z(:,i)))+abs(imag(Z(:,i))));
  Z(:,i) = Z(:,i)*conj(Z(k,i))/abs(Z(k,i));
end

disp('Eigenvalues');
disp(w(1:m)');
disp('Eigenvectors');
disp(Z);

% diary off
