function nag_lapack_zhesv_example

% diary nag_lapack_zhesv_example.r
fprintf('nag_lapack_zhesv example results\n\n');

% Hermitian indefinite matrix A (Upper triangular part stored)
uplo = 'Upper';
a = [-1.84 + 0i,  0.11 - 0.11i, -1.78 - 1.18i,  3.91 - 1.5i;
      0    + 0i, -4.63 + 0i,    -1.84 + 0.03i,  2.21 + 0.21i;
      0    + 0i,  0    + 0i,    -8.87 + 0i,     1.58 - 0.9i;
      0    + 0i,  0    + 0i,     0    + 0i,    -1.36 + 0i];

% RHS
b = [ 2.98 - 10.18i;
     -9.58 +  3.88i;
     -0.77 - 16.05i;
      7.79 +  5.48i];

% Solve
[af, ipiv, x, info] = nag_lapack_zhesv( ...
                             uplo, a, b);

disp('Solution');
disp(x);

[ifail] = nag_file_print_matrix_complex_gen( ...
                 uplo, 'Non-unit', af, 'Details of factorization');

fprintf('\nPivot indices\n   ');
fprintf('%11d', ipiv);
fprintf('\n');

% diary off
