function nag_lapack_zhpevd_example

% diary nag_lapack_zhpevd_example.r
fprintf('nag_lapack_zhpevd example results\n\n');

% Lower triangular part of Hermitian matrix A
uplo = 'L';
n = nag_int(4);
ap = [1;      2 + 1i;      3 + 1i;      4 + 1i;
              2 + 0i;      3 + 2i;      4 + 2i;
                           3 + 0i;      4 + 3i;
                                        4 + 0i];

% Calculate all the eigenvalues and eigenvectors of A
job = 'Vectors';
[apf, w, z, info] = nag_lapack_zhpevd( ...
                             job, uplo, n, ap);

% Normalize vectors, largest element is real and positive.
for i = 1:n
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

% Display results
fprintf('Eigenvalues:\n');
disp(w);

ncols  = nag_int(80);
indent = nag_int(0);
[ifail] = nag_file_print_matrix_complex_gen_comp( ...
                 'General', ' ', z, 'Bracketed', 'F7.4', ...
                 'Eigenvectors', 'Integer', 'Integer', ...
                 ncols, indent);

% diary off
