function nag_lapack_zhpevx_example

% diary nag_lapack_zhpevx_example.r
fprintf('nag_lapack_zhpevx example results\n\n');

% Hermitian A stored in packed format.
uplo = 'U';
n = nag_int(4);
ap = [1;
      2 - 1i;      2 + 0i;
      3 - 1i;      3 - 2i;      3 + 0i;
      4 - 1i;      4 - 2i;      4 - 3i;      4 + 0i];

% Eigenvalues in range [-2,2] of Hermitian A stored in packed format.
jobz  = 'Vectors';
range = 'Values in range';
vl = -2;
vu =  2;
il = nag_int(0);
iu = nag_int(0);
abstol = 0;
[~, m, w, z, jfail, info] = ...
nag_lapack_zhpevx( ...
       jobz, range, uplo, n, ap, vl, vu, il, iu, abstol);

% Normalize: largest elements are real
for i = 1:m
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

fprintf('Number of eigenvalues in [-2,2] is %2d\n',m);
fprintf('\n Eigenvalues are:\n');
disp(w(1:m));

ncols  = nag_int(80);
indent = nag_int(0);
[ifail] = nag_file_print_matrix_complex_gen_comp( ...
                 'General', ' ', z, 'Bracketed', 'F7.4', ...
                 'Corresponding eigenvectors', 'Integer', 'Integer', ...
                 ncols, indent);

% diary off
