function nag_lapack_zpbequ_example

% diary nag_lapack_zpbequ_example.r
fprintf('nag_lapack_zpbequ example results\n\n');

% Symmetric banded A
uplo = 'U';
kd = nag_int(1);
n  = nag_int(4);
ab = [0,          1.08 - 1.73i,  -0.04e10 + 0.29e10i,  -0.33e10 + 2.24e10i;
      9.39 + 0i,  1.69 + 0i,      2.65e20 + 0i,         2.17    + 0i];

% Scale A
[s, scond, amax, info] = nag_lapack_zpbequ( ...
                                uplo, kd, ab);

fprintf('scond = %8.1e, amax = %8.1e\n\n', scond, amax);
disp('Diagonal scaling factors');
fprintf('%10.1e',s);
fprintf('\n\n');

% Apply scalings
asp = ab*diag(s);
for i = 1:n
  for j = 0:min(kd,n-i)
    asp(kd+1-j,i+j) = s(i)*asp(kd+1-j,i+j);
  end
end

kl = nag_int(0);
[ifail] = nag_file_print_matrix_complex_band( ...
                 n, n, kl, kd, asp, 'Scaled matrix');

% diary off
