function nag_lapack_zpftrs_example

% diary nag_lapack_zpftrs_example.r
fprintf('nag_lapack_zpftrs example results\n\n');

% Symmetric matrix in RFP format
transr = 'n';
uplo   = 'l';
ar = [ 4.09 + 0.00i  2.33 - 0.14i;
       3.23 + 0.00i  4.29 + 0.00i;
       1.51 + 1.92i  3.58 + 0.00i;
       1.90 - 0.84i -0.23 - 1.11i;
       0.42 - 2.50i -1.18 - 1.37i];
n  = nag_int(4);
n2 = (n*(n+1))/2;
ar  = reshape(ar,[n2,1]);

% RHS
b = [ 3.93 -  6.14i,  1.48 +  6.58i;
      6.17 +  9.42i,  4.65 -  4.75i;
     -7.17 - 21.83i, -4.91 +  2.29i;
      1.99 - 14.38i,  7.64 - 10.79i];

% Factorize a
[ar, info] = nag_lapack_zpftrf(transr, uplo, n, ar);

if info == 0
  % Compute solution
  [b, info] = nag_lapack_zpftrs( ...
                     transr, uplo, ar, b);
  fprintf('\n');
  ncols  = nag_int(80);
  indent = nag_int(0);
  form   = 'f7.4';
  title  = 'Solutions';

  [ifail] = nag_file_print_matrix_complex_gen_comp( ...
                   'g', ' ', b, 'bracket', form, title, ...
                   'int', 'int', ncols, indent);
else
  fprintf('\na is not positive definite.\n');
end

% diary off
