function nag_lapack_zporfs_example

% diary nag_lapack_zporfs_example.r
fprintf('nag_lapack_zporfs example results\n\n');

% Lower triangular part of Hermitian matrix A
uplo = 'Lower';
a = [ 3.23 + 0i,     0    + 0i,     0    + 0i,     0    + 0i;
      1.51 + 1.92i,  3.58 + 0i,     0    + 0i,     0    + 0i;
      1.90 - 0.84i, -0.23 - 1.11i,  4.09 + 0i,     0    + 0i;
      0.42 - 2.50i, -1.18 - 1.37i,  2.33 + 0.14i,  4.29 + 0i];

[L, info] = nag_lapack_zpotrf( ...
                   uplo, a);

% Rhs
b = [ 3.93 -  6.14i,  1.48 +  6.58i;
      6.17 +  9.42i,  4.65 -  4.75i;
     -7.17 - 21.83i, -4.91 +  2.29i;
      1.99 - 14.38i,  7.64 - 10.79i];

% Solve AX = B
[x, info] = nag_lapack_zpotrs( ...
                   uplo, L, b);

% Refine
[x, ferr, berr, info] = nag_lapack_zporfs( ...
                               uplo, a, L, b, x);

disp('Solution(s)');
disp(x);
fprintf('\nBackward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
