function nag_lapack_zppsv_example

% diary nag_lapack_zppsv_example.r
fprintf('nag_lapack_zppsv example results\n\n');

% Upper triangular part of Hermitian matrix A
uplo = 'Upper';
n = nag_int(4);
ap = [ 3.23 + 0i,  ...
       1.51 - 1.92i,  3.58 + 0i,    ...
       1.90 + 0.84i, -0.23 + 1.11i, 4.09 + 0i,     ...
       0.42 + 2.50i, -1.18 + 1.37i, 2.33 - 0.14i,  4.29 + 0i];

% RHS
b = [ 3.93 -  6.14i;
      6.17 +  9.42i;
     -7.17 - 21.83i;
      1.99 - 14.38i];

% Solve Ax = b
[apf, x, info] = nag_lapack_zppsv( ...
                        uplo, ap, b);

disp('Solution');
disp(x);

[ifail] = nag_file_print_matrix_complex_packed( ...
                 uplo, 'Non-unit', n, apf, 'Cholesky factor U');


% diary off
