function nag_lapack_zpteqr_example

% diary nag_lapack_zpteqr_example.r
fprintf('nag_lapack_zpteqr example results\n\n');

% Hermitian matrix A, lower triangular part stored
uplo = 'L';
n = 4;
a = [ 6.02 + 0i,     0    + 0i,     0    + 0i,     0    + 0i,
     -0.45 - 0.25i,  2.91 + 0i,     0    + 0i,     0    + 0i,
     -1.30 - 1.74i,  0.05 - 1.56i,  3.29 + 0i,     0    + 0i,
      1.45 + 0.66i, -1.04 - 1.27i,  0.14 - 1.70i,  4.18 + 0.00i];

% Reduce to tridiagonal form
[QT, d, e, tau, info] = nag_lapack_zhetrd( ...
                               uplo, a);

% Form Q
[Q, info] = nag_lapack_zungtr( ...
                   uplo, QT, tau);

% Calculate eigenvalues and eigenvectors of A 
compz = 'V';
[w, ~, z, info] = nag_lapack_zpteqr( ...
                         compz, d, e, Q);

% Normalize: largest elements are real
for i = 1:n
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

disp(' Eigenvalues of A:');
disp(w');
disp(' Corresponding eigenvectors:');
disp(z);

% diary off
