function nag_lapack_zspcon_example

% diary nag_lapack_zspcon_example.r
fprintf('nag_lapack_zspcon example results\n\n');

% Estimate condition number of A, where A is complex symmetric matrix
% such that the lower triangular part is stored in packed format

% A in full format first to get 1-norm of A
n = nag_int(4);
a =  [ -0.39 - 0.71i   5.14 - 0.64i  -7.86 - 2.96i   3.80 + 0.92i;
        5.14 - 0.64i   8.86 + 1.81i  -3.52 + 0.58i   5.32 - 1.59i;
       -7.86 - 2.96i  -3.52 + 0.58i  -2.83 - 0.03i  -1.54 - 2.86i;
        3.80 + 0.92i   5.32 - 1.59i  -1.54 - 2.86i  -0.56 + 0.12i];
anorm = norm(a,1);

% pack A in array ap
uplo = 'L';
ap = [];
for j = 1:n
  ap = [ap; a(j:n,j)];
end

% Factorize packed form
[apf, ipiv, info] = nag_lapack_zsptrf( ...
                           uplo, n, ap);

% Get reciprocal condition number
[rcond, info] = nag_lapack_zspcon( ...
                       uplo, apf, ipiv, anorm);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
