function nag_lapack_ztftri_example

% diary nag_lapack_ztftri_example.r
fprintf('nag_lapack_ztftri example results\n\n');

% Symmetric matrix in RFP format
transr = 'n';
uplo   = 'l';
diag   = 'n';
ar = [ 4.15 - 0.80i  -0.02 - 0.46i; 
       4.78 + 4.56i   0.33 + 0.26i; 
       2.00 - 0.30i  -4.11 + 1.25i; 
       2.89 - 1.34i   2.36 - 4.25i; 
      -1.89 + 1.15i   0.04 - 3.69i];
n  = nag_int(4);
n2 = (n*(n+1))/2;
ar  = reshape(ar,[n2,1]);
   
% Compute inverse of a
[ar, info] = nag_lapack_ztftri( ...
                    transr, uplo, diag, n, ar);

if info == 0
  % Convert inverse to full array form for display
  [a, info] = nag_matop_ztfttr( ...
                     transr, uplo, n, ar);
  fprintf('\n');
  ncols  = nag_int(80);
  indent = nag_int(0);
  form   = 'f7.4';
  title  = 'Inverse, lower triangle:';
  diag   = 'n';
  [ifail] = nag_file_print_matrix_complex_gen_comp( ...
                   uplo, diag, a, 'brackets', form, title, ...
                  'int', 'int', ncols, indent);
else
  fprintf('\na is singular.\n');
end

% diary off
