function nag_lapack_ztgsen_example

% diary nag_lapack_ztgsen_example.r
fprintf('nag_lapack_ztgsen example results\n\n');

% Generalized Schur form matrix pair
n = 4;
S = [ 4 + 4i,  1 + 1i,  1 + 1i,  2 - 1i;
      0 + 0i,  2 + 1i,  1 + 1i,  1 + 1i;
      0 + 0i,  0 + 0i,  2 - 1i,  1 + 1i;
      0 + 0i,  0 + 0i,  0 + 0i,  6 - 2i];
T = [ 2,       1 + 1i,  1 + 1i,  3 - 1i;
      0 + 0i,  1 + 0i,  2 + 1i,  1 + 1i;
      0 + 0i,  0 + 0i,  1 + 0i,  1 + 1i;
      0 + 0i,  0 + 0i,  0 + 0i,  2 + 0i];

% Want equivalence transformation matrices Q and Z
wantq = true;
wantz = true;
Q = complex(eye(n));
Z = Q;

% reorder 2nd and 3rd eigenvalues, and
% get projection norms and upper bound estimates
select = [false;     true;     true;     false];
ijob = nag_int(4);

% Reorder the Schur factors S and T and update the matrices Q and Z
[S, T, alpha, beta, Q, Z, m, pl, pr, dif, info] = ...
  nag_lapack_ztgsen( ...
         ijob, wantq, wantz, select, S, T, Q, Z);

fprintf('Number of selected eigenvalues  = %4d\n\n', m);
eigs = alpha./beta;
disp('Selected Generalized Eigenvalues')
disp(eigs(1:m));
mtitle = 'Basis of left deflating invariant subspace';
[ifail] = nag_file_print_matrix_complex_gen_comp( ...
                 'Gen', ' ', Q(:,1:m), 'B', ' ', mtitle, ...
                 'Int', 'Int', nag_int(80), nag_int(0));
fprintf('\n');
mtitle = 'Basis of right deflating invariant subspace';
[ifail] = nag_file_print_matrix_complex_gen_comp( ...
                 'Gen', ' ', Z(:,1:m), 'B', ' ', mtitle, ...
                 'Int', 'Int', nag_int(80), nag_int(0));
fprintf('\n%s%s\n%10.2e\n', ...
        'Norm estimate of projection onto  left eigenspace ', ...
        'for selected cluster', 1/pl);
fprintf('\n%s%s\n%10.2e\n', ...
        'Norm estimate of projection onto right eigenspace ', ...
        'for selected cluster', 1/pr);
fprintf('\nF-norm based upper bound on Difu\n%10.2e\n', dif(1));
fprintf('\nF-norm based upper bound on Difl\n%10.2e\n', dif(2));

% diary off
