function nag_lapack_ztgsyl_example

% diary nag_lapack_ztgsyl_example.r
fprintf('nag_lapack_ztgsyl example results\n\n');

% Given generalized Schur form pairs (A,D) and (B,E), and matrices C and F:
% solve AR - LB = alpha*C
%       DR - LE = alpha*F
% for R, L and alpha

% Schur form pairs
A = [ 4 + 4i,  1 + 1i,  1 + 1i,  2 - 1i;
      0 + 0i,  2 + 1i,  1 + 1i,  1 + 1i;
      0 + 0i,  0 + 0i,  2 - 1i,  1 + 1i;
      0 + 0i,  0 + 0i,  0 + 0i,  6 - 2i];
D = [ 1 + 1i,  1 - 1i,  1 + 1i,  1 - 1i;
      0 + 0i,  6 - 4i,  1 - 1i,  1 + 1i;
      0 + 0i,  0 + 0i,  2 + 4i,  1 - 1i;
      0 + 0i,  0 + 0i,  0 + 0i,  2 + 3i];
B = [ 2,       1 + 1i,  1 + 1i,  3 - 1i;
      0 + 0i,  1 + 0i,  2 + 1i,  1 + 1i;
      0 + 0i,  0 + 0i,  1 + 0i,  1 + 1i;
      0 + 0i,  0 + 0i,  0 + 0i,  2 + 0i];
E = [ 1,       1 + 1i,  1 - 1i,  1 + 1i;
      0 + 0i,  2 + 0i,  1 + 1i,  1 - 1i;
      0 + 0i,  0 + 0i,  2 + 0i,  1 + 1i;
      0 + 0i,  0 + 0i,  0 + 0i,  1 + 0i];

% Right hand matrices
C = [-13 +  9i,  2 + 8i, -2 +  8i, -2 +  5i;
      -9 -  1i,  0 + 5i, -7 -  3i, -6 +  0i;
      -1 +  1i,  4 + 2i,  4 -  5i,  9 -  5i;
      -6 +  6i,  9 + 1i, -2 +  4i, 22 -  8i];
F = [ -6 +  5i,  4 - 4i, -3 + 11i,  3 -  7i;
      -5 + 11i, 12 - 4i, -2 +  2i,  0 + 14i;
      -5 -  1i,  0 + 4i, -2 + 10i,  3 -  1i;
      -6 -  2i,  1 + 1i, -7 -  3i,  4 +  7i];

% Solve
trans = 'No transpose';
ijob = nag_int(0);
[R, L, alpha, ~, info] = nag_lapack_ztgsyl( ...
                                trans, ijob, A, B, C, D, E, F);

disp('Solution matrix R');
disp(R); 
disp('Solution matrix L');
disp(L); 
fprintf('alpha = %10.2e\n', alpha);

% diary off
