function nag_lapack_ztrrfs_example

% diary nag_lapack_ztrrfs_example.r
fprintf('nag_lapack_ztrrfs example results\n\n');

% Solve AX=B  and get error bounds, where A is Lower triangular
a = [  4.78 +  4.56i,   0    +  0i,     0    + 0i,    0    + 0i;
       2.00 -  0.30i,  -4.11 +  1.25i,  0    + 0i,    0    + 0i;
       2.89 -  1.34i,   2.36 -  4.25i,  4.15 + 0.8i,  0    + 0i;
      -1.89 +  1.15i,   0.04 -  3.69i, -0.02 + 0.46i, 0.33 - 0.26i];
b = [-14.78 - 32.36i, -18.02 + 28.46i;
       2.98 -  2.14i,  14.22 + 15.42i;
     -20.96 + 17.06i,   5.62 + 35.89i;
       9.54 +  9.91i, -16.46 -  1.73i];

% Solve
uplo  = 'L';
trans = 'N';
diag  = 'N';
[x, info] = nag_lapack_ztrtrs( ...
                   uplo, trans, diag, a, b);

% Get error bounds
[ferr, berr, info] = nag_lapack_ztrrfs( ...
                            uplo, trans, diag, a, b, x);

disp('Solution(s)');
disp(x);

fprintf('Backward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
