function nag_lapack_zunmhr_example

% diary nag_lapack_zunmhr_example.r
fprintf('nag_lapack_zunmhr example results\n\n');

n   = nag_int(4);
ilo = nag_int(1);
ihi = n;
a = [ -3.97 - 5.04i, -4.11 + 3.70i, -0.34 + 1.01i,  1.29 - 0.86i;
       0.34 - 1.50i,  1.52 - 0.43i,  1.88 - 5.38i,  3.36 + 0.65i;
       3.31 - 3.85i,  2.50 + 3.45i,  0.88 - 1.08i,  0.64 - 1.48i;
      -1.10 + 0.82i,  1.81 - 1.59i,  3.25 + 1.33i,  1.57 - 3.44i];

% Reduce A to upper Hessenberg Form
[H, tau, info] = nag_lapack_zgehrd(ilo, ihi, a);

% Form Q
[Q, info] = nag_lapack_zunghr(ilo, ihi, H, tau);

% Schur factorize H = Y*T*Y^H
job   = 'Schur form';
compz = 'Vectors';
[~, w, ~, info] = nag_lapack_zhseqr( ...
                         job, compz, ilo, ihi, H, Q);

disp('Eigenvalues of A');
disp(w);

% Calculate eigenvectors of H for negative real part eigenvalues
select = (real(w) < 0);

job = 'Right';
eigsrc = 'QR';
initv = 'No initial vectors';
vl = [];
vr = complex(zeros(n,n));
[~, ~, VR, m, ifaill, ifailr, info] = ...
    nag_lapack_zhsein(...
          job, eigsrc, initv, select, H, w, vl, vr, n);

% Eigenvectors of A = Q*VR
side = 'Left';
trans = 'No transpose';
[Z, info] = nag_lapack_zunmhr(side, trans, ilo, ihi, H, tau, VR);

% Normalize Z: largest elements are real
for i = 1:m
  [~,k] = max(abs(real(Z(:,i)))+abs(imag(Z(:,i))));
  Z(:,i) = Z(:,i)*conj(Z(k,i))/abs(Z(k,i));
end
disp('Eigenvectors corresponding to eigenvalues with negative real part');
disp(Z);

% diary off
