function nag_lapack_zunmlq_example

% diary nag_lapack_zunmlq_example.r
fprintf('nag_lapack_zunmlq example results\n\n');

m = 3;
n = 4;
a = [ 0.28 - 0.36i,  0.50 - 0.86i, -0.77 - 0.48i,  1.58 + 0.66i;
     -0.50 - 1.10i, -1.21 + 0.76i, -0.32 - 0.24i, -0.27 - 1.15i;
      0.36 - 0.51i, -0.07 + 1.33i, -0.75 + 0.47i, -0.08 + 1.01i]; 

nrhs = 2;
b = [-1.35 + 0.19i,  4.83 - 2.67i;
      9.41 - 3.56i, -7.28 + 3.34i;
     -7.57 + 6.93i,  0.62 + 4.53i]; 

% Compute the LQ factorization of A
[lq, tau, info] = nag_lapack_zgelqf(a);

% Solve L*Y = B
[y, info] = nag_lapack_ztrtrs(...
                  'Lower', 'No trans', 'Non-Unit', lq(1:m,1:m), b);

% Add zero rows to B
y(m+1:n,1:nrhs) = 0 + 0i;

% Compute minimum norm solution X = Q^H Y
side = 'Left';
trans = 'Conjugate transpose';
[x, info] = nag_lapack_zunmlq(side, trans, lq, tau, y);

disp('Mimimum norm soltion:');
disp(x);

% diary off
