function nag_linsys_complex_band_solve_example

% diary nag_linsys_complex_band_solve_example.r
fprintf('nag_linsys_complex_band_solve example results\n\n');

% Solve complex Ax = b for banded A with error bound and condition number
kl = nag_int(1);
ku = nag_int(2);
cz = complex(0);
ab = [ cz,              cz,             cz,            cz;
       cz,              cz,             0.97 - 2.84i,  0.59 - 0.48i;
       cz,             -2.05 -  0.85i, -3.99 + 4.01i,  3.33 - 1.04i;
      -1.65 +  2.26i,  -1.48 -  1.75i, -1.06 + 1.94i, -0.46 - 1.72i;
       0    +  6.30i,  -0.77 +  2.83i,  4.48 - 1.09i,  cz          ];
b = [ -1.06 + 21.50i,  12.85 +  2.84i;
     -22.72 - 53.90i, -70.22 + 21.57i;
      28.24 - 38.60i, -20.73 -  1.23i;
     -34.56 + 16.73i,  26.01 + 31.97i];

[ab, ipiv, x, rcond, errbnd, ifail] = ...
  nag_linsys_complex_band_solve(kl, ku, ab, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);

% diary off
