function nag_linsys_real_band_solve_example

% diary nag_linsys_real_band_solve_example.r
fprintf('nag_linsys_real_band_solve example results\n\n');

% Solve Ax = b for banded A with error bound and condition number
kl = nag_int(1);
ku = nag_int(2);
ab = [ 0,      0,      0,      0;
       0,      0,     -3.66,  -2.13;
       0,      2.54,  -2.73,   4.07;
      -0.23,   2.46,   2.46,  -3.82;
      -6.98,   2.56,  -4.78,   0];
b = [  4.42, -36.01;
      27.13, -31.67;
      -6.14,  -1.16;
      10.5,  -25.82];

[ab, ipiv, x, rcond, errbnd, ifail] = ...
  nag_linsys_real_band_solve(kl, ku, ab, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);

% diary off
