function nag_linsys_real_gen_sparse_lsqsol_example

% diary nag_linsys_real_gen_sparse_lsqsol_example.r
fprintf('nag_linsys_real_gen_sparse_lsqsol example results\n\n');

m = nag_int(13);
n = nag_int(12);
a = [  1,  0,  0, -1,  0,  0,  0,  0,  0,  0,  0,  0;
       0,  1,  0,  0, -1,  0,  0,  0,  0,  0,  0,  0;
       0,  0,  1, -1,  0,  0,  0,  0,  0,  0,  0,  0;
      -1,  0, -1,  4, -1,  0,  0, -1,  0,  0,  0,  0;
       0, -1,  0, -1,  4, -1,  0,  0, -1,  0,  0,  0;
       0,  0,  0,  0, -1,  1,  0,  0,  0,  0,  0,  0;
       0,  0,  0,  0,  0,  0,  1, -1,  0,  0,  0,  0;
       0,  0,  0, -1,  0,  0, -1,  4, -1,  0, -1,  0;
       0,  0,  0,  0, -1,  0,  0, -1,  4, -1,  0, -1;
       0,  0,  0,  0,  0,  0,  0,  0, -1,  1,  0,  0;
       0,  0,  0,  0,  0,  0,  0, -1,  0,  0,  1,  0;
       0,  0,  0,  0,  0,  0,  0,  0, -1,  0,  0,  1;
       1,  1,  1,  0,  0,  1,  1,  0,  0,  1,  1,  1];
b = zeros(m,1);
b(4:5) = -0.01;
b(8:9) = -0.01;
b(m)   = 10;

damp   = 0;
atol   = 1e-05;
btol   = 1e-04;
conlim = 10^6 - 10^-11;
itnlim = nag_int(100);
msglvl = nag_int(1);

[b, x, se, itnlim, itn, anorm, acond, rnorm, arnorm, xnorm, ...
 ruser, inform, ifail] = ...
nag_linsys_real_gen_sparse_lsqsol( ...
       n, b, @aprod, damp, atol, btol, conlim, itnlim, msglvl, 'user', a);
fprintf('\n\nSolution is x:\n');
fprintf('%9.3f%9.3f%9.3f%9.3f%9.3f%9.3f\n',x);
fprintf('\n\nNorm of the residual = %12.2e\n', rnorm);

% diary off

function [mode, x, y, user] = aprod(mode, m, n, x, y, user)

  % a is passed as user

  if (mode == 1)
    y = y + user*x;
  else
    x = x + transpose(user)*y;
  end
