function nag_linsys_real_posdef_band_solve_example

% diary nag_linsys_real_posdef_band_solve_example.r
fprintf('nag_linsys_real_posdef_band_solve example results\n\n');

% Solve Ax = b for symmetric banded A with error bound and condition number
uplo = 'U';
kd = nag_int(1);
ab = [ 0.00,  2.68, -2.39, -2.22;
       5.49,  5.63,  2.60,  5.17];
b = [ 22.09,  5.10;
       9.31, 30.81;
      -5.24,-25.82;
      11.83, 22.90];

[ab, x, rcond, errbnd, ifail] = ...
  nag_linsys_real_posdef_band_solve(uplo, kd, ab, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);

% diary off
