function nag_linsys_real_posdef_packed_solve_example

% diary nag_linsys_real_posdef_packed_solve_example.r
fprintf('nag_linsys_real_posdef_packed_solve example results\n\n');

% Solve Ax = b for positive definite A with error bound and condition number
% A is stored in symmetric packed format.
uplo = 'U';
ap = [ 4.16             ...      
      -3.12  5.03       ...
       0.56 -0.83  0.76 ...
      -0.10  1.18  0.34 1.18];
b = [  8.7,  8.30;
     -13.35, 2.13;
       1.89, 1.61;
      -4.14, 5.00];

[ap, x, rcond, errbnd, ifail] = nag_linsys_real_posdef_packed_solve(uplo, ap, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);


% diary off
