function nag_linsys_real_posdef_solve_example

% diary nag_linsys_real_posdef_solve_example.r
fprintf('nag_linsys_real_posdef_solve example results\n\n');

% Solve Ax = b for positive definite A with error bound and condition number
uplo = 'Upper';
a = [  4.16, -3.12,  0.56, -0.10;
       0,     5.03, -0.83,  1.18;
       0,     0,     0.76,  0.34;
       0,     0,     0,     1.18];
b = [  8.7,   8.30;
     -13.35,  2.13;
       1.89,  1.61;
      -4.14,  5];

[a, x, rcond, errbnd, ifail] = nag_linsys_real_posdef_solve(uplo, a, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);


% diary off
