function nag_matop_complex_gen_matrix_cond_num_example

% diary nag_matop_complex_gen_matrix_cond_num_example.r
fprintf('nag_matop_complex_gen_matrix_cond_num example results\n\n');

a = [2+0i, 0+1i, 1+1i, 0+3i;
     1+1i, 0+2i, 2+2i, 0+0i;
     0+0i, 2+0i, 1+2i, 1+0i;
     1+1i, 3+0i, 0+0i, 1+2i];

% Find absolute condition number estimate
[a, user, iflag, conda, norma, normfa, ifail] = ...
nag_matop_complex_gen_matrix_cond_num(a, @fsin2);

fprintf('\nf(A) = sin(2A)\n');
fprintf('Estimated absolute condition number is: %7.2f\n', conda);

%  Find relative condition number estimate
eps = nag_machine_precision;
if normfa > eps
   cond_rel = conda*norma/normfa;
   fprintf('Estimated relative condition number is: %7.2f\n', cond_rel);
else
  fprintf('The estimated norm of f(A) is effectively zero;\n');
  fprintf('the relative condition number is therefore undefined.\n');
end

% diary off

function [iflag, fz, user] = fsin2(iflag, nz, z, user)
  fz = sin(2*z);
