function nag_matop_real_gen_tridiag_lu_example

% diary nag_matop_real_gen_tridiag_lu_example.r
fprintf('nag_matop_real_gen_tridiag_lu example results\n\n');


% Tridiagonal matrix T stored by diagonals
b =       [0     2.1    -1      1.9     8];
a =       [3     2.3    -5     -0.9     7.1];
c = [0     3.4   3.6     7     -6];

% LU factorize T
lambda = 0;
tol = 5e-05;
[D, U1, L, U2, ipiv, ifail] = nag_matop_real_gen_tridiag_lu( ...
                                     a, lambda, b, c, tol);

fprintf('Details of factorization\n\n');
disp(' Main diagonal of U');
disp(D);
disp(' First super-diagonal of U');
disp(U1(2:end));
disp(' Second super-diagonal of U');
disp(U2(3:end)');
disp(' Multipliers');
disp(L(2:end));
disp(' Vector of interchanges');
disp(double(ipiv(1:end-1))');

% Solve Tx = y, where 
y = [2.7  -0.5   2.6   0.6   2.7 ];
% using factorized form of T
job = nag_int(1);

[x, ~, ifail] = nag_linsys_real_tridiag_fac_solve( ...
                       job, D, U1, L, U2, ipiv, y, tol);

disp('Solution vector:');
disp(x);

% diary off
