function nag_matop_real_symm_posdef_geneig_example

% diary nag_matop_real_symm_posdef_geneig_example.r
fprintf('nag_matop_real_symm_posdef_geneig example results\n\n');

% The matrices A and B
n = 9;
kd = nag_int(1);
a = [  0,  12,  13,  14,  15,  16,  17,  18,  19;
      11,  12,  13,  14,  15,  16,  17,  18,  19];
b = [  0,  22,  23,  24,  25,  26,  27,  28,  29;
     101, 102, 103, 104, 105, 106, 107, 108, 109];

% Decompose B
k = nag_int(4);
[b, ifail] = nag_matop_real_symm_posdef_fac(k, b);

% Use decomposition to transform Ax = lambda Bx to Cy = lambda y
[c, b, ifail] = nag_matop_real_symm_posdef_geneig(k, a, b);

% Reduce C to tridiagonal form
vect = 'No vectors';
uplo = 'Upper';
q = zeros(n, n);
[~, d, e, ~, info] = nag_lapack_dsbtrd( ...
                            vect, uplo, kd, c, q);

% Compute eigenvalues from tridiagonal form
m1 = nag_int(1);
m2 = nag_int(3);
range = 'Indexed';
order = 'Blocked';
vl = 0;
vu = 0;
abstol = 0;
[m, nsplit, w, iblock, isplit, info] = ...
nag_lapack_dstebz( ...
       range, order, vl, vu, m1, m2, abstol, d, e);

disp('Selected eigenvalues');
disp(w(1:m)');

% diary off
