function nag_mv_discrim_group_example

% diary nag_mv_discrim_group_example.r
fprintf('nag_mv_discrim_group example results\n\n');

x = [1.1314,  2.4596;
     1.0986,  0.2624;
     0.6419, -2.3026;
     1.3350, -3.2189;
     1.4110,  0.0953;
     0.6419, -0.9163;
     2.1163,  0.0000;
     1.3350, -1.6094;
     1.3610, -0.5108;
     2.0541,  0.1823;
     2.2083, -0.5108;
     2.7344,  1.2809;
     2.0412,  0.4700;
     1.8718, -0.9163;
     1.7405, -0.9163;
     2.6101,  0.4700;
     2.3224,  1.8563;
     2.2192,  2.0669;
     2.2618,  1.1314;
     3.9853,  0.9163;
     2.7600,  2.0281];
[n,m] = size(x);
isx  = ones(m,1,nag_int_name);
nvar = nag_int(m);
ing  = ones(n,1,nag_int_name);
ing(7:16) = nag_int(2);
ing(17:n) = nag_int(3);
ng        = nag_int(3);

% Compute covariance matrix
[nig, gmean, det, gc, stat, df, sig, ifail] = ...
  nag_mv_discrim( ...
	 x, isx, nvar, ing, ng);

% Data to group
x = [1.6292, -0.9163;
     2.5572,  1.6094;
     2.5649, -0.2231;
     0.9555, -2.3026;
     3.4012, -2.3026;
     3.0204, -0.2231];

% Grouping parameters
typ    = 'P';
equal  = 'U';
priors = 'Equal priors';
prior  = zeros(3, 1);
atiq   = true;

[prior, p, iag, ati, ifail] = ...
  nag_mv_discrim_group( ...
	 typ, equal, priors, nig, gmean, gc, det, isx, x, prior, atiq);

fprintf('   Obs       Posterior        Allocated     Atypicality\n');
fprintf('             probabilities    to group      index\n');
for i=1:6
  fprintf('%6d     ', i);
  fprintf('%6.3f', p(i,:));
  fprintf('%6d     ', iag(i));
  fprintf('%6.3f', ati(i,:));
  fprintf('\n');
 end

% diary off
