function nag_mv_factor_example

% diary nag_mv_factor_example.r
fprintf('nag_mv_factor example results\n\n');

matrix = 'C';
n = nag_int(211);
x = [1,     0.523, 0.395, 0.471, 0.346, 0.426, 0.576, 0.434, 0.639;
     0.523, 1,     0.479, 0.506, 0.418, 0.462, 0.547, 0.283, 0.645;
     0.395, 0.479, 1,     0.355, 0.270, 0.254, 0.452, 0.219, 0.504;
     0.471, 0.506, 0.355, 1,     0.691, 0.791, 0.443, 0.285, 0.505;
     0.346, 0.418, 0.270, 0.691, 1,     0.679, 0.383, 0.149, 0.409;
     0.426, 0.462, 0.254, 0.791, 0.679, 1,     0.372, 0.314, 0.472;
     0.576, 0.547, 0.452, 0.443, 0.383, 0.372, 1,     0.385, 0.68;
     0.434, 0.283, 0.219, 0.285, 0.149, 0.314, 0.385, 1,     0.47;
     0.639, 0.645, 0.504, 0.505, 0.409, 0.472, 0.680, 0.470, 1];
nvar = nag_int(size(x,1));
isx  = ones(nvar,1,nag_int_name);
nfac = nag_int(3);
iop = [nag_int(1); -1;  500;  2;  5];

[e, stat, com, psi, res, fl, ifail] = ...
  nag_mv_factor( ...
	 matrix, n, x, nvar, isx, nfac, iop);

disp(' Eigenvalues');
fprintf('%12.4e%12.4e%12.4e\n',e);
fprintf('\n     Test Statistic = %6.3f\n', stat(2));
fprintf('                 df = %6.3f\n', stat(3));
fprintf(' Significance level = %6.3f\n', stat(4));
fprintf('\n Residuals\n\n');
l = 1;
for i = 1:nvar-1
  fprintf('%8.3f', res(l:(l+i-1)));
  fprintf('\n');
  l = l + i;
end
fprintf('\n\n Loadings, Communalities and PSI\n\n');
for i = 1:nvar
  fprintf('%8.3f', fl(i,1:nfac), com(i), psi(i));
  fprintf('\n');
end

% diary off
