function nag_mv_gaussian_mixture_example

% diary nag_mv_gaussian_mixture_example.r
fprintf('nag_mv_gaussian_mixture example results\n\n');

x = [2.7, 3.2, 4.5, 4.8;
     3.9, 3.8, 5.9, 6.2;
     4.8, 4.1, 6.8, 5.5;
     3.1, 3.5, 4.3, 4.6;
     3.4, 3.7, 5.1, 5.6;
     3.1, 3.4, 4.1, 4.7;
     4.6, 4.4, 6.6, 6.1;
     3.1, 3.3, 4.0, 4.9;
     3.8, 3.7, 4.7, 4.9;
     5.2, 4.9, 8.2, 6.9;
     3.9, 3.8, 5.2, 5.4;
     4.1, 4.0, 5.6, 5.6;
     5.7, 5.1, 7.0, 6.3;
     3.0, 3.2, 4.5, 5.0;
     2.9, 3.3, 4.5, 5.1;
     3.4, 3.3, 4.4, 5.0;
     4.0, 4.2, 5.2, 5.4;
     3.0, 3.0, 4.6, 5.0;
     4.0, 4.1, 5.9, 5.8;
     3.0, 3.2, 4.4, 5.1;
     3.6, 3.6, 5.3, 5.4;
     3.1, 3.2, 4.6, 5.0;
     3.2, 3.3, 5.4, 5.3;
     3.0, 3.4, 4.2, 4.7;
     3.8, 4.0, 6.9, 6.7];

[m,n] = size(x);

ng    = nag_int(2);
prob = zeros(m,ng);
prob(1:12,1) = 1;
prob(13:m,2) = 1;
isx = zeros(n, 1, nag_int_name);

nvar  = nag_int(n);
sopt  = nag_int(2);
sds   = nvar;
tol   = 0;
[prob, niter, w, g, s, f, loglik, ifail] = ...
  nag_mv_gaussian_mixture( ...
	 x, isx, nvar, ng, sopt, sds, tol, 'prob', prob);

mtitle = 'Mixing proportions';
matrix = 'General';
diag   = ' ';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, w', mtitle);

fprintf('\n');
mtitle = 'Group means';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, g, mtitle);

fprintf('\n');
mtitle = 'Pooled Variance-covariance matrix';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, s, mtitle);

fprintf('\n');
mtitle = 'Densities';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, f, mtitle);

fprintf('\n');
mtitle = 'Membership probabilities';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, prob, mtitle);
fprintf('\nNumber of iterations = %5d\n', niter);
fprintf(  'Log-likelihood       = %10.4f\n:', loglik);

% diary off
