function nag_mv_rot_promax_example

% diary nag_mv_rot_promax_example.r
fprintf('nag_mv_rot_promax example results\n\n');

fl = [0.74215 -0.57806;
      0.71370 -0.55515;
      0.87899 -0.15847;
      0.62533  0.76621;
      0.71447  0.67936];

% Calculate orthogonal rotation
stand = 's';
g     = 1;
[n,m] = size(fl);
nvar  = nag_int(n);

[~, x, ro, iter, ifail] = nag_mv_rot_orthomax( ...
				 stand, g, nvar, fl);

% Calculate ProMax rotation

power = 3;
[fp, r, phi, fs, ifail] = nag_mv_rot_promax( ...
				 stand, x, ro, power);

mtitle = 'Factor pattern';
matrix = 'General';
diag   = ' ';

[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, fp, mtitle);

fprintf('\n');
mtitle = 'Promax rotation';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, r, mtitle);

fprintf('\n');
mtitle = 'Inter-factor correlations';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, phi, mtitle);

fprintf('\n');
mtitle = 'Factor structure';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, fs, mtitle);

% diary off
