function nag_nearest_correlation_h_weight_example

% diary nag_nearest_correlation_h_weight_example.r
fprintf('nag_nearest_correlation_h_weight example results\n\n');

g = [ 2, -1,  0,  0;
     -1,  2, -1,  0;
      0, -1,  2, -1;
      0,  0, -1,  2];
h = [ 0.0, 10.0,  0.0,  0.0;
     10.0,  0.0,  1.5,  1.5;
      0.0,  1.5,  0.0,  0.0;
      0.0,  1.5,  0.0,  0.0];
alpha = 0.04;
[g, h, x, iter, norm_p, ifail] = ...
  nag_nearest_correlation_h_weight(g, alpha, h);

fprintf('\nReturned H Matrix\n');
disp(h);
fprintf('Nearest Correlation Matrix\n');
disp(x);
fprintf('Number of iterations taken:     %d\n', iter);
fprintf('Norm value: %26.4f\n', norm_p);
fprintf('Alpha:      %26.4f\n', alpha);

[~, w, info] = nag_lapack_dsyev('n', 'u', x);

fprintf('\nEigenvalues of X\n');
disp(w');

% diary off
