function nag_nonpar_rank_regsn_censored_example

% diary nag_nonpar_rank_regsn_censored_example.r
fprintf('nag_nonpar_rank_regsn_censored example results\n\n');

y = [143; 164; 188; 188; 190; 192; 206; 209; 213; 216;
     220; 227; 230; 234; 246; 265; 304; 216; 244; 142;
     156; 163; 198; 205; 232; 232; 233; 233; 233; 233;
     239; 240; 261; 280; 280; 296; 296; 323; 204; 344];
nv = [nag_int(numel(y))];
x  = zeros(nv,1);
x(20:end) = 1;
icen = zeros(nv,1,nag_int_name);
icen(18:19) = 1;
icen(39:40) = 1;

gamma = 1e-05;
nmax  = nag_int(nv);
tol   = 1e-05;

ns    = size(y,2);
ip    = size(x,2);
fprintf('Number of samples            = %3d\n', ns);
fprintf('Number of parameters fitted  = %3d\n', ip);
fprintf('Distribution power parameter = %8.1e\n', gamma);
fprintf('Tolerance for ties           = %8.1e\n', tol);

[parvar, irank, zin, eta, vapvec, parest, ifail] = ...
  nag_nonpar_rank_regsn_censored( ...
         nv, y, x, icen, gamma, nmax, tol);

% Display results
fprintf('\nScore statistic\n');
fprintf('%9.3f\n', parest(1:ip));
fprintf('\nCovariance matrix of score statistic\n');
for j = 1:ip
  fprintf('%9.3f', parvar(1:j,j));
  fprintf('\n');
end
fprintf('\nParameter estimates\n');
fprintf('%9.3f', parest(ip+1:ip+ip));
fprintf('\n\nCovariance matrix of parameter estimates\n');
for j = 1:ip
  fprintf('%9.3f', parvar(j+1,1:j));
  fprintf('\n');
end

chisq = parest(2*ip+1);
fprintf('\nChi-squared statistic = %8.3f with %2d d.f.\n\n', chisq, ip);

sterr = reshape(parest(2*ip+2:end),[ip,2]);
fprintf('Standard errors of estimates and approximate z-statistics\n');
disp(sterr);

% diary off
