function nag_ode_ivp_rk_diag_example

% diary nag_ode_ivp_rk_diag_example.r
fprintf('nag_ode_ivp_rk_diag example results\n\n');

tstart = 0;
ystart = [0; 1];
tend = 6.283185307179586;
tol = 0.001;
thres = [1e-08; 1e-08];
method = nag_int(2);
task = 'Complex Task';
errass = false;
lenwrk = nag_int(64);
neq = nag_int(2);
twant = 0.3926990816987241;
reqest = 'Both';
nwant = nag_int(1);
wrkint = zeros(7, 1);
[work, ifail] = ...
    nag_ode_ivp_rk_setup(tstart, ystart, tend, tol, thres, method, task, errass, lenwrk);
npts = 16;
tnow = tend-1;
while (tnow < tend)
  [tnow, ynow, ypnow, work, ifail] = nag_ode_ivp_rk_onestep(@f, neq, work);
  j = npts -1;
  tinc = tend/npts;
  while (twant <= tnow)
    [ywant, ypwant, work, wrkint, ifail] = ...
    nag_ode_ivp_rk_interp(neq, twant, reqest, nwant, @f, work, wrkint);
    j = j-1;
    twant = tend -j*tinc;
  end
end
[totfcn, stpcst, waste, stpsok, hnext, ifail] = nag_ode_ivp_rk_diag

% diary off

function [yp] = f(t, y)
% Evaluate derivative vector.
yp = zeros(2, 1);
yp(1) =  y(2);
yp(2) = -y(1);
