function nag_ode_ivp_rkm_val_simple_example

% diary nag_ode_ivp_rkm_val_simple_example.r
fprintf('nag_ode_ivp_rkm_val_simple example results\n\n');

% Initial conditions and end of range
x_init = 0;
y_init = [0.5   0.5   pi/5];
xend   = 10;

% Algorithmic parameters
tol = 0.00001;
hmax = 0;

% Stop when y(1) = 0
m = nag_int(1);
val = 0;

% Integrate 
[xroot, y, tol, ifail] = ...
  nag_ode_ivp_rkm_val_simple(...
        x_init, xend, y_init, tol, hmax, m, val, @fcn);

if (xroot<xend) 
  fprintf('y = 0.0 when x = %7.4f\n',xroot);
end

% diary off

function [f] = fcn(x,y)
  f(1) = tan(y(3));
  f(2) = -0.032*tan(y(3))/y(2) - 0.02*y(2)/cos(y(3));
  f(3) = -0.032/y(2)^2;
