function nag_opt_bounds_quasi_func_easy_example

% diary nag_opt_bounds_quasi_func_easy_example.r
fprintf('nag_opt_bounds_quasi_func_easy example results\n\n');

ibound = nag_int(0);
bl = [1;  -2;  -1000000;  1];
bu = [3;   0;   1000000;  3];
x  = [3;  -1;         0;  1];

% Catch warnings and assume ifail=3,5 gives a good estimate
wstat = warning();
warning('OFF');
[bl, bu, x, f, iw, w, user, ifail] = nag_opt_bounds_quasi_func_easy(ibound, @funct1, bl, bu, x);
if (ifail == 0 || ifail == 5 | ifail == 3)
  fprintf('Minimum found at x: ');
  fprintf(' %9.4f',x);
  fprintf('\nMinimum value     :  %9.4f\n\n',f);
  for i=1:4
    fprintf('variable %d is ',i);
    if (iw(i)==-1)
      fprintf('locked at upper bound\n');
    elseif (iw(i)==-2)
      fprintf('locked at lower bound\n');
    elseif (iw(i)==-3)
      fprintf('locked at constant value\n');
    else
      fprintf('free with index %d\n',iw(i));
    end
  end
else   
  fprintf(' Error: nag_opt_bounds_quasi_func_easy returns ifail = %d\n',ifail);
end
warning(wstat);

% diary off

function [fc, user] = funct1(n, xc, user)
  x1 = xc(1) + 10*xc(2);
  x2 = xc(3) -    xc(4);
  x3 = xc(2) -  2*xc(3);
  x4 = xc(1) -    xc(4);
  fc = x1^2 + 5*x2^2 + x3^4 + 10*x4^4;
