function nag_opt_lsq_lincon_solve_example

% diary nag_opt_lsq_lincon_solve_example.r
fprintf('nag_opt_lsq_lincon_solve example results\n\n');

% Problem specification
n     = 9;
m     = 10;
nclin = 3;
c  = [1,    1,    1,       1,     1,    1,       1,       1,      4;
      1,    2,    3,       4,    -2,    1,       1,       1,      1;
      1,   -1,    1,      -1,     1,    1,       1,       1,      1];
x  = [1;    0.5;  0.3333;  0.25;  0.2;  0.1667;  0.1428;  0.125;  0.1111];
a  = [1,    1,    1,       1,     1,    1,       1,       1,      1;
      1,    2,    1,       1,     1,    1,       2,       0,      0;
      1,    1,    3,       1,     1,    1,      -1,      -1,     -3;
      1,    1,    1,       4,     1,    1,       1,       1,      1;
      1,    1,    1,       3,     1,    1,       1,       1,      1;
      1,    1,    2,       1,     1,    0,       0,       0,     -1;
      1,    1,    1,       1,     0,    1,       1,       1,      1;
      1,    1,    1,       0,     1,    1,       1,       1,      1;
      1,    1,    0,       1,     1,    1,       2,       2,      3;
      1,    0,    1,       1,     1,    1,       0,       2,      2 ];

b(1:m)  =  1;
bl(1:n) =  0;
bl(3)   = -1e25;
bu(1:n) =  2;
bl(n+1:n+nclin) = [        2; -1e25;    1];
bu(n+1:n+nclin) = [     1e25;     2;    4];

cvec   = [0];
istate = zeros(12, 1, nag_int_name);
kx     = zeros(9, 1, nag_int_name);

% Initialize and set no printing options
[cwsav,lwsav,iwsav,rwsav,ifail] = nag_opt_init('nag_opt_lsq_lincon_solve');
[lwsav,iwsav,rwsav,inform] = nag_opt_lsq_lincon_option_string(...
                                   'NoList', lwsav, iwsav, rwsav);
[lwsav,iwsav,rwsav,inform] = nag_opt_lsq_lincon_option_string(...
                                   'Print Level = 0', lwsav, iwsav, rwsav);

% Solve
[istate, kx, x, a, b, iter, obj, clamda, lwsav, iwsav, rwsav, ifail] = ...
    nag_opt_lsq_lincon_solve(...
          c, bl, bu, cvec, istate, kx, x, a, b, lwsav, iwsav, rwsav);

fprintf('Minimum value     :  %9.4f\n\n',obj);
fprintf('Found after %3d iterations at x:\n',iter);
fprintf('    %9.4f %9.4f %9.4f\n',x);

% diary off
