function nag_opt_nlp2_sparse_jacobian_example

% diary nag_opt_nlp2_sparse_jacobian_example.r
fprintf('nag_opt_nlp2_sparse_jacobian example results\n\n');

nf   = nag_int(6);
lena = nag_int(300);
leng = nag_int(300);
x    = [ 0;     0;       0;     0];
xlow = [-0.55; -0.55;    0;     0];
xupp = [ 0.55;  0.55; 1200;  1200];

[cw, iw, rw, ifail] = nag_opt_nlp2_sparse_init;

[iarow, iacol, nea, a, igrow, igcol, neg, cw, iw, rw, cuser, ifail] = ...
    nag_opt_nlp2_sparse_jacobian(...
          nf, @usrfun, lena, leng, x, xlow, xupp, cw, iw, rw);

fprintf(' Matrix A:\n');
fprintf(' Non-zero entries = %3d\n',nea);
fprintf(' values         : ');
fprintf('%3.0f',a(1:nea));
fprintf('\n row indices    : ');
fprintf('%3d',iarow(1:nea));
fprintf('\n column indices : ');
fprintf('%3d',iacol(1:nea));
fprintf('\n\n Matrix G:\n');
fprintf(' Non-zero entries = %3d\n',neg);
fprintf(' row indices    : ');
fprintf('%3d',igrow(1:neg));
fprintf('\n column indices : ');
fprintf('%3d',igcol(1:neg));
fprintf('\n');

% diary off

function [status, f, g, user] = ...
  usrfun(status, n, x, needf, nf, f, needg, leng, g, user)

  % Always called with needf > 0
  f(1) = 1000*sin(-x(1)-0.25) + 1000*sin(-x(2) -0.25) - x(3);
  f(2) = 1000*sin(x(1)-0.25) + 1000*sin(x(1)-x(2) -0.25) - x(4);
  f(3) = 1000*sin(x(2)-x(1)-0.25) + 1000*sin(x(2) -0.25);
  f(4) = -x(1) + x(2);
  f(5) = x(1) - x(2);
  f(6) = 1.0d-6*x(3)^3 + 2.0d-6*x(4)^3/3 + 3*x(3) + 2*x(4);

  % Always called with needg=0
