function nag_pde_2d_triangulate_example

% diary nag_pde_2d_triangulate_example.r
fprintf('nag_pde_2d_triangulate example results\n\n');

h = 4;
m = nag_int(3);
n = nag_int(5);
nb = nag_int(10);
sdindx = nag_int(100);
[npts, places, index, ifail] = nag_pde_2d_triangulate( ...
                                      h, m, n, nb, sdindx, @isin);

fprintf('Number of points = %4d\n',npts);

fig1 = figure;
k = 0;
hold on
for i = 1:npts
  for j=2:4
    % lines connecting from node i
     if(index(j,i)~=0)
       k = k + 1;
       l = abs(index(j,i));
       x(1) = places(1,i);
       x(2) = places(1,l);
       y(1) = places(2,i);
       y(2) = places(2,l);
       plot(x,y) 
     end
  end
end
axis square;
title({'Triangulation of a circle','grid-size=4'});
hold off;

fprintf('Number of edges  = %4d\n',k);

% print(fig1,'-dpng','-r75','nag_pde_2d_triangulate_fig1.png');
% print(fig1,'-deps','-r75','nag_pde_2d_triangulate_fig1.eps');

% diary off

function result = isin(x,y)
  if ((x-7)^2+(y-7)^2 <= 36)
    result = nag_int(1);
  else
    result = nag_int(0);
  end
