function nag_quad_1d_gauss_example

% diary nag_quad_1d_gauss_example.r
fprintf('nag_quad_1d_gauss example results\n\n');

global funid;

for funid=1:4
  switch funid
    case 1
      fprintf('\nGauss-Legendre example\n');
      a = 0.0;
      b = 1.0;
      key = 'nag_quad_1d_gauss_legendre';
    case 2
      fprintf('\nRational Gauss example\n');
      a = 2.0;
      b = 0.0;
      key = 'nag_quad_1d_gauss_rational';
    case 3
      fprintf('\nGauss-Laguerre example\n');
      a = 2.0;
      b = 1.0;
      key = 'nag_quad_1d_gauss_laguerre';
    case 4
      fprintf('\nGauss-Hermite example\n');
      a = -1.0;
      b = 3.0;
      key = 'nag_quad_1d_gauss_hermite';
  end

  for i=1:3
    n = nag_int(2*2^i);
    [dinest, ifail] = nag_quad_1d_gauss(key, a, b, n, @f);

    if ifail == 0 || ifail == 1
      fprintf('%2d Points   Answer = %10.5f\n', n, dinest);
    end
  end
end

% diary off

function [fv, iflag, user] = f(x, nx, iflag)

  global funid;

  switch funid
    case 1
      fv = 4./(1+x.*x);
    case 2
      fv = 1./(x.*x.*log(x));
    case 3
      fv = exp(-x)./x;
    case 4
      fv = exp(-3.*x.*x-4.*x-1);
    otherwise
      fv = zeros(nx, 1);
      iflag = -1;
  end
