function nag_quad_1d_gauss_vec_example

% diary nag_quad_1d_gauss_vec_example.r
fprintf('nag_quad_1d_gauss_vec example results\n\n');

  for funid=1:6
    switch funid
      case 1
        fprintf('\nGauss-Legendre example\n');
        a = 0.0;
        b = 1.0;
        key = nag_int(0);
      case 2
        fprintf('\nRational Gauss example\n');
        a = 2.0;
        b = 0.0;
        key = nag_int(-5);
      case 3
        fprintf('\nGauss-Laguerre example (adjusted weights)\n');
        a = 2.0;
        b = 1.0;
        key = nag_int(-3);
      case 4
        fprintf('\nGauss-Laguerre example (normal weights)\n');
        a = 2.0;
        b = 1.0;
        key = nag_int(3);
      case 5
        fprintf('\nGauss-Hermite example (adjusted weights)\n');
        a = -1.0;
        b = 3.0;
        key = nag_int(-4);
      case 6
        fprintf('\nGauss-Hermite example (normal weights)\n');
        a = -1.0;
        b = 3.0;
        key = nag_int(4);
    end

    for i=1:6
      n = nag_int(2^i);
      [dinest, user, ifail] = nag_quad_1d_gauss_vec(key, a, b, n, @f, 'user', funid);

      if ifail == 0 || ifail == 1
        fprintf('%2d Points   Answer = %10.5f\n', n, dinest);
      end
    end
  end

% diary off

function [fv, iflag, user] = f(x, nx, iflag, user)
  switch user
    case 1
      fv = 4./(1+x.*x);
    case 2
      fv = 1./(x.*x.*log(x));
    case 3
      fv = exp(-x)./x;
    case 4
      fv = 1./x;
    case 5
      fv = exp(-3.*x.*x-4.*x-1);
    case 6
      fv = exp(2*x+2);
    otherwise
      fv = zeros(nx, 1);
      iflag = -1;
  end
