function nag_quad_1d_gauss_wgen_example

% diary nag_quad_1d_gauss_wgen_example.r
fprintf('nag_quad_1d_gauss_wgen example results\n\n');

% Initialize variables and arrays.
itype = -3;
a =0;
b = 1;
c = 0;
d = 0;
n = 7;

[weight, abscis, ifail] = nag_quad_1d_gauss_wgen(nag_int(itype), a, b, c, d, nag_int(n));
if ifail ~= 0
    % Convergence problems, or input variables out of bounds.
    % Print message and exit.
    error('Warning: nag_quad_1d_gauss_wgen returned with ifail = %1d ',ifail);
end

% Output abscissae and weights.
fprintf('   Laguerre formula, %d points \n', n);
fprintf('    Abscissae         Weights \n')
for i = 1:n
    fprintf('   %10.5e     %10.5e \n',abscis(i),weight(i))
end
% Plot results.
fig1 = figure;
display_plot(abscis, weight);
% print(fig1,'-dpng','-r75','nag_quad_1d_gauss_wgen_fig1.png');
% print(fig1,'-deps','-r75','nag_quad_1d_gauss_wgen_fig1.eps');

% diary off

function plot(abscis, weight)
% Use a bar graph, and set the bar width.
bar1 = bar(abscis, weight);
set(bar1, 'BarWidth', 0.1);
% Set the title.
% Label the axes.
xlabel('x');
ylabel('Weights at Abscissae');

function display_plot(abscis, weight)
% Use a bar graph, and set the bar width.
bar1 = bar(abscis, weight);
set(bar1, 'BarWidth', 0.1);
% Set the title.
title({'Abscissae and Weights for',...
          'the 7-point Gauss-Laguerre Formula (a=0, b=1)'});
% Label the axes.
xlabel('x');
ylabel('Weights at Abscissae');
