function nag_quad_md_sphere_bad_example

% diary nag_quad_md_sphere_bad_example.r
fprintf('nag_quad_md_sphere_bad example results\n\n');

radius = 1;
epsa = 0;
epsr = 5e-05;
icoord = nag_int(1);

ndim = nag_int([2,4]);
for j = 1:2
  [result, esterr, nevals, ifail] = ...
  nag_quad_md_sphere_bad( ...
	 @f, ndim(j), radius, epsa, epsr, icoord);

  fprintf('Dimension of the sphere        = %8d\n', ndim(j));
  fprintf('Requested relative tolerance   = %8.5f\n',epsr);
  fprintf('Approximation to the integral  = %8.5f\n', result);
  fprintf('Number of function evaluations = %8d\n',nevals);
  fprintf('Estimated relative error       = %8.5f\n\n',esterr);
end

% diary off

function result = f(ndim, x)
  a = (1-x(1))*(1+x(1));
  if (a == 0)
    result = 0;
  else
    result = 1/sqrt(a);
  end
