function nag_rand_field_1d_predef_setup_example

% diary nag_rand_field_1d_predef_setup_example.r
fprintf('nag_rand_field_1d_predef_setup example results\n\n');

% Choose the Symmetric stable variogram
icov1 = nag_int(1);
params = [0.1; 1.2];

% Random Field variance
var = 0.5;
% Domain endpoints
xmin = -1;
xmax = 1;
% Number of sample points
ns = nag_int(8);
% scaling factor, rho=1
icorr = nag_int(2);

% Get square roots of the eigenvalues of the embedding matrix
[lam, xx, m, approx, rho, icount, eig, ifail] = ...
  nag_rand_field_1d_predef_setup( ...
         ns, xmin, xmax, var, icov1, params, 'icorr', icorr);

fprintf('\nSize of embedding matrix = %d\n\n', m);

% Display approximation information if approximation used
if approx == 1
  fprintf('Approximation required\n\n');
  fprintf('rho = %10.5f\n', rho);
  fprintf('eig = %10.5f%10.5f%10.5f\n', eig(1:3));
  fprintf('icount = %d\n', icount);
else
  fprintf('Approximation not required\n\n');
end

% Display square roots of the eigenvalues of the embedding matrix
fprintf('Square roots of eigenvalues of embedding matrix:\n');
fprintf('%9.5f%9.5f%9.5f%9.5f\n',lam(1:m));

% diary off
