function nag_rand_init_skipahead_example

% diary nag_rand_init_skipahead_example.r
fprintf('nag_rand_init_skipahead example results\n\n');

% Initialize the seed
seed = [nag_int(1762543)];

% genid and subid identify the base generator
genid = nag_int(1);
subid =  nag_int(1);
lseed =  nag_int(1);

% Initialize the generator to a repeatable sequence
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Advance the sequence n places
n = nag_int(50);
[state, ifail] = nag_rand_init_skipahead( ...
                        n, state);

% Generate nv variates from a uniform distribution
nv = nag_int(5);
[state, x, ifail] = nag_rand_dist_uniform01(...
                          nv, state);

% Display variates
disp(x);

% diary off
