function nag_rand_int_binomial_example

% diary nag_rand_int_binomial_example.r
fprintf('nag_rand_int_binomial example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(20);

% Parameters
m = nag_int(6000);
p = 0.8;
r = zeros(500, 1);

% r is a reasonable size, so ...
mode = nag_int(2);

% Generate variates from a binomial distribution
[r, state, x, ifail] = nag_rand_int_binomial( ...
                              mode, n, m, p, r, state);

disp('Variates');
disp(double(x));

% diary off
