function nag_rand_int_multinomial_example

% diary nag_rand_int_multinomial_example.r
fprintf('nag_rand_int_multinomial example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(20);

% Parameters
m = nag_int(6000);
p = [0.08; 0.1; 0.8; 0.02];

% Generate variates from multinomial distribution
mode = nag_int(2);
r = zeros(6007, 1);
[r, state, x, ifail] = nag_rand_int_multinomial( ...
                              mode, n, m, p, r, state);

disp('Variates');
disp(double(x));


% diary off
