function nag_rand_logical_example

% diary nag_rand_logical_example.r
fprintf('nag_rand_logical example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(20);

% Parameters
p = 0.5;

% Generate variates from a logical distribution
[state, x, ifail] = nag_rand_logical( ...
                           n, p, state);

disp('Variates');
for i = 1:n
  if x(i)
    fprintf('    true\n');
  else
    fprintf('    false\n');
  end
end

% diary off
