function nag_rand_times_arma_example

% diary nag_rand_times_arma_example.r
fprintf('nag_rand_times_arma example results\n\n');

% Initialize the generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Set the ARMA model parameters
xmean = 0;
phi   = [0.4; 0.2];
avar  = 1;

mode  = nag_int(2);
n     = nag_int(10);
theta = [0];
r     = zeros(2*numel(phi)+numel(theta)+6, 1);

% Set up the reference vector and generate the N realisations
[r, state, var, x, ifail] = ...
  nag_rand_times_arma( ...
         mode, n, xmean, phi, theta, avar, r, state);

disp('Realizations:');
disp(x);

% diary off
