function nag_roots_sparsys_func_expert_example

% diary nag_roots_sparsys_func_expert_example.r
fprintf('nag_roots_sparsys_func_expert example results\n\n');

% The following starting values provide a rough solution.
x = -ones(9, 1);
rcomm = zeros(39, 1);
icomm = zeros(118, 1, nag_int_name);
for i=0:1

  user = i; % Perturb the system?
  init = (i==0);

  [x, fvec, rcomm, icomm, user, ifail] = ...
     nag_roots_sparsys_func_expert(@fcn, x, init, rcomm, icomm,'user', user);

  switch ifail
    case {0}
      fprintf('\nFinal 2-norm of the residuals = %12.4e\n', norm(fvec));
      fprintf('\nFinal approximate solution\n');
      disp(x);
    case {2, 3, 4}
      fprintf('\nApproximate solution\n');
      disp(x);
  end

end

% diary off

function [fvec, user, iflag] = fcn(n, lindf, indf, x, user, iflag)
  fvec = zeros(n, 1);
  ind = 1;
  iflag = nag_int(0);
  alpha = (1/2)^7;
  theta = user*alpha;
  for i = 1:double(n)
    if indf(ind) ~= i
      continue;
    end
    fvec(i) = (3-(2+theta)*x(i))*x(i) + 1;
    if (i > 1)
      fvec(i) = fvec(i) - x(i-1);
    end
    if (i < n)
      fvec(i) = fvec(i) - 2*x(i+1);
    end
    ind = ind + 1;
    if (ind > lindf)
     break;
    end
  end
