function nag_roots_sys_deriv_expert_example

% diary nag_roots_sys_deriv_expert_example.r
fprintf('nag_roots_sys_deriv_expert example results\n\n');

% The following starting values provide a rough solution.
x = -ones(9, 1);
diag = ones(9, 1);
mode = nag_int(2);
nprint = nag_int(0);
[xOut, fvec, fjac, diag, nfev, njev, r, qtf, user, ifail] = ...
    nag_roots_sys_deriv_expert(@fcn, x, mode, diag, nprint);

switch ifail
  case {0}
    fprintf('\nFinal 2-norm of the residuals = %12.4e\n', norm(fvec));
    fprintf('\nFinal approximate solution\n');
    disp(xOut);
  case {2, 3, 4}
    fprintf('\nApproximate solution\n');
    disp(xOut);
end

% diary off

function [fvec, fjac, user, iflag] = fcn(n, x, fvec, fjac, user, iflag)
  coeff = [-1, 3, -2, -2, -1];
  nd = double(n); % Can't use 64 bit integers in loops
  if (iflag == 0)
    % We could print fvec and fjac if we wished
  elseif (iflag == 1)
    fvec(1:nd) = (coeff(2)+coeff(3)*x(1:nd)).*x(1:nd) - coeff(5);
    fvec(2:nd) = fvec(2:nd) + coeff(1)*x(1:(nd-1));
    fvec(1:(nd-1)) = fvec(1:(nd-1)) + coeff(4)*x(2:nd);
  else
    fjac = zeros(nd, nd);

    fjac(1,1) = coeff(2) + 2*coeff(3)*x(1);
    fjac(1,2) = coeff(4);
    for k = 2:nd-1
      fjac(k,k-1) = coeff(1);
      fjac(k,k) = coeff(2) + 2*coeff(3)*x(k);
      fjac(k,k+1) = coeff(4);
    end
    fjac(nd,nd-1) = coeff(1);
    fjac(nd,nd) = coeff(2) + 2*coeff(3)*x(nd);
  end
