function nag_roots_sys_func_easy_example

% diary nag_roots_sys_func_easy_example.r
fprintf('nag_roots_sys_func_easy example results\n\n');

% The following starting values provide a rough solution.
x = -ones(9, 1);
[xOut, fvec, user, ifail] = nag_roots_sys_func_easy(@fcn, x);
switch ifail
  case {0}
    fprintf('\nFinal 2-norm of the residuals = %12.4e\n', norm(fvec));
    fprintf('\nFinal approximate solution\n');
    disp(xOut);
  case {2, 3, 4}
    fprintf('\nApproximate solution\n');
    disp(xOut);
end

% diary off

function [fvec, user, iflag] = fcn(n, x, user, iflag)
  fvec = zeros(n, 1);
  fvec(1:n) = (3.0-2.0.*x).*x + 1.0;
  fvec(2:n) = fvec(2:n) - x(1:(n-1));
  fvec(1:(n-1)) = fvec(1:(n-1)) - 2.0.*x(2:n);
