function nag_sparse_complex_gen_sort_example

% diary nag_sparse_complex_gen_sort_example.r
fprintf('nag_sparse_complex_gen_sort example results\n\n');

n = nag_int(5);
nz = nag_int(15);
irow = zeros(nz,1,nag_int_name);
icol = zeros(nz,1,nag_int_name);
a = zeros(nz,1);

a(1:nz)    = [ 4 + 1i;  -2 + 6i;   1 - 3i;   -2 - 1i;   -3 + 0i;
               1 + 2i;   0 + 0i;   1 + 3i;   -1 - 1i;    6 - 3i;
               2 + 6i;   2 + 1i;   1 + 0i;    0 - 3i;    2 + 2i];
irow(1:nz) = [ 3;        5;        4;         4;         5;
               1;        1;        3;         2;         5;
               1;        4;        2;         3;         4];
icol(1:nz) = [ 1;        2;        4;         2;         5;
               2;        5;        5;         4;         5;
               1;        2;        3;         3;         5];

fprintf('Number of elements in original sparse matrix: %5d\n',nz);
disp('Original matrix ordering:');
fprintf('   k      a(k)      i_k  j_k\n');
for j = 1:nz
  fprintf('%4d  (%4.1f,%4.1f)%5d%5d\n', j, real(a(j)), imag(a(j)), ...
	  irow(j),icol(j));
end

% Sum duplicates and remove zeros
dup = 'S';
zero = 'R';
% Reorder along rows first (swap irow, icol to reorder by columns)
[nz, a, irow, icol, istr, ifail] = ...
  nag_sparse_complex_gen_sort( ...
	 n, nz, a, irow, icol, dup, zero);

fprintf('\nNumber of elements in reordered sparse matrix: %5d\n',nz);
disp('New ordering (by row first):');
fprintf('   k      a(k)      i_k  j_k\n');
for j = 1:nz
  fprintf('%4d  (%4.1f,%4.1f)%5d%5d\n', j, real(a(j)), imag(a(j)), ...
	  irow(j),icol(j));
end

% diary off
