function nag_sparse_complex_herm_precon_ssor_solve_example

% diary nag_sparse_complex_herm_precon_ssor_solve_example.r
fprintf('nag_sparse_complex_herm_precon_ssor_solve example results\n\n');

% Solve SSOR preconditioning problem Mx = y for Hermitian A

% Sparse matrix A and y
nz = nag_int(23);
n  = nag_int(9);
a = [ 6 + 0.i; -1 + 1.i;  6 + 0.i;  0 + 1.i;
      5 + 0.i;  5 + 0.i;  2 - 2.i;  4 + 0.i;
      1 + 1.i;  2 + 0.i;  6 + 0.i; -4 + 3.i;
      0 + 1.i; -1 + 0.i;  6 + 0.i; -1 - 1.i;
      0 - 1.i;  9 + 0.i;  1 + 3.i;  1 + 2.i;
      -1 + 0.i;  1 + 4.i;  9 + 0.i];
y = [ 8 + 54i;-10 - 92i; 25 + 27i; 26 - 28i;
      54 + 12i; 26 - 22i; 47 + 65i; 71 - 57i;
      60 + 70i];
irow = nag_int([1;2;2;3;3;4;5;5;6;6;6;7;7;7;7;8;8;8;9;9;9;9;9]);
icol = nag_int([1;1;2;2;3;4;1;5;3;4;6;2;5;6;7;4;6;8;1;5;6;8;9]);


% Fill in the diagonal part for SSOR
rdiag = zeros(n, 1);
for i=1:nz
  if irow(i) == icol(i)
    rdiag(irow(i)) = 1/real(a(i));
  end
end

% Solve Mx = b
omega = 1.1;
check = 'C';
[x, ifail] = nag_sparse_complex_herm_precon_ssor_solve( ...
                    a, irow, icol, rdiag, omega, check, y);

disp('Solution of Mx = y');
disp(x);

% diary off
