function nag_sparse_direct_real_gen_cond_example

% diary nag_sparse_direct_real_gen_cond_example.r
fprintf('nag_sparse_direct_real_gen_cond example results\n\n');

% Sparse matrix A
n      = nag_int(5);
a      = [        2;  4; 1; -2; 1;  1; -1; 1; 1; 2; 3];
icolzp = [nag_int(1); 3; 5;  7; 9; 12];
irowix = [nag_int(1); 3; 1;  5; 2;  3;  2; 4; 3; 4; 5];
nz     = icolzp(n+1) - 1;

% Calculate COLAMD permutation
spec   = 'M';
iprm   = zeros(7*n, 1, nag_int_name);

[iprm, ifail] = nag_sparse_direct_real_gen_setup( ...
                       spec, n, icolzp, irowix, iprm);


% Factorise
thresh = 1;
nzlmx  = nag_int(8*nz);
nzlumx = nag_int(8*nz);
nzumx  = nag_int(8*nz);

[iprm, nzlumx, il, lval, iu, uval, nnzl, nnzu, flop, ifail] = ...
  nag_sparse_direct_real_gen_lu( ...
         n, irowix, a, iprm, thresh, nzlmx, nzlumx, nzumx);

% Calculate Norm
norm_p = '1';
[anorm, ifail] = nag_sparse_direct_real_gen_norm( ...
                        norm_p, n, icolzp, irowix, a);

% Calculate condition number
[rcond, ifail] = nag_sparse_direct_real_gen_cond( ...
                        norm_p, n, il, lval, iu, uval, anorm);

fprintf('Norm             = %7.3f\n', anorm);
fprintf('Condition number = %7.3f\n', 1/rcond);

% diary off
