function nag_sparse_real_gen_matvec_example

% diary nag_sparse_real_gen_matvec_example.r
fprintf('nag_sparse_real_gen_matvec example results\n\n');

% Sparse Matrix vector Products y=Ax, y = A^Tx

% 5x5 sparse matrix A and vector x
a    =         [2; 1; 1;-1; 4; 1; 1; 1; 2;-2; 3];
irow = nag_int([1; 1; 2; 2; 3; 3; 3; 4; 4; 5; 5]);
icol = nag_int([1; 2; 3; 4; 1; 3; 5; 4; 5; 2; 5]);

x    = [0.7; 0.16; 0.52; 0.77; 0.28];

% Calculate matrix-vector product
trans = 'N';
check = 'C';
[y, ifail] = nag_sparse_real_gen_matvec( ...
                    trans, a, irow, icol, check, x);
fprintf('Matrix-vector product:\n');
disp(y);

% Calculate transposed matrix-vector product
trans = 'T';
[y, ifail] = nag_sparse_real_gen_matvec( ...
                    trans, a, irow, icol, check, x);
fprintf('Transposed matrix-vector product:\n');
disp(y);

% diary off
