function nag_sparse_real_symm_solve_jacssor_example

% diary nag_sparse_real_symm_solve_jacssor_example.r
fprintf('nag_sparse_real_symm_solve_jacssor example results\n\n');

% Solve Ax = b using CG and SSOR preconditioning

% Sparse matrix A
n    = nag_int(7);
nz   = nag_int(16);
irow = zeros(nz,1,nag_int_name);
icol = irow;

a(1:16)    = [4  1  5  2  2  3 -1  1  4  1 -2  3  2 -1 -2  5];
irow(1:16) = [1  2  2  3  4  4  5  5  5  6  6  6  7  7  7  7];  
icol(1:16) = [1  1  2  3  2  4  1  4  5  2  5  6  1  2  3  7];

% RHS b and initial guess x
b = [15  18  -8   21  11  10  29];
x = zeros(n,1);

% Solve
method = 'CG';
precon = 'S';
omega  = 1.1;
tol    = 1e-06;
maxitn = nag_int(100);

[x, rnorm, itn, ifail] = ...
  nag_sparse_real_symm_solve_jacssor( ...
         method, precon, a, irow, icol, omega, b, tol, maxitn, x);

fprintf('Converged in %d iterations\n', itn);
fprintf('Final redidual norm = %16.3d\n\n', rnorm);
disp('Solution');
disp(x);

% diary off
