function nag_sparse_real_symm_sort_example

% diary nag_sparse_real_symm_sort_example.r
fprintf('nag_sparse_real_symm_sort example results\n\n');

n = nag_int(4);
nz = nag_int(9);
irow = zeros(nz,1,nag_int_name);
icol = zeros(nz,1,nag_int_name);

a(1:nz)    = [1; 0; 1; 3; 4; 6; 2; 1; 1];
irow(1:nz) = [3; 2; 3; 4; 1; 2; 3; 3; 3];
icol(1:nz) = [2; 1; 2; 4; 1; 2; 3; 2; 2];

fprintf('Number of elements in original sparse matrix: %5d\n',nz);
disp('Original matrix ordering:');
fprintf('   k   a(k)  i_k  j_k\n');
for j = 1:nz
  fprintf('%4d%6.1f%5d%5d\n',j,a(j),irow(j),icol(j));
end

% Sum duplicates and remove zeros
dup = 'S';
zero = 'R';

[nz, a, irow, icol, istr, ifail] = ...
nag_sparse_real_symm_sort( ...
       n, nz, a, irow, icol, dup, zero);

fprintf('\nNumber of elements in reordered sparse matrix: %5d\n',nz);
disp('New ordering:');
fprintf('   k   a(k)  i_k  j_k\n');
for j = 1:nz
  fprintf('%4d%6.1f%5d%5d\n',j,a(j),irow(j),icol(j));
end

% diary off
