function nag_sparse_sym_rcm_example

% diary nag_sparse_sym_rcm_example.r
fprintf('nag_sparse_sym_rcm example results\n\n');

% Reduce the bandwidth of sparse symmetric matrix A

% Define entries of A using Bucky matrix
A = bucky;
[irow,icol,a] = find(A);

n = nag_int(size(A,1));
nz = nag_int(size(irow,1));

% Use nag_sparse_real_gen_sort to get Compressed column storage array icolzp.
irow = nag_int(irow);
icol = nag_int(icol);
dup = 'S';
zero = 'K';
[nz, a, icol, irow, icolzp, ifail] = ...
  nag_sparse_real_gen_sort(...
        n, nz, a, icol, irow, dup, zero);

% Perform bandwidth reduction
use_mask  = false;
do_cm     = false;
check_sym = true;
bw_before = true;
bw_after  = true;
lopts(1:5) = [use_mask,do_cm,check_sym,bw_before,bw_after];
mask       = [nag_int(0)];

[perm, info, ifail] = nag_sparse_sym_rcm( ...
                             icolzp, irow, lopts, mask);

% Display results
disp('Permutation (perm):');
fprintf(' %4d %4d %4d %4d %4d %4d %4d %4d %4d %4d\n',perm)
fprintf('\nStatistics:\n');
fprintf('  Before:  Bandwidth = %6d\n', info(1));
fprintf('  Before:  Profile   = %6d\n', info(2));
fprintf('  After :  Bandwidth = %6d\n', info(3));
fprintf('  After :  Profile   = %6d\n', info(4));

% Permuted matrix
B = A(perm,perm);

fig1 = figure;
spy(A);
title('Original matrix ordering');
fig2 = figure;
spy(B);
title('Reverse Cuthil-McKee reordering');
% print(fig1,'-dpng','-r75','nag_sparse_sym_rcm_fig1.png');
% print(fig1,'-deps','-r75','nag_sparse_sym_rcm_fig1.eps');
% print(fig2,'-dpng','-r75','nag_sparse_sym_rcm_fig2.png');
% print(fig2,'-deps','-r75','nag_sparse_sym_rcm_fig2.eps');

% diary off
