function nag_specfun_1f1_real_scaled_example

% diary nag_specfun_1f1_real_scaled_example.r
fprintf('nag_specfun_1f1_real_scaled example results\n\n');

% n values of a and b
n     = 2;

% delta is perturbation on integer values for a and b
delta = 1e-4;
amod  = [-10    -10]; arem  = [ delta -delta];
bmod  = [ 30     30]; brem  = [-delta  delta];
x     = 25;

fprintf('        a         b         x         frm   scm    M(a,b,x)\n');
for j = 1:n
  [frmv(j), scmv(j), ifail] = nag_specfun_1f1_real_scaled( ...
                                     amod(j), arem(j), bmod(j), brem(j), x);
  a = amod(j) + arem(j);
  b = bmod(j) + brem(j);
  fprintf('%9.3f %9.3f %9.3f %11.3e %5d ', a, b, x, frmv(j), scmv(j));
  print_scale(frmv(j), scmv(j));
end

% Calculate the product M1*M2
frm = prod(frmv);
scm = sum(scmv);

fprintf('\nSolution product %24.3e %5d ', frm, scm);
print_scale(frm, scm);

% Calculate the ratio M1/M2
if frmv(2) ~= 0
  frm = frmv(1)/frmv(2);
  scm = scmv(1) - scmv(2);
  fprintf('\nSolution ratio   %24.3e %5d ', frm, scm);
  print_scale(frm, scm);
end

% diary off

function print_scale(frm, scm)
  if scm < nag_machine_model_maxexp
    scale = frm*2^double(scm);
    fprintf('%11.3e\n', scale);
  else
    fprintf(' Not representable\n');
  end
