function nag_specfun_2f1_real_example

% diary nag_specfun_2f1_real_example.r
fprintf('nag_specfun_2f1_real example results\n\n');

% Evaluate 2F1(a,b;c;x) for fixed a,b,c

a =  1.2;
b = -2.6;
c =  3.5;
x = [-4:0.25:1];
f = x;

for i = 1:21
  [f(i), ifail] = nag_specfun_2f1_real(a, b, c, x(i));
end

fprintf(' a = %4.1f, b = %4.1f, c = %4.1f\n\n',a,b,c);
disp('    x     2F1(a,b;c;x)');
fprintf('%7.2f%12.4f\n',[x;f]);

fig1 = figure;
plot(x,f);
ttext = sprintf('Gausian Hypergeometric for a=%4.1f, b=%4.1f, c=%4.1f',a,b,c);
title(ttext);
xlabel('x');
ylabel('_2F_1(a,b;c;x)');
% print(fig1,'-dpng','-r75','nag_specfun_2f1_real_fig1.png');
% print(fig1,'-deps','-r75','nag_specfun_2f1_real_fig1.eps');

% diary off
