function nag_specfun_airy_bi_deriv_example

% diary nag_specfun_airy_bi_deriv_example.r
fprintf('nag_specfun_airy_bi_deriv example results\n\n');

x = [-10    -1    0    1    5    10   20];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = nag_specfun_airy_bi_deriv(x(j));
end

disp('      x         Bi''(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

nag_specfun_airy_bi_deriv_plot;

% diary off

function nag_specfun_airy_bi_deriv_plot
  x = [-10:0.1:3];
  for j = 1:numel(x)
    [Bid(j), ifail] = nag_specfun_airy_bi_deriv(x(j));
  end

  fig1 = figure;
  plot(x,Bid,'-r');
  xlabel('x');
  ylabel('Bi''(x)');
  title('Derivative of Airy Function Bi(x)');
  axis([-10 4 -2 10]);

  % print(fig1,'-dpng','-r75','nag_specfun_airy_bi_deriv_fig1.png');
  % print(fig1,'-deps','-r75','nag_specfun_airy_bi_deriv_fig1.eps');
