function nag_specfun_airy_bi_real_example

% diary nag_specfun_airy_bi_real_example.r
fprintf('nag_specfun_airy_bi_real example results\n\n');

x = [-10   -1     0     1     5     10    20];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = nag_specfun_airy_bi_real(x(j));
end

disp('      x          Bi(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

nag_specfun_airy_bi_real_plot;

% diary off

function nag_specfun_airy_bi_real_plot
  x = [-10:0.25:3.25];
  for j = 1:numel(x)
    [Bi(j), ifail] = nag_specfun_airy_bi_real(x(j));
  end

  fig1 = figure;
  plot(x,Bi,'-r');
  xlabel('x');
  ylabel('Bi(x)');
  title('Airy Function Bi(x)');
  axis([-10 5 -2 17.5]);

  % print(fig1,'-dpng','-r75','nag_specfun_airy_bi_real_fig1.png');
  % print(fig1,'-deps','-r75','nag_specfun_airy_bi_real_fig1.eps');
