function nag_specfun_bessel_i0_real_example

% diary nag_specfun_bessel_i0_real_example.r
fprintf('nag_specfun_bessel_i0_real example results\n\n');

x = [0    0.5    1    3    6    8    10    15    20   -1];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = nag_specfun_bessel_i0_real(x(j));
end

disp('      x          I_0(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

nag_specfun_bessel_i0_real_plot;

% diary off

function nag_specfun_bessel_i0_real_plot
  x = [0:0.2:4];
  for j = 1:numel(x)
    [I0(j), ifail] = nag_specfun_bessel_i0_real(x(j));
  end

  fig1 = figure;
  plot(x,I0,'-r');
  xlabel('x');
  ylabel('I_0(x)');
  title('Bessel Function I_0(x)');
  axis([0 4 0 12]);

  % print(fig1,'-dpng','-r75','nag_specfun_bessel_i0_real_fig1.png');
  % print(fig1,'-deps','-r75','nag_specfun_bessel_i0_real_fig1.eps');
