function nag_specfun_bessel_j0_real_example

% diary nag_specfun_bessel_j0_real_example.r
fprintf('nag_specfun_bessel_j0_real example results\n\n');

x = [0    0.5     1    3    6   8    10   -1    1000];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = nag_specfun_bessel_j0_real(x(j));
end

disp('      x         J_0(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

nag_specfun_bessel_j0_real_plot;

% diary off

function nag_specfun_bessel_j0_real_plot
x = [-30:0.25:30];
  for j = 1:numel(x)
    [J0(j), ifail] = nag_specfun_bessel_j0_real(x(j));
  end

  fig1 = figure;
  plot(x,J0,'-r');
  xlabel('x');
  ylabel('J_0(x)');
  title('Bessel Function J_0(x)');
  axis([-30 30 -0.5 1.1]);

  % print(fig1,'-dpng','-r75','nag_specfun_bessel_j0_real_fig1.png');
  % print(fig1,'-deps','-r75','nag_specfun_bessel_j0_real_fig1.eps');
