function nag_specfun_bessel_k0_real_example

% diary nag_specfun_bessel_k0_real_example.r
fprintf('nag_specfun_bessel_k0_real example results\n\n');

x = [0.4   0.6   1.4   1.6    2.5    3.5    6    8    10   1000];
result = x;

for j=1:numel(x)
  [result(j), ifail] = nag_specfun_bessel_k0_real(x(j));
end

disp('      x          K_0(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

nag_specfun_bessel_k0_real_plot;

% diary off

function nag_specfun_bessel_k0_real_plot
  x = [0.01:0.01:0.1,0.12:0.02:4];
  for j = 1:numel(x)
    [K(j), ifail] = nag_specfun_bessel_k0_real(x(j));
  end

  fig1 = figure;
  plot(x,K,'-r');
  xlabel('x');
  ylabel('K_0(x)');
  title('Bessel Function K_0(x)');

  % print(fig1,'-dpng','-r75','nag_specfun_bessel_k0_real_fig1.png');
  % print(fig1,'-deps','-r75','nag_specfun_bessel_k0_real_fig1.eps');
