function nag_specfun_bessel_y0_real_example

% diary nag_specfun_bessel_y0_real_example.r
fprintf('nag_specfun_bessel_y0_real example results\n\n');

x = [0.5     1    3    6   8    10   100];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = nag_specfun_bessel_y0_real(x(j));
end

disp('      x         Y_0(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

nag_specfun_bessel_y0_real_plot;

% diary off

function nag_specfun_bessel_y0_real_plot
x = [0.1:0.1:0.4,0.5:0.5:50];
  for j = 1:numel(x)
    [Y0(j), ifail] = nag_specfun_bessel_y0_real(x(j));
  end

  fig1 = figure;
  plot(x,Y0,'-r');
  xlabel('x');
  ylabel('Y_0(x)');
  title('Bessel Function Y_0(x)');
  axis([0 50 -0.75 0.75]);

  % print(fig1,'-dpng','-r75','nag_specfun_bessel_y0_real_fig1.png');
  % print(fig1,'-deps','-r75','nag_specfun_bessel_y0_real_fig1.eps');
