function nag_specfun_bessel_y_complex_example

% diary nag_specfun_bessel_y_complex_example.r
fprintf('nag_specfun_bessel_y_complex example results\n\n');

n  = nag_int(2);
nu = [0             2.3       2.12      1.58          1.58];
z  = [0.3 + 0.4i;   2 + 0i;  -1 + 0i;  -2.3 + 5.6i;  -2.3 + 5.6i];
scal = {'U';        'U';      'U';      'U';          'S'};

fprintf('   nu           z         scaled?');
fprintf('     Y_{nu+%d}(z) ',[0:n-1]);
fprintf('   nz\n');
for i=1:numel(nu)

  [cy, nz, ifail] = nag_specfun_bessel_y_complex(nu(i), complex(z(i)), n, scal{i});

  fprintf('%7.3f  %7.3f%+7.3fi', nu(i), real(z(i)), imag(z(i)));
  if scal{i} == 'U'
     fprintf('  unscaled');
  else
     fprintf('    scaled');
  end
  for j = 1:n
    fprintf(' %7.3f%+8.3fi', real(cy(j)), imag(cy(j)));
  end
  fprintf('%3d\n',nz);
end

% diary off
