function nag_specfun_integral_sin_example

% diary nag_specfun_integral_sin_example.r
fprintf('nag_specfun_integral_sin example results\n\n');

x = [0:0.2:1];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = nag_specfun_integral_sin(x(j));
end

disp('      x          Si(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

nag_specfun_integral_sin_plot;

% diary off

function nag_specfun_integral_sin_plot
x = [-12:0.1:12];
  for j=1:numel(x)
    [si(j), ifail] = nag_specfun_integral_sin(x(j));
  end

  fig1 = figure;
  plot(x,si);
  xlabel('x');
  ylabel('Si(x)');
  title('Sine Integral Si(x)');
  axis([-12 12 -2 2]);
  % print(fig1,'-dpng','-r75','nag_specfun_integral_sin_fig1.png');
  % print(fig1,'-deps','-r75','nag_specfun_integral_sin_fig1.eps');
