function nag_specfun_opt_asian_geom_greeks_example

% diary nag_specfun_opt_asian_geom_greeks_example.r
fprintf('nag_specfun_opt_asian_geom_greeks example results\n\n');

put = 'C';
s = 80.0;
sigma = 0.2;
r = 0.05;
b = 0.08;
x = [97.0];
t = [0.25];

[p, delta, gamma, vega, theta, rho, crho, vanna, charm, speed, colour, ...
  zomma, vomma, ifail] = nag_specfun_opt_asian_geom_greeks( ...
                                put, x, s, t, sigma, r, b);


fprintf('\nAsian Option: Geometric Continuous Average-Rate\nAsian Call :\n');
fprintf('  Spot          =   %9.4f\n', s);
fprintf('  Volatility    =   %9.4f\n', sigma);
fprintf('  Rate          =   %9.4f\n', r);
fprintf('  Cost of carry =   %9.4f\n\n', b);

fprintf(' Time to Expiry : %8.4f\n', t(1));
fprintf('%8s%9s%9s%9s%9s%9s%9s%9s\n','Strike','Price','Delta','Gamma',...
        'Vega','Theta','Rho','CRho');
fprintf('%8.4f%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f\n\n', x(1), p(1,1), ...
        delta(1,1), gamma(1,1), vega(1,1), theta(1,1), rho(1,1), crho(1,1));

fprintf('%26s%9s%9s%9s%9s%9s\n','Vanna','Charm','Speed','Colour',...
        'Zomma','Vomma');
fprintf('%17s%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f\n\n', ' ', vanna(1,1), ...
        charm(1,1), speed(1,1), colour(1,1), zomma(1,1), vomma(1,1));

% diary off
