function nag_specfun_opt_asian_geom_price_example

% diary nag_specfun_opt_asian_geom_price_example.r
fprintf('nag_specfun_opt_asian_geom_price example results\n\n');

put = 'P';
s = 80.0;
sigma = 0.2;
r = 0.05;
b = 0.08;
x = [85.0];
t = [0.25];


[p, ifail] = nag_specfun_opt_asian_geom_price( ...
                    put, x, s, t, sigma, r, b);


fprintf('\nAsian Option: Geometric Continuous Average-Rate\nAsian Put :\n');
fprintf('  Spot          =   %9.4f\n', s);
fprintf('  Volatility    =   %9.4f\n', sigma);
fprintf('  Rate          =   %9.4f\n', r);
fprintf('  Cost of carry =   %9.4f\n\n', b);

fprintf('   Strike    Expiry   Option Price\n');

for i=1:1
  for j=1:1
    fprintf('%9.4f %9.4f %9.4f\n', x(i), t(j), p(i,j));
  end
end

% diary off
