function nag_specfun_opt_barrier_std_price_example

% diary nag_specfun_opt_barrier_std_price_example.r
fprintf('nag_specfun_opt_barrier_std_price example results\n\n');

put = 'P';
type = 'DI';
s = 100.0;
h = 95.0;
k = 3.0;
sigma = 0.3;
r = 0.08;
q = 0.04;
x = [100.0];
t = [0.5];


[p, ifail] = nag_specfun_opt_barrier_std_price( ...
                    put, type, x, s, h, k, t, sigma, r, q);


fprintf('\nStandard Barrier Option\n Put :\n');
fprintf('  Spot       =   %9.4f\n', s);
fprintf('  Barrier    =   %9.4f\n', h);
fprintf('  Rebate     =   %9.4f\n', k);
fprintf('  Volatility =   %9.4f\n', sigma);
fprintf('  Rate       =   %9.4f\n', r);
fprintf('  Dividend   =   %9.4f\n\n', q);

fprintf('   Strike    Expiry   Option Price\n');

for i=1:1
  for j=1:1
    fprintf('%9.4f %9.4f %9.4f\n', x(i), t(j), p(i,j));
  end
end

% diary off
