function nag_specfun_opt_binary_con_price_example

% diary nag_specfun_opt_binary_con_price_example.r
fprintf('nag_specfun_opt_binary_con_price example results\n\n');

put = 'P';
s = 100.0;
k = 10.0;
sigma = 0.35;
r = 0.06;
q = 0.0;
x = [80.0];
t = [0.75];
[p, ifail] = nag_specfun_opt_binary_con_price( ...
                    put, x, s, k, t, sigma, r, q);


fprintf('\nBinary (Digital): Cash-or-Nothing\n European Put :\n');
fprintf('  Spot       =   %9.4f\n', s);
fprintf('  Payout     =   %9.4f\n', k);
fprintf('  Volatility =   %9.4f\n', sigma);
fprintf('  Rate       =   %9.4f\n', r);
fprintf('  Dividend   =   %9.4f\n\n', q);

fprintf('   Strike    Expiry   Option Price\n');
for i=1:1
  for j=1:1
    fprintf('%9.4f %9.4f %9.4f\n', x(i), t(j), p(i,j));
  end
end

% diary off
