function nag_specfun_opt_bsm_price_example

% diary nag_specfun_opt_bsm_price_example.r
fprintf('nag_specfun_opt_bsm_price example results\n\n');

put = 'c';
s = 55;
sigma = 0.3;
r = 0.1;
q = 0;
x = [58, 60, 62];
t = [0.7, 0.8];

[p, ifail] = nag_specfun_opt_bsm_price( ...
                    put, x, s, t, sigma, r, q);


fprintf('\nBlack-Scholes-Merton formula\n European Call :\n');
fprintf('  Spot       =   %9.4f\n', s);
fprintf('  Volatility =   %9.4f\n', sigma);
fprintf('  Rate       =   %9.4f\n', r);
fprintf('  Dividend   =   %9.4f\n\n', q);

fprintf('   Strike    Expiry   Option Price\n');
for i=1:3
  for j=1:2
    fprintf('%9.4f %9.4f %9.4f\n', x(i), t(j), p(i,j));
  end
end

% diary off
