function nag_specfun_opt_heston_term_example

% diary nag_specfun_opt_heston_term_example.r
fprintf('nag_specfun_opt_heston_term example results\n\n');

% Price of a European call using Heston model with a term structure.

calput = 'C';
fwd    = 100;
disc   = 1;
var0   = 1;
fprintf('European Call :\n');
fprintf(' %-22s = %9.4f\n','Forward',fwd);
fprintf(' %-22s = %9.4f\n','Discount factor',disc);
fprintf(' %-22s = %9.4f\n','Variance',var0);

m      = 1;
x      = [100];
n      = 2;
ts     = [ 0.35 0.65];
t      = 1;
alpha  = [ 2.25 1.5];
corr   = [-0.05 0.1];
lambda = [ 2.0  1.5];
sigmat = [ 0.04 0.13];
fprintf('\n%6s%13s%11s%8s%12s\n','ts','alpha','lambda','corr','sigmat');
for i = 1:n
  fprintf('%10.4f%10.4f%10.4f%10.4f%10.4f\n',...
          ts(i),alpha(i),lambda(i),corr(i),sigmat(i));
end

[p, ifail] = nag_specfun_opt_heston_term(...
                   calput, x, fwd, disc, ts, t, ...
                   alpha, lambda, corr, sigmat, var0);

fprintf('\n%10s%10s%10s\n','strike','expiry','price');
for i = 1:m
  fprintf('%10.4f%10.4f%10.4f\n',x(i),t,p(i));
end

% diary off
