function nag_specfun_opt_jumpdiff_merton_greeks_example

% diary nag_specfun_opt_jumpdiff_merton_greeks_example.r
fprintf('nag_specfun_opt_jumpdiff_merton_greeks example results\n\n');

put    = 'C';
lambda = 5;
s      = 100.0;
sigma  = 0.25;
r      = 0.08;
jvol   = 0.25;
x      = [80.0, 90.0];
t      = [0.5];

[p, delta, gamma, vega,   theta, rho, ...
    vanna, charm, speed, colour, zomma, vomma, ifail] = ...
    nag_specfun_opt_jumpdiff_merton_greeks(...
          put, x, s, t, sigma, r, lambda, jvol);


fprintf('\nMerton Jump-Diffusion Model\n European Call :\n');
fprintf('  Spot       =   %9.4f\n', s);
fprintf('  Volatility =   %9.4f\n', sigma);
fprintf('  Rate       =   %9.4f\n', r);
fprintf('  Jumps      =   %9.4f\n', lambda);
fprintf('  Jump Vol   =   %9.4f\n\n', jvol);

fprintf(' Time to Expiry : %8.4f\n', t(1));

fprintf('%8s%9s%9s%9s%9s%9s%9s\n','Strike','Price','Delta','Gamma',...
        'Vega','Theta','Rho');
for i=1:2
  fprintf('%8.4f%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f\n', x(i), p(i,1), ...
          delta(i,1), gamma(i,1), vega(i,1), theta(i,1), rho(i,1));
end

fprintf('\n%26s%9s%9s%9s%9s%9s\n','Vanna','Charm','Speed','Colour',...
        'Zomma','Vomma');
for i=1:2
  fprintf('%17s%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f\n', ' ', vanna(i,1), ...
          charm(i,1), speed(i,1), colour(i,1), zomma(i,1), vomma(i,1));
end

% diary off
