function nag_stat_moments_ratio_quad_forms_example

% diary nag_stat_moments_ratio_quad_forms_example.r
fprintf('nag_stat_moments_ratio_quad_forms example results\n\n');

% Problem parameters
n    = 10;
l1   = nag_int(1);
l2   = nag_int(3);
beta = 0.8;
y0   = 1.0;

% Setup a, b, emu, sigma for simple autoregression
a = zeros(n, n);
b = zeros(n, n);
a(2:n,  1:n-1) = 0.5*eye(n-1);
b(1:n-1,1:n-1) = eye(n-1);

emu = zeros(n,1);
for j=1:n
  emu(j) = y0*beta^j;
end
sigma = zeros(n,n);
sigma(1,1) = 1;
for j = 2:n
  sigma(j,j) = sigma(j-1,j-1)*beta^2 + 1;
end
for i = 1:n
  s = sigma(i,i);
  for j = i+1:n
    sigma(j,i) = s*beta^(j-i);
  end
end

% Compute moments
epsilon = 0;
[lmax, rmom, abserr, ifail] = ...
  nag_stat_moments_ratio_quad_forms( ...
         a, b, sigma, l1, l2, epsilon, 'emu', emu);

% Display results
fprintf(' n = %3d, beta = %6.3f, y0 = %6.3f\n\n', n, beta, y0);
fprintf('      Moments\n\n');
ival = double([l1:lmax]');
fprintf('%3d%12.4e\n',[ival rmom]');

% diary off
