function nag_stat_pdf_gamma_example

% diary nag_stat_pdf_gamma_example.r
fprintf('nag_stat_pdf_gamma example results\n\n');

x      = [0.1, 3, 6,  4,   9,  16];
a      = [3,  10, 5, 10,   9,   3.5];
b      = [2,  11, 1,  0.1, 0.5, 2.5];
result = x;
fprintf('\n      x            a            b          pdf\n');

for i=1:numel(x)
 [result(i), ifail] = nag_stat_pdf_gamma( ...
			     x(i), a(i), b(i));
end

fprintf('%12.4e %12.4e %12.4e %12.4e\n', [x; a; b; result]);

nag_stat_pdf_gamma_plot;

% diary off

function nag_stat_pdf_gamma_plot
 
  fig1 = figure;
  hold on;
  a  = [2, 9];
  b  = [2, 0.5];
  x  = [0:0.1:10];
  alpha = '\alpha';
  beta  = '\beta';
  for i=1:2
    for j=1:numel(x)
      [y{i}(j), ifail] = nag_stat_pdf_gamma( ...
				x(j), a(i), b(i));
    end
    plot(x,y{i});
    l{i} = sprintf('%s = %3.1f, %s = %3.1f', alpha, a(i), beta, b(i));
  end
  legend(l);
  xlabel('x');
  title('Gamma Distributions');
  hold off;
  % print(fig1,'-dpng','-r75','nag_stat_pdf_gamma_fig1.png');
  % print(fig1,'-deps','-r75','nag_stat_pdf_gamma_fig1.eps');
