function nag_stat_pdf_normal_vector_example

% diary nag_stat_pdf_normal_vector_example.r
fprintf('nag_stat_pdf_normal_vector example results\n\n');

x =     [1.0, 4.0, 0.1, 1.0];
xmean = [0.0, 2.0, 0.0, 0.0];
xstd =  [1.0, 1.0, 0.01, 10];
ilog = nag_int(0);
[pdf, ivalid, ifail] = nag_stat_pdf_normal_vector(ilog, x, xmean, xstd);

fprintf('\n  x             mean          standard      result\n');
fprintf('                              deviation\n');
lx     = numel(x);
lxmean = numel(xmean);
lxstd  = numel(xstd);
len = max ([lx, lxmean, lxstd]);
for i=0:len-1
 fprintf('%13.5e %13.5e %13.5e %13.5e %3d\n', x(mod(i,lx)+1), ...
         xmean(mod(i,lxmean)+1), xstd(mod(i,lxstd)+1), pdf(i+1), ivalid(i+1));
end

nag_stat_pdf_normal_vector_plot;

% diary off

function nag_stat_pdf_normal_vector_plot
 
  fig1 = figure;
  hold on;
  xmean  = [0, 0,   1];
  xstd   = [1, 0.3, 0.6];
  ilog = nag_int(0);
  x{1} = [-3:0.05:3];
  x{2} = [-1.2:0.025:1.2];
  x{3} = [-1:0.05:3];
  mu = '\mu';
  sigma = '\sigma';
  for i=1:3
    [y{i}, ifail] = nag_stat_pdf_normal_vector( ...
			   ilog, x{i}, xmean(i), xstd(i));
    plot(x{i},y{i});
    l{i} = sprintf('%s = %3.1f, %s = %3.1f', mu, xmean(i), sigma, xstd(i));
  end
  legend(l);
  xlabel('x');
  title('Gaussian Functions (or Normal Distributions)');
  hold off;
  % print(fig1,'-dpng','-r75','nag_stat_pdf_normal_vector_fig1.png');
  % print(fig1,'-deps','-r75','nag_stat_pdf_normal_vector_fig1.eps');
