function nag_stat_summary_onevar_combine_example

% diary nag_stat_summary_onevar_combine_example.r
fprintf('nag_stat_summary_onevar_combine example results\n\n');

x1 = [-0.62; -1.92; -1.72; -6.35;  2.00;  7.65;  6.15;
       3.81;  4.87; -0.51;  6.88; -5.85; -0.72;  0.66;
       2.23; -1.61; -0.15; -1.15; -8.74; -3.94;  3.61];
wt1 = [4.91;  0.25;  3.90;  3.75;  1.17;  3.19;  2.66;
       0.02;  3.59;  3.63;  4.83;  3.72;  1.72;  0.78;
       4.74;  1.72;  3.94;  1.33;  0.51;  2.40;  3.90];
x2 = [-0.66; -2.39; -6.25;  1.23;  2.27; -2.27; 10.12;
       8.29; -2.99;  8.71; -0.74;  0.02;  1.22;  1.70;
       4.30;  2.99; -0.83; -1.00;  6.57;  2.32; -3.47; 
      -1.41; -5.26;  0.53;  1.80;  4.79; -3.04;  1.20;
      -3.21; -3.75;  0.86;  1.27; -5.95; -5.27;  1.63;
       3.59; -0.01; -1.38; -4.71; -4.82;  3.55;  0.46;
       2.57;  1.76; -4.05;  1.23; -1.99;  3.20; -0.65;
       8.42; -6.01];
x3 = [ 1.13; -8.86;  5.92; -1.71; -3.99;  6.57; -2.01;
      -2.29; -1.11;  7.14;  4.84; -4.44; -3.32; 10.25;
      -2.11;  8.02; -7.31;  2.80; -1.20;  1.01;  1.37;
      -2.28;  1.28; -3.95;  3.43; -0.61; 4.85; -0.11];
data = {x1; x2; x3};

mrcomm = zeros(20,3);
% Initialise the number of valid observations processed so far
for i =1:3
  % Summarise this block of data
  if (i == 1)
    [pn, xmean, xsd, xskew, xkurt, xmin, xmax, mrcomm(:, 1), ifail] = ...
        nag_stat_summary_onevar(x1, 'wt', wt1);
  else
    [pn, xmean, xsd, xskew, xkurt, xmin, xmax, mrcomm(:, i), ifail] = ...
        nag_stat_summary_onevar(data{i});
  end

  % Display the results for this block
  fprintf('\nSummary for block %d\n', i);
  fprintf('%d valid observations\n', pn);
  fprintf('Mean          %13.2f\n', xmean);
  fprintf('Std devn      %13.2f\n', xsd);
  fprintf('Skewness      %13.2f\n', xskew);
  fprintf('Kurtosis      %13.2f\n', xkurt);
  fprintf('Minimum       %13.2f\n', xmin);
  fprintf('Maximum       %13.2f\n', xmax);
end

% Combine the summaries across all the blocks
[pn, xmean, xsd, xskew, xkurt, xmin, xmax, rcomm, ifail] = ...
    nag_stat_summary_onevar_combine(mrcomm);

% Display the combined results
fprintf('\nSummary for the combined data\n');
fprintf('%d valid observations\n', pn);
fprintf('Mean          %13.2f\n', xmean);
fprintf('Std devn      %13.2f\n', xsd);
fprintf('Skewness      %13.2f\n', xskew);
fprintf('Kurtosis      %13.2f\n', xkurt);
fprintf('Minimum       %13.2f\n', xmin);
fprintf('Maximum       %13.2f\n', xmax);

% diary off
