function nag_sum_conjugate_hermitian_mult_rfmt_example

% diary nag_sum_conjugate_hermitian_mult_rfmt_example.r
fprintf('nag_sum_conjugate_hermitian_mult_rfmt example results\n\n');

% 3 Hermitian sequences stored as rows in compact form
m = nag_int(3);
n = nag_int(6);
x = [0.3854  0.6772  0.1138  0.6751  0.6362  0.1424;
     0.5417  0.2983  0.1181  0.7255  0.8638  0.8723;
     0.9172  0.0644  0.6037  0.6430  0.0428  0.4815];

disp('Original values in compact Hermitian form:');
disp(x);

% Put x in full complex form
[u, v, ifail] = nag_sum_convert_herm2complex_sep(m, n, x);

nd = [m,n];
z = reshape(u + i*v,nd);
disp(' ');
title = 'Original data in full complex form';
[ifail] = nag_file_print_matrix_complex_gen('General','Non-unit', z, title);

% Conjugate values
[xc, ifail] = nag_sum_conjugate_hermitian_mult_rfmt(m, n, x);
disp(' ');
disp('Conjugated data in compact Hermitian form:');
disp(xc);

[u, v, ifail] = nag_sum_convert_herm2complex_sep(m, n, xc);
zc = reshape(u + i*v,nd);
disp(' ');
title = 'Conjugated data in full complex form';
[ifail] = nag_file_print_matrix_complex_gen('General','Non-unit', zc, title);

% diary off
