function nag_sum_fft_complex_3d_sep_example

% diary nag_sum_fft_complex_3d_sep_example.r
fprintf('nag_sum_fft_complex_3d_sep example results\n\n');

x = cat(3,[ 1.000  0.994  0.903;
            0.500  0.494  0.403],...
          [ 0.999  0.989  0.885;
            0.499  0.489  0.385],...
          [ 0.987  0.963  0.823;
            0.487  0.463  0.323],...
          [ 0.936  0.891  0.694;
            0.436  0.391  0.194]);
y = cat(3,[ 0.000 -0.111 -0.430;
            0.500  0.111  0.430],...
          [-0.040 -0.151 -0.466;
            0.040  0.151  0.466],...
          [-0.159 -0.268 -0.568;
            0.159  0.268  0.568],...
          [-0.352 -0.454 -0.720;
            0.352  0.454  0.720]);

nd = nag_int(size(x));

n1 = nd(1);
n2 = nd(2);
n3 = nd(3);

% Transform
init = 'Initial';
trign1 = zeros(2*n1,1);
trign2 = zeros(2*n2,1);
trign3 = zeros(2*n3,1);
[xt, yt, trign1, trign2, trign3, ifail] = ...
    nag_sum_fft_complex_3d_sep(...
           n1, n2, n3, x, y, init, trign1, trign2, trign3);

% Restore
init = 'Subsequent';
[xr, yr, trign1, trign2, trign3, ifail] = ...
    nag_sum_fft_complex_3d_sep(...
           n1, n2, n3, xt, -yt, init, trign1, trign2, trign3);

disp('Original Data:');
z = x + i*y;
disp(z);

disp('Components of discrete Fourier transform:');
zt = reshape(xt + i*yt,nd);
disp(zt);

disp('Original sequence as restored by inverse transform');
zr = reshape(xr + i*yr,nd);
disp(zr);

% diary off
