function nag_sum_fft_complex_multid_1d_sep_example

% diary nag_sum_fft_complex_multid_1d_sep_example.r
fprintf('nag_sum_fft_complex_multid_1d_sep example results\n\n');

x = [ 1.000     0.999     0.987     0.936     0.802;
      0.994     0.989     0.963     0.891     0.731;
      0.903     0.885     0.823     0.694     0.467];
y = [ 0.000    -0.040    -0.159    -0.352    -0.597;
     -0.111    -0.151    -0.268    -0.454    -0.682
     -0.430    -0.466    -0.568    -0.720    -0.884];
nd = nag_int(size(x));
l  = nag_int(2);

% transform, then inverse transform to restore data
[xt, yt, ifail] = nag_sum_fft_complex_multid_1d_sep(l, nd, x, y);
[xr, yr, ifail] = nag_sum_fft_complex_multid_1d_sep(l, nd, xt, -yt);

% Display as complex matrices
z = x + i*y;
zt = reshape(xt+i*yt,nd);
zr = reshape(xr-i*yr,nd);

matrix = 'general';
diag = ' ';
usefrm = 'Above';
format = 'F9.3';
labrow = 'None';
labcol = 'None';
ncols  = nag_int(80);
indent = nag_int(0);

title  = 'Original data:';
[ifail] = nag_file_print_matrix_complex_gen_comp(...
    matrix, diag, z, usefrm, format, title, labrow, labcol, ncols, indent);
disp(' ');
title = 'Discrete Fourier transform of variable 2:';
[ifail] = nag_file_print_matrix_complex_gen_comp(...
    matrix, diag, zt, usefrm, format, title, labrow, labcol, ncols, indent);
disp(' ');
title = 'Original sequence as restored by inverse transform:';
[ifail] = nag_file_print_matrix_complex_gen_comp(...
    matrix, diag, zr, usefrm, format, title, labrow, labcol, ncols, indent);

% diary off
