function nag_sum_fft_real_1d_rfmt_example

% diary nag_sum_fft_real_1d_rfmt_example.r
fprintf('nag_sum_fft_real_1d_rfmt example results\n\n');

% Hermitian sequence x, stored in Hermitian form.
n = 7;
x = [0.34907;  0.5489;   0.74776;   0.94459;
     1.1385;   1.3285;   1.5137];

% DFT of x
[xtrans, ifail] = nag_sum_fft_real_1d_rfmt(x);

% Display in full complex form
z = nag_herm2complex(xtrans);
disp('Discrete Fourier Transform of x:');
disp(transpose(z));

% Inverse DFT of xtrans
[xres] = nag_hermconj(xtrans);
[xres, ifail] = nag_sum_fft_hermitian_1d_rfmt(xres);

 
fprintf('Original sequence as restored by inverse transform\n\n');
fprintf('       Original   Restored\n');
for j = 1:n
  fprintf('%3d   %7.4f    %7.4f\n',j, x(j),xres(j));
end
 
% diary off

function [z] = nag_herm2complex(x);
  n = nag_int(size(x,1));
  z(1) = complex(x(1));
  for j = 2:floor((n-1)/2) + 1
    z(j) = x(j) + i*x(n-j+2);
    z(n-j+2) = x(j) - i*x(n-j+2);
  end
  if (mod(n,2)==0)
    z(n/2+1) = complex(x(n/2+1));
  end

function [xconj] = nag_hermconj(x);
  n = size(x,1);
  n2 = floor((n+4)/2);
  xconj = x;
  for j = n2:n
    xconj(j) = -x(j);
  end
