function nag_sum_fft_real_qtrsine_simple_example

% diary nag_sum_fft_real_qtrsine_simple_example.r
fprintf('nag_sum_fft_real_qtrsine_simple example results\n\n');

% Discrete quarter-wave sine transform of 3 sequences of length 6
direct = 'Forward';
m = nag_int(3);
n = nag_int(6);
x = zeros(m,(n+2));
x(1:m,1:n) = [ 0.3854  0.6772  0.1138  0.6751  0.6362  0.1424;
               0.5417  0.2983  0.1181  0.7255  0.8638  0.8723; 
               0.9172  0.0644  0.6037  0.6430  0.0428  0.4815];

[xt, ifail] = nag_sum_fft_real_qtrsine_simple(direct, m, n, x);
disp('X under discrete quarter-wave sine transform:');
disp(reshape(xt(1:m*n),m,n));

% Reconstruct using same transform
direct = 'Backward';
[xr, ifail] = nag_sum_fft_real_qtrsine_simple(direct, m, n, xt);
disp('X reconstructed by inverse quarter-wave sine transform:');
y = reshape(xr(1:m*n),m,n);
disp(y);

% diary off
