function nag_time_cpu_example

% diary nag_time_cpu_example.r
fprintf('nag_time_cpu example results\n\n');

[s1] = nag_time_cpu;

% compute appriximation to Euler's constant
nterms = 10^7;
h = 0;
for n = nterms:-1:1
  h = h + 1/n;
end
h = h-log(nterms+0.5);

[s2] = nag_time_cpu;

ctime = s2 - s1;

fprintf('It took %10.2e seconds\n', ctime);
fprintf(' to compute %8d terms of the harmonic series.\n', nterms);
fprintf('Approximation to Euler constant = %20.13f.\n', h);

% diary off
