function nag_tsa_inhom_iema_all_example

% diary nag_tsa_inhom_iema_all_example.r
fprintf('nag_tsa_inhom_iema_all example results\n\n');

m1    = nag_int(2);
m2    = nag_int(6);
ftype = nag_int(1);
p     = 1;
inter = [nag_int(3); 2];
tau   = 2;
sinit = zeros(8, 1);
nb    = [5, 10, 15];
rcomm = zeros(20+m2, 1);
x     = [];
t     = cell(3, 1);
z     = cell(3, 1);

t{1} = [ 7.5;  8.2; 18.1; 22.8; 25.8];
z{1} = [ 0.6;  0.6;  0.8;  0.1;  0.2];
t{2} = [26.8; 31.1; 38.4; 45.9; 48.2; 48.9; 57.9; 58.5; 63.9; 65.2];
z{2} = [0.2;   0.5;  0.7;  0.1;  0.4;  0.7;  0.8;  0.3;  0.2;  0.5];
t{3} = [66.6; 67.4; 69.3; 69.9; 73.0; 75.6; 77.0; 84.7; 86.8; 88.0; ...
        88.5; 91.0; 93.0; 93.7; 94.0];
z{3} = [ 0.2;  0.3;  0.8;  0.6;  0.1;  0.7;  0.9;  0.6;  0.3;  0.1;  ...
         0.1;  0.4;  1.0;  1.0;  0.1];

fprintf('%41s\n%17s', 'Iteration', 'Time');
fprintf('%10d', [2:6]);
fprintf('\n');

% Loop over each block of data.
miema = m2-m1+1;
iema = cell(numel(nb), 1);
fmt = '%3d%14.1f  %10.3f%10.3f%10.3f%10.3f%10.3f\n';
for i = 1:numel(nb)
  if i == 1
    % Initialise the iterated EMA
    [iema{i}, p, pn, rcomm, ifail] = ...
    nag_tsa_inhom_iema_all( ...
           z{i}, t{i}, tau, m1, m2, sinit, inter, ftype, p, x, 'rcomm', rcomm);
  else
    % Update the iterated EMA for this block of data
    [iema{i}, p, pn, rcomm, ifail] = ...
    nag_tsa_inhom_iema_all( ...
           z{i}, t{i}, tau, m1, m2, sinit, inter, ftype, p, x, ...
           'pn', pn, 'rcomm', rcomm);
  end

  % Display the results for this block of data
  for j=1:nb(i)
    fprintf(fmt, pn-nb(i)+j, t{i}(j), iema{i}(j, 1:miema));
  end
  fprintf('\n');
end

% diary off
