function nag_tsa_inhom_ma_example

% diary nag_tsa_inhom_ma_example.r
fprintf('nag_tsa_inhom_ma example results\n\n');

m1 = nag_int(1);
m2 = nag_int(2);
ftype = nag_int(1);
p = 1;
inter = [nag_int(3); 2];
tau = 2;
sinit = zeros(8, 1);
nb = [5, 10, 15];
rcomm = zeros(20+2*m2, 1);
t = cell(3, 1);
z = cell(3, 1);
t{1}  = [ 7.5;  8.2; 18.1; 22.8; 25.8];
ma{1} = [ 0.6;  0.6;  0.8;  0.1;  0.2];
t{2}  = [26.8; 31.1; 38.4; 45.9; 48.2; 48.9; 57.9; 58.5; 63.9; 65.2];
ma{2} = [ 0.2;  0.5;  0.7;  0.1;  0.4;  0.7;  0.8;  0.3;  0.2;  0.5];
t{3}  = [66.6; 67.4; 69.3; 69.9; 73.0; 75.6; 77.0; 84.7; 86.8; 88.0; ...
         88.5; 91.0; 93.0; 93.7; 94.0];
ma{3} = [ 0.2;  0.3;  0.8;  0.6;  0.1;  0.7;  0.9;  0.6;  0.3;  0.1;  ...
          0.1;  0.4;  1.0;  1.0;  0.1];

fprintf('             Time           MA\n');

% Loop over each block of data.
for i = 1:numel(nb)
  if i == 1
    % Initialise the moving average operator for this block of data
    [ma{i}, p, pn, wma, rcomm, ifail] = ...
    nag_tsa_inhom_ma( ...
           ma{i}, t{i}, tau, m1, m2, sinit, inter, ftype, p, 'rcomm', rcomm);
  else
    % Update the moving average operator for this block of data
    [ma{i}, p, pn, wma, rcomm, ifail] = ...
    nag_tsa_inhom_ma( ...
           ma{i}, t{i}, tau, m1, m2, sinit, inter, ftype, p, ...
           'pn', pn, 'rcomm', rcomm);
  end

  % Display the results for this block of data
  for j=1:nb(i)
    fprintf('%3d    %10.1f    %10.3f\n', pn-nb(i)+j, t{i}(j), ma{i}(j));
  end
  fprintf('\n');
end

% diary off
