function nag_tsa_multi_gain_bivar_example

% diary nag_tsa_multi_gain_bivar_example.r
fprintf('nag_tsa_multi_gain_bivar example results\n\n');

% Data
xg = [ 2.03490;     0.51554;     0.07640;
       0.01068;     0.00093;     0.00100;
       0.00076;     0.00037;     0.00021];
yg = [21.97712;     3.29761;     0.28782;
       0.02480;     0.00285;     0.00203;
       0.00125;     0.00107;     0.00191];
xyrg = ...
     [-6.54995;     0.34107;     0.12335;
      -0.00514;    -0.00033;    -0.00039;
      -0.00026;     0.00011;     0.00007];
xyig = ...
     [ 0.00000;    -1.19030;     0.04087;
       0.00842;     0.00032;    -0.00001;
       0.00018;    -0.00016;     0.00000];
ng = numel(xg);

% Statistics
stats = [30.00000;     0.63858;     1.78670;     0.33288];

[gn, gnlw, gnup, ph, phlw, phup, ifail] = ...
  nag_tsa_multi_gain_bivar( ...
	 xg, yg, xyrg, xyig, stats);

% Display results
fprintf('               The Gain\n\n');
fprintf('                    Lower     Upper\n');
fprintf('          Value     bound     bound\n');
for j=1:ng
  fprintf('%5d%10.4f%10.4f%10.4f\n', j-1, gn(j), gnlw(j), gnup(j))
end
fprintf('\n              The Phase\n\n');
fprintf('                    Lower     Upper\n');
fprintf('          Value     bound     bound\n');
for j=1:ng
  fprintf('%5d%10.4f%10.4f%10.4f\n', j-1, ph(j), phlw(j), phup(j))
end

% diary off
