function nag_tsa_multi_inputmod_forecast_example

% diary nag_tsa_multi_inputmod_forecast_example.r
fprintf('nag_tsa_multi_inputmod_forecast example results\n\n');

% orders and transfer
mr = [nag_int(1); 0; 0; 0; 0; 1; 4];
mt = [nag_int(0), ...
         0, 0, 0, 1, 0;
      0, 0, 0, 0, 0, 0;
      0, 0, 0, 0, 1, 0;
      1, 1, 1, 1, 3, 0];
% model parameters
para = [0.495; 0.238; -0.367; -3.876; 4.516; 
        2.474; 8.629; 0.688; -82.858];
% Observed values
xxy = [ 1     1     0     0     8.075 105;
        1     0     1     0     7.819 119;
        1     0     0     1     7.366 119;
        1    -1    -1    -1     8.113 109;
        2     1     0     0     7.380 117;
        2     0     1     0     7.134 135;
        2     0     0     1     7.222 126;
        2    -1    -1    -1     7.768 112;
        3     1     0     0     7.386 116;
        3     0     1     0     6.965 122;
        3     0     0     1     6.478 115;
        3    -1    -1    -1     8.105 115;
        4     1     0     0     8.060 122;
        4     0     1     0     7.684 138;
        4     0     0     1     7.580 135;
        4    -1    -1    -1     7.093 125;
        5     1     0     0     6.129 115;
        5     0     1     0     6.026 108;
        5     0     0     1     6.679 100;
        5    -1    -1    -1     7.414  96;
        6     1     0     0     7.112 107;
        6     0     1     0     7.762 115;
        6     0     0     1     7.645 123;
        6    -1    -1    -1     8.639 122;
        7     1     0     0     7.667 128;
        7     0     1     0     8.080 136;
        7     0     0     1     6.678 140;
        7    -1    -1    -1     6.739 122;
        8     1     0     0     5.569 102;
        8     0     1     0     5.049 103;
        8     0     0     1     5.642  89;
        8    -1    -1    -1     6.808  77;
        9     1     0     0     6.636  89;
        9     0     1     0     8.241  94;
        9     0     0     1     7.968 104;
        9    -1    -1    -1     8.044 108;
       10     1     0     0     7.791 119;
       10     0     1     0     7.024 126;
       10     0     0     1     6.102 119;
       10    -1    -1    -1     6.053 103];
[nev, nis] = size(xxy);
% Add future values
xyf = [11     1     0     0     5.941   0;
       11     0     1     0     5.386   0;
       11     0     0     1     5.811   0;
       11    -1    -1    -1     6.716   0;
       12     1     0     0     6.923   0;
       12     0     1     0     6.939   0;
       12     0     0     1     6.705   0;
       12    -1    -1    -1     6.914   0];
nfv = size(xyf,1);
xxy = [xxy; xyf];

% Residual variance of input series
rmsxy = [0;   0;    0;    0;    0.172;  0];
% orders for ARIMA (only 5th residua variance is non-zero)
mrx = zeros(7, nis, nag_int_name);
mrx(:,5) = [2;   0;    2;    0;    1;    1;   4];
% Parameters for input series ARIMA
parx = zeros(5,nis);
parx(:,5) = [ 1.6743; -0.9505;  1.4605;  -0.4862;  0.8993];

% Sizes
nev   = nag_int(40);
nfv   = nag_int(8);
isttf = nag_int(20);

% Update forecasts
kfc  = nag_int(1);
kzef = nag_int(1);
[para, xxy, rmsxy, mrx, fva, fsd, sttf, nsttf, ifail] = ...
    nag_tsa_multi_inputmod_forecast( ...
           mr, mt, para, kfc, nev, nfv, xxy, kzef, rmsxy, mrx, parx, isttf);

%   Display results
fprintf('After processing %4d sets of observations\n', nev);
fprintf('%4d values of the state set are derived\n\n', nsttf);
disp(sttf(1:nsttf)');
fprintf('\nThe residual mean square for the output\n');
fprintf('series is also derived and its value is %10.4f\n\n', rmsxy(nis));
fprintf('The forecast values and their standard errors\n\n');
fprintf('   i     fva       fsd\n\n');
fprintf('%4d%10.4f%10.4f\n',[[1:numel(fva)]' fva fsd]');
fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen( ...
                 'General', ' ', xxy, 'The values of z(t) and n(t)');
fprintf('The first %2d columns hold z(t) and the last column holds n(t)\n', ...
       nis-1);

% diary off
