function nag_tsa_multi_regmat_partial_example

% diary nag_tsa_multi_regmat_partial_example.r
fprintf('nag_tsa_multi_regmat_partial example results\n\n');

z = [-1.49, -1.62, 5.20, 6.23, 6.21, 5.86, 4.09, 3.18, 2.62, 1.49, 1.17, ...
      0.85, -0.35, 0.24, 2.44, 2.58, 2.04, 0.40, 2.26, 3.34, 5.09, 5.00, ...
      4.78,  4.11, 3.45, 1.65, 1.29, 4.09, 6.32, 7.50, 3.89, 1.58, 5.21, ...
      5.25,  4.93, 7.38, 5.87, 5.81, 9.68, 9.07, 7.29, 7.84, 7.55, 7.32, ...
      7.97,  7.76, 7.00, 8.35;
      7.34,  6.35, 6.96, 8.54, 6.62, 4.97, 4.55, 4.81, 4.75, 4.76,10.88, ...
     10.01, 11.62,10.36, 6.40, 6.24, 7.93, 4.04, 3.73, 5.60, 5.35, 6.81, ...
      8.27,  7.68, 6.65, 6.08,10.25, 9.14,17.75,13.30, 9.63, 6.80, 4.08, ...
      5.06,  4.94, 6.65, 7.94,10.76,11.89, 5.85, 9.01, 7.50,10.02,10.38, ...
      8.15, 8.37, 10.73, 12.14];
[k,n] = size(z);
k = nag_int(k);
m = nag_int(10);

[maxlag, parlag, se, qq, x, pvalue, loglhd, ifail] = ...
  nag_tsa_multi_regmat_partial(k, z, m);

fprintf('%31s%13s%10s%13s%8s\n','Partial Autoregression Matrices', ...
	'Indicator', 'Residual', 'Chi-Square', 'Pvalue');
fprintf('%43s%12s%12s\n', 'Symbols', 'Variances', 'Statistic');
fprintf('%31s%13s%10s%13s%8s\n','-------------------------------', ...
	'---------', '--------', '----------', '------')
for l = 1:maxlag
  for j = 1:k
    sum = parlag(1,j,l);
    st(j) = '.';
    if sum>1.96*se(1,j,l)
      st(j) = '+';
    end
    if sum<-1.96*se(1,j,l)
      st(j) = '-';
    end
  end
  fprintf('\n Lag %2d :%8.3f%8.3f%15s%13.3f%13.3f%9.3f\n', ...
          l, parlag(1,1:k,l), st(1:k), qq(1,1,l), x(l), pvalue(l));
  fprintf('          (%6.3f)(%6.3f)\n', se(1,1:k,l));
  for i = 2:k
    for j = 1:k
      sum = parlag(i,j,l);
      st(j) = '.';
      if sum>1.96*se(i,j,l)
	st(j) = '+';
      end
      if sum<-1.96*se(i,j,l)
	st(j) = '-';
      end
    end
    fprintf('%17.3f%8.3f%15s%13.3f\n', parlag(i,1:k,l), st(1:k), qq(i,i,l));
    fprintf('          (%6.3f)(%6.3f)\n', se(i,1:k,l));
  end
end

% diary off
