function nag_tsa_uni_arima_update_example

% diary nag_tsa_uni_arima_update_example.r
fprintf('nag_tsa_uni_arima_update example results\n\n');

% Previously calculated state set (nag_tsa_uni_arima_estim, nag_tsa_uni_arima_estim_easy or prior nag_tsa_uni_arima_update)
st = [0.0118;  -0.0669;   0.1296;  -0.0394;   0.0422;   0.1809;   0.1211;
      0.0281;  -0.2231;  -0.1181;  -0.1468;   0.0835;   5.8201;  -0.0157;
     -0.0361;  -0.0266;  -0.0199;   0.0298;   0.0290;   0.0147;   0.0373;
     -0.0931;   0.0223;  -0.0172;  -0.0353;  -0.0413];

% Orders
mr = [nag_int(0);1;1;0;1;1;12];
par = [0.327;    0.627];
c = 0;

% New update observations
anx = [5.8861;  5.8348;   6.0064;   5.9814;   6.0403;   6.1570;
       6.3063;  6.3261;   6.1377;   6.0088;   5.8916;   6.0039];
nux = numel(anx);

% Update state set
[st, anexr, ifail] = nag_tsa_uni_arima_update( ...
                            st, mr, par, c, anx);

%  Display results
nst = numel(st);
fprintf('The updated state set array now holds the values\n');
for j = 1:8:nst
  fprintf('%8.4f', st(j:min(j+7,nst)));
  fprintf('\n');
end
fprintf('\nThe residuals corresponding to the %4d values used to\n', nux);
fprintf('update the system are\n');
for j = 1:8:nux
  fprintf('%8.4f', anexr(j:min(j+7,nux)));
  fprintf('\n');
end

% diary off
