function nag_univar_ci_poisson_example

% diary nag_univar_ci_poisson_example.r
fprintf('nag_univar_ci_poisson example results\n\n');

num   = [0:10];
ifreq = [3 17 26 16 18  9  3  5  0  1  0];

% Estimate Poison parameter
xmean = dot(num,ifreq)/sum(ifreq);
n     = nag_int(sum(ifreq));
fprintf('The point estimate of the Poisson parameter = %10.4f\n', xmean);

ci = [0.95, 0.99];

for j = 1:numel(ci)

  clevel = ci(j);
  % Calculate clevel confidence interval
  [tl, tu, ifail] = nag_univar_ci_poisson( ...
                           n, xmean, clevel);
  
  fprintf('\n%2d percent Confidence Interval for the estimate\n',100*clevel);
  fprintf('      (%7.4f, %7.4f)\n', tl, tu);
end

% diary off
