function nag_univar_estim_weibull_example

% diary nag_univar_estim_weibull_example.r
fprintf('nag_univar_estim_weibull example results\n\n');

x = [1.1;     1.4;     1.3;     1.7;     1.9;
     1.8;     1.6;     2.2;     1.7;     2.7;
     4.1;     1.8;     1.5;     1.2;     1.4; 
     3.0;     1.7;     2.3;     1.6;     2];

% Control parameters and initial estimate for gamma
cens  = 'No censor';
ic    = [nag_int(0)];
gamma = 0;
tol   = 0;
maxit = nag_int(0);

% Calculate estimates
[beta, gamma, sebeta, segam, corr, dev, nit, ifail] = ...
  nag_univar_estim_weibull( ...
         cens, x, ic, gamma, tol, maxit);

fprintf('  Beta  = %10.4f Standard error = %10.4f\n', beta, sebeta);
fprintf('  Gamma = %10.4f Standard error = %10.4f\n', gamma, segam);

% diary off
