function nag_wav_1d_sngl_fwd_example

% diary nag_wav_1d_sngl_fwd_example.r
fprintf('nag_wav_1d_sngl_fwd example results\n\n');

n = nag_int(8);
wavnam = 'DB4';
mode = 'zero';
wtrans = 'Single Level';
x = [1; 3; 5; 7; 6; 4; 5; 2];
fprintf('\n Input Data:\n');
fprintf('%8.4f ', x);
fprintf('\n');

% Query wavelet filter dimensions
[nwl, nf, nwc, icomm, ifail] = nag_wav_1d_init(wavnam, wtrans, mode, n);

if ifail == nag_int(0)
  % Compute the transform
  [ca, cd, icomm, ifail] = nag_wav_1d_sngl_fwd(x, nwc, icomm);

  if ifail == nag_int(0)
    fprintf(' Approximation coefficients CA :\n');
    fprintf('%8.4f ', ca);
    fprintf('\n');
    fprintf(' Detail coefficients        CD :\n');
    fprintf('%8.4f ', cd);
    fprintf('\n');

    % Reconstruct original data
    [y, ifail] = nag_wav_1d_sngl_inv(ca, cd, n, icomm);

    if ifail == nag_int(0)
      fprintf(' Reconstruction       Y : \n');
      fprintf('%8.4f ', y);
      fprintf('\n');
    end
  end
end

% diary off
