function nag_wav_2d_multi_inv_example

% diary nag_wav_2d_multi_inv_example.r
fprintf('nag_wav_2d_multi_inv example results\n\n');

m = nag_int(7);
n = nag_int(8);
wavnam = 'DB2';
mode = 'Half';
wtrans = 'Multilevel';
a = [3, 7, 9, 1, 9, 9, 1, 0;
     9, 9, 3, 3, 4, 1, 2, 4;
     7, 8, 1, 3, 8, 9, 3, 3;
     1, 1, 1, 1, 2, 8, 4, 0;
     1, 2, 4, 6, 5, 6, 5, 4;
     2, 2, 5, 7, 3, 6, 6, 8;
     7, 9, 3, 1, 3, 4, 7, 2];

fprintf('\nInput data a:\n');
disp(a);
[nwl, nf, nwct, nwcn, icomm, ifail] = nag_wav_2d_init(wavnam, wtrans, mode, m, n);

lenc = nwct;
% Perform Discrete Wavelet transform
[c, dwtlvm, dwtlvn, icomm, ifail] = nag_wav_2d_multi_fwd(a, lenc, nwl, icomm);

fprintf('\nLength of wavelet filter : %d\n', nf);
fprintf('Number of Levels :         %d\n', nwl);
fprintf('Number of coefficients in first dimension for each level :\n');
disp(transpose(dwtlvm(1:double(nwl))));
fprintf('Number of coefficients in second dimension for each level :\n');
disp(transpose(dwtlvn(1:double(nwl))));

fprintf('\nTotal number of wavelet coefficients : %d\n', nwct);
fprintf('\nWavelet coefficients c :\n');
jstart = 1;
for ilevel = 1:double(nwl)
  fprintf('-------------------------------------------------------\n');
  fprintf('Level %d output is %d by %d\n', ...
     nwl-ilevel+1, dwtlvm(ilevel), dwtlvn(ilevel));
  fprintf('-------------------------------------------------------\n');

  iskip = double(dwtlvm(ilevel));
  i2 = iskip*double(dwtlvn(ilevel)) - 1;

  for itype_coeffs = 1:4
    switch itype_coeffs
      case {1}
        if (ilevel == nwl)
          fprintf('Approximation coefficients:\n');
        end
      case {2}
        fprintf('Vertical coefficients:\n');
      case {3}
        fprintf('Horizontal coefficients:\n');
      case {4}
        fprintf('Diagonal coefficients:\n');
    end
    if (itype_coeffs>1 || ilevel==1)
      for i1 = jstart:jstart+iskip-1
        fprintf('%8.4f',c(i1:iskip:i1+i2));
        fprintf('\n');
      end
      jstart = jstart + i2 + 1;
    end
  end
  fprintf('\n');
end

% Reconstruct original data
[b, ifail] = nag_wav_2d_multi_inv(nwl, c, m, n, icomm);
fprintf('Reconstruction       b:\n');
disp(b);

% diary off
