function s14aa_example

% diary s14aa_example.r
fprintf('s14aa example results\n\n');

x = [ 1    1.25     1.5     1.75     2       5       10     -1.5];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = s14aa(x(j));
end

disp('      x        Gamma(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

s14aa_plot;

% diary off

function s14aa_plot
  x = {[-3.99:0.01:-3.01]; [-2.99:0.05:-2.04]; [-1.9:0.1:-1.1];
	  [-0.9:0.1:-0.1]; [0.1:0.2:3.9]};

  for k = 1:5
    for j=1:numel(x{k})
      [g{k}(j), ifail] = s14aa(x{k}(j));
    end
  end

  fig1 = figure;
  hold on;
  for k = 1:5
    plot(x{k},g{k},'-r');
  end
  xlabel('x');
  ylabel('\Gamma(x)');
  title('Gamma Function \Gamma(x)');
  axis([-4 4 -5 5]);
  hold off;
  % print(fig1,'-dpng','-r75','s14aa_fig1.png');
  % print(fig1,'-deps','-r75','s14aa_fig1.eps');
