function s17ak_example

% diary s17ak_example.r
fprintf('s17ak example results\n\n');

x = [-10    -1    0    1    5    10   20];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = s17ak(x(j));
end

disp('      x         Bi''(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

s17ak_plot;

% diary off

function s17ak_plot
  x = [-10:0.1:3];
  for j = 1:numel(x)
    [Bid(j), ifail] = s17ak(x(j));
  end

  fig1 = figure;
  plot(x,Bid,'-r');
  xlabel('x');
  ylabel('Bi''(x)');
  title('Derivative of Airy Function Bi(x)');
  axis([-10 4 -2 10]);

  % print(fig1,'-dpng','-r75','s17ak_fig1.png');
  % print(fig1,'-deps','-r75','s17ak_fig1.eps');
