function s18ac_example

% diary s18ac_example.r
fprintf('s18ac example results\n\n');

x = [0.4   0.6   1.4   1.6    2.5    3.5    6    8    10   1000];
result = x;

for j=1:numel(x)
  [result(j), ifail] = s18ac(x(j));
end

disp('      x          K_0(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

s18ac_plot;

% diary off

function s18ac_plot
  x = [0.01:0.01:0.1,0.12:0.02:4];
  for j = 1:numel(x)
    [K(j), ifail] = s18ac(x(j));
  end

  fig1 = figure;
  plot(x,K,'-r');
  xlabel('x');
  ylabel('K_0(x)');
  title('Bessel Function K_0(x)');

  % print(fig1,'-dpng','-r75','s18ac_fig1.png');
  % print(fig1,'-deps','-r75','s18ac_fig1.eps');
