function s20ac_example

% diary s20ac_example.r
fprintf('s20ac example results\n\n');

x = [0   0.5   1   2   4   5   6   8   10   -1   1000];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = s20ac(x(j));
end

disp('      x          S(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

s20ac_plot;

% diary off

function s20ac_plot
  x = [-10:0.02:10];
  for j = 1:numel(x)
    [S(j), ifail] = s20ac(x(j));
  end

  fig1 = figure;
  plot(x,S,'-r');
  xlabel('x');
  ylabel('S(x)');
  title('Fresnel Integral S(x)');

  % print(fig1,'-dpng','-r75','s20ac_fig1.png');
  % print(fig1,'-deps','-r75','s20ac_fig1.eps');
