function s30cd_example

% diary s30cd_example.r
fprintf('s30cd example results\n\n');

put   = 'P';
s     = 70;
sigma = 0.15;
r     = 0.05;
q     = 0.03;
x     = [65.0];
t     = [0.8];

[p, delta, gamma,  vega,  theta,   rho,  crho, ...
    vanna, charm, speed, colour, zomma, vomma, ifail] = ...
    s30cd(...
          put, x, s, t, sigma, r, q);


fprintf('\nBinary (Digital): Asset-or-Nothing\n European Put :\n');
fprintf('  Spot       =   %9.4f\n', s);
fprintf('  Volatility =   %9.4f\n', sigma);
fprintf('  Rate       =   %9.4f\n', r);
fprintf('  Dividend   =   %9.4f\n\n', q);

fprintf(' Time to Expiry : %8.4f\n', t(1));
fprintf('%8s%9s%9s%9s%9s%9s%11s%11s\n','Strike','Price','Delta','Gamma',...
        'Vega','Theta','Rho','CRho');
fprintf('%8.4f%9.4f%9.4f%9.4f%9.4f%9.4f%11.4f%11.4f\n\n', x(1), p(1,1), ...
        delta(1,1), gamma(1,1), vega(1,1), theta(1,1), rho(1,1), crho(1,1));

fprintf('%26s%9s%9s%9s%11s%11s\n','Vanna','Charm','Speed','Colour',...
        'Zomma','Vomma');
fprintf('%17s%9.4f%9.4f%9.4f%9.4f%11.4f%11.4f\n\n', ' ', vanna(1,1), ...
        charm(1,1), speed(1,1), colour(1,1), zomma(1,1), vomma(1,1));

% diary off
