function x04cd_example

% diary x04cd_example.r
fprintf('x04cd example results\n\n');

nmax = 5;
la = (nmax*(nmax+1))/2;
a = [1:la];

% First matrix : 4x4 non-unit lower triangular 
mtitle = 'Example 1:';
n      = nag_int(nmax-1);
uplo   = 'Lower';
diag   = 'Non-unit';

% Default formatting
format = ' ';

% Integer labels
labrow = 'Integer';
labcol = labrow;
rlabs = {'       '};
clabs = {'       '};

% 80 colunms wide, no indent
ncols  = nag_int(80);
indent = nag_int(0);

[ifail] = x04cd( ...
                 uplo, diag, n, a, format, mtitle, labrow, rlabs, ...
                 labcol, clabs, ncols, indent);

fprintf('\n');
% Second matrix : 5x5 Unit upper triangular 
mtitle = 'Example 2:';
n = nag_int(nmax);
uplo   = 'Upper';
diag   = 'Unit';

% '%8.2f' style formatting
format = 'F8.2';

% Character labels
labrow = 'Character';
labcol = labrow;
rlabs  = {'Uno    '; 'Due    '; 'Tre    '; 'Quattro'; 'Cinque '};
clabs  = {'Un     '; 'Deux   '; 'Trois  '; 'Quatre '; 'Cinq   '};

[ifail] = x04cd( ...
                 uplo, diag, n, a, format, mtitle, labrow, rlabs, ...
                 labcol, clabs, ncols, indent);

fprintf('\n Example 3:\n');
% Third matrix: Upper triangular non-unit matrix 
mtitle = 'A';
diag   = 'Non-unit';
format = 'MATLABF8.2';
labrow = 'No labels';
labcol = labrow;

[ifail] = x04cd( ...
                 uplo, diag, n, a, format, mtitle, labrow, rlabs, ...
                 labcol, clabs, ncols, indent);

% diary off
