function x04cf_example

% diary x04cf_example.r
fprintf('x04cf example results\n\n');

m = nag_int(5);
n = nag_int(5);

% First Example: tridiagonal matrix A
mtitle  = 'Example 1:';
kl = nag_int(1);
ku = nag_int(1);
a = [ 0, 12, 13, 14, 15;
     21, 22, 23, 24, 25;
     31, 32, 33, 34,  0];

% Default format
format = ' ';

% Integer labels
labrow = 'Integer';
labcol = labrow;
rlabs  = {'       '};
clabs  = {'       '};

% 80 columns wide, no indent
ncols  = nag_int(80);
indent = nag_int(0);

[ifail] = x04cf( ...
                 m, n, kl, ku, a, format, mtitle, labrow, ...
                 rlabs, labcol, clabs, ncols, indent);

fprintf('\n');
% First Example: 2 Super-diagonals + 1 sub-diagonal
mtitle  = 'Example 2:';
kl = nag_int(1);
ku = nag_int(2);
a = [ 0,  0, 13, 14, 15;
      0, 22, 23, 24, 25;
     31, 32, 33, 34, 35;
     41, 42, 43, 44,  0];

% '%8.2f' style format
format = 'F8.2';

% Character labels
labrow = 'Character';
labcol = labrow;
rlabs  = {'Uno    '; 'Due    '; 'Tre    '; 'Quattro'; 'Cinque '};
clabs  = {'Un     '; 'Deux   '; 'Trois  '; 'Quatre '; 'Cinq   '};

[ifail] = x04cf( ...
                 m, n, kl, ku, a, format, mtitle, labrow, ...
                 rlabs, labcol, clabs, ncols, indent);

fprintf('\n Example 3:\n');
% Third matrix: As above but printed in Matlab form
mtitle = 'A';
format = 'MATLABF8.2';
labrow = 'No labels';
labcol = labrow;

[ifail] = x04cf( ...
                 m, n, kl, ku, a, format, mtitle, labrow, ...
                 rlabs, labcol, clabs, ncols, indent);

% diary off
