 function [coor, edge, grad, reverse, problem] = inputCircle(handles, enable, gridX, gridY,minX,maxX,minY,maxY)

 
    coor = [];
    edge = [];
    grad = [];
    reverse = false;
    problem = 0;
    tol = 1e-10;
        
    hold on;

    
    [cx,cy,b] = myginput(1);
    
    % a rough fix for clicking outside the drawing area bug. NF
        if cx < minX || cx > maxX || cy < minY || cy > maxY
            h = errordlg('Cannot click outside the drawing area','Drawing Error','modal');
            uiwait
            problem = 1;
        end
    
    if enable && problem == 0
        [cx, cy] = clamp(cx,cy,gridX,gridY,minX,minY);
    end
    
    if b == 2 && problem == 0
        problem = 1;
    else
    
        if problem == 0
    plot(cx,cy,'xk','MarkerSize', 7);
    
    [rx, ry, b ] = myginput(1);
    % a rough fix for clicking outside the drawing area bug.  NF
        if rx < minX || rx > maxX || ry < minY || ry > maxY
            h = errordlg('Cannot click outside the drawing area','Drawing Error','modal');
            uiwait
            problem = 1;
        end
        
    if enable
        [rx, ry] = clamp(rx,ry,gridX,gridY,minX,minY);
    end
    
        end
    if problem == 0
    diff = norm([cx;cy]- [rx;ry]);
    tol = 10^(-10);
    if diff < tol
        h = errordlg('You cannot click on the same vertex twice','Polygon Error','modal');
        uiwait;         % tells the program to wait until the error box has gone.
        % a "gone-wrong" flag that undoes the erroneous point
        problem = 1;
    end
    end
    
    if b == 2 && problem == 0
        problem = 1;
    end
    
    if problem == 0
    v = [cx-rx, cy-ry];
    ray = sqrt(v*v');
    
    l = 2*pi*ray/10;
    
    n = ceil(l)+10;
    
    h = 2*pi/n;
    
    angles = 0:h:2*pi-h;
    coor = [ray*cos(angles)+cx; ray*sin(angles)+cy ];
    edge = [1:length(angles);[2:length(angles),1]; zeros(1,length(angles))];
    curcoor1 = [coor(:,2:end), coor(:,1)];
    grad = (coor(2,:) - curcoor1(2,:))./(coor(1,:) - curcoor1(1,:));
    grad(6) = 1/tol;
    end
    
    if (handles.state.activeDomain ~= 0 && ~isempty(handles.domains.boundaries)) && problem == 0
            
        for i = 1:11
            if i < 11
                distAB = norm(coor(:,i) - coor(:,i+1));
            else
                distAB = norm(coor(:,end) - coor(:,1));
            end
            
            activeDomain = handles.state.activeDomain;

            boundaries = max(size(handles.domains(activeDomain).boundaries));
            
            for k = 1:boundaries
                boundary = max(max(handles.domains(activeDomain).boundaries(k).edge));
                % coordinates of the boundary so far
                curcoor = handles.domains(activeDomain).boundaries(k).coor;
                curgrad = handles.domains(activeDomain).boundaries(k).grad;
                curgrad = [curgrad,grad(i)];
            
                for j = 1:boundary
                    % find point at which vector given by the new polygon edge
                    % crosses a vector of an existing edge of the boundary
                    [xx, yy] = simeqn(curcoor, curgrad, boundary+2, j, coor(1,i), coor(2,i));
                
                    % the next bit of code is to determine whether the two
                    % lines of the polygon in question are actually crossing
                    % each other.
                
                

                    if j < boundary
                        distab = norm(curcoor(:,j) - curcoor(:,j+1));
                        ab = norm(curcoor(:,j) - [xx;yy]) + norm(curcoor(:,j+1) - [xx;yy]);
                    else
                        distab = norm(curcoor(:,j) - curcoor(:,1));
                        ab = norm(curcoor(:,j) - [xx;yy]) + norm(curcoor(:,1) - [xx;yy]);
                    end
                    if i < 11
                        AB = norm([coor(1,i);coor(2,i)] - [xx;yy]) + norm(coor(:,i+1) - [xx;yy]);
                    else
                        AB = norm([coor(1,end);coor(2,end)] - [xx;yy]) + norm(coor(:,1) - [xx;yy]);
                    end
                    
                    if ab < distab + tol && AB < distAB + tol
                        h = errordlg('Boundaries cannot cross','Boundary Error','modal');
                        uiwait
                        problem = 1;
                    end
                    if problem == 1; break; end
                end
                if problem == 1; break; end
            end
            if problem == 1; break; end
        end
    end
    
    
    if problem == 1
    grad = [];
    coor = [];
    edge = [];
    end
end
