 function [coor, edge,grad,reverse, problem] = inputQuad(handles,enable, gridX, gridY,minX,maxX,minY,maxY)

 
    coor = [];
    edge = [];
    reverse = false;
    tol = 1e-10;
    problem = 0;
        
    hold on;

    
    [px,py,b] = myginput(1);
    
    % a rough fix for clicking outside the drawing area bug.  If the
        % user has moved the view of the axes, this fix would be annoying!
        % NF
        if px < minX || px > maxX || py < minY || py > maxY
            h = errordlg('Cannot click outside the drawing area','Drawing Error','modal');
            uiwait
            problem = 1;
        end
        
    if enable && problem == 0
    [px,py] = clamp(px,py,gridX, gridY, minX, minY );
    end
    
    if b == 2 && problem == 0
        problem = 1;
    else
       
    if problem == 0
     plot(px,py,'xk','MarkerSize', 7);
    
    [qx,qy,b] = myginput(1);
    % a rough fix for clicking outside the drawing area bug.  If the
        % user has moved the view of the axes, this fix would be annoying!
        % NF
        if qx < minX || qx > maxX || qy < minY || qy > maxY
            h = errordlg('Cannot click outside the drawing area','Drawing Error','modal');
            uiwait
            problem = 1;
        end
    end
        if problem == 0
            if enable
             [qx,qy] = clamp(qx,qy,gridX, gridY, minX, minY );
            end
    
             diff = norm([px;py]- [qx;qy]);

    if diff < tol && problem == 0
        h = errordlg('You cannot click on the same vertex twice','Polygon Error','modal');
        uiwait;         % tells the program to wait until the error box has gone.
        % a "gone-wrong" flag that undoes the erroneous point
        problem = 1;
    end

    if abs(px - qx) < tol || abs(py - qy) < tol && problem == 0
        h = errordlg('Invalid Polygon','Polygon Error','modal');
        uiwait;         % tells the program to wait until the error box has gone.
        % a "gone-wrong" flag that undoes the erroneous point
        problem = 1;
    end
        end
    
    if b == 2 && problem == 0
        problem = 1;
    end
    
    if problem == 0
    a = min( px, qx );
    b = max( px, qx );
    c = min( py, qy );
    d = max( py, qy );
    
    
    coor = [ [a b b a]; [ c c d d] ];
%     coor = [ [a b b a]; [ c d c d] ];
    edge = [[1 2 3 4];[2 3 4 1];[0 0 0 0]];
    
    grad = [0,1/tol,0,1/tol];
    end
    if (handles.state.activeDomain ~= 0 && ~isempty(handles.domains(handles.state.activeDomain).boundaries)) && problem == 0
            
        for i = 1:4
            if i < 4
                distAB = norm(coor(:,i) - coor(:,i+1));
            else
                distAB = norm(coor(:,4) - coor(:,1));
            end
            
            activeDomain = handles.state.activeDomain;

            boundaries = max(size(handles.domains(activeDomain).boundaries));
            
            for k = 1:boundaries
                boundary = max(max(handles.domains(activeDomain).boundaries(k).edge));
                % coordinates of the boundary so far
                curcoor = handles.domains(activeDomain).boundaries(k).coor;
                curgrad = handles.domains(activeDomain).boundaries(k).grad;
                curgrad = [curgrad,grad(i)];
            
                for j = 1:boundary
                    % find point at which vector given by the new polygon edge
                    % crosses a vector of an existing edge of the boundary
                    [xx, yy] = simeqn(curcoor, curgrad, boundary+2, j, coor(1,i), coor(2,i));
                
                    % the next bit of code is to determine whether the two
                    % lines of the polygon in question are actually crossing
                    % each other.
                
                

                    if j < boundary
                        distab = norm(curcoor(:,j) - curcoor(:,j+1));
                        ab = norm(curcoor(:,j) - [xx;yy]) + norm(curcoor(:,j+1) - [xx;yy]);
                    else
                        distab = norm(curcoor(:,j) - curcoor(:,1));
                        ab = norm(curcoor(:,j) - [xx;yy]) + norm(curcoor(:,1) - [xx;yy]);
                    end
                    if i < 4
                        AB = norm([coor(1,i);coor(2,i)] - [xx;yy]) + norm(coor(:,i+1) - [xx;yy]);
                    else
                        AB = norm([coor(1,4);coor(2,4)] - [xx;yy]) + norm(coor(:,1) - [xx;yy]);
                    end
                    
                    if ab < distab + tol && AB < distAB + tol
                        h = errordlg('Boundaries cannot cross','Boundary Error','modal');
                        uiwait
                        problem = 1;
                    end
                    if problem == 1; break; end
                end
                if problem == 1; break; end
            end
            if problem == 1; break; end
        end
    end
    
    if problem == 1
        grad = [];
        coor = [];
        edge = [];
    end
    
% %     plot( coord(1,:), coord(2,:), '.');
%    displayEdgesArray( edge, coor, 'g',false );

end
