function config = load_config ( filename  )
    
    docNode = xmlread(filename);
    axes = docNode.getElementsByTagName('Axes').item(0);
    grid = docNode.getElementsByTagName('Grid').item(0);
    solution = docNode.getElementsByTagName('SolutionDisplay').item(0);
    
    algos = docNode.getElementsByTagName('Algorithms').item(0);
    
    incremental = docNode.getElementsByTagName('Incremental').item(0);
    delaunay = docNode.getElementsByTagName('Delaunay').item(0);
    front = docNode.getElementsByTagName('Front').item(0);
    
    config.axes = [ str2num(axes.getAttribute('Xmin')), str2num(axes.getAttribute('Xmax')), str2num(axes.getAttribute('Ymin')), str2num(axes.getAttribute('Ymax')) ];
    config.grid = [ str2num(grid.getAttribute('enabled')), str2num(grid.getAttribute('X')), str2num(grid.getAttribute('Y')) ];
    config.solution = [str2num(solution.getAttribute('showMeshes')),str2num(solution.getAttribute('showGrid')),str2num(solution.getAttribute('smooth'))];
    
    
    
    config.algorithms.default = str2num(algos.getAttribute('default'));
    config.algorithms.incremental = struct ('bspace', {char(incremental.getAttribute('bspace'))}, 'smooth', {str2num(incremental.getAttribute('smooth'))},'coeff', {str2num(incremental.getAttribute('coeff'))},'power', {str2num(incremental.getAttribute('power'))},'boundary', {str2num(incremental.getAttribute('boundary'))});
    config.algorithms.delaunay = struct( 'weight', {char(delaunay.getAttribute('weight'))},'npropa', {str2num(delaunay.getAttribute('npropa'))}, 'boundary', {str2num(delaunay.getAttribute('boundary'))});
    config.algorithms.front = struct( 'weight', {char(front.getAttribute('weight'))}, 'boundary', {str2num(front.getAttribute('boundary'))});
    % extra boundary info NF 08/10/08

end
