function varargout = setupGrid(varargin)
    gui_Singleton = 1;
    gui_State = struct('gui_Name',       mfilename, ...
                       'gui_Singleton',  gui_Singleton, ...
                       'gui_OpeningFcn', @setupGrid_OpeningFcn, ...
                       'gui_OutputFcn',  @setupGrid_OutputFcn, ...
                       'gui_LayoutFcn',  [] , ...
                       'gui_Callback',   []);
    if nargin && ischar(varargin{1})
        gui_State.gui_Callback = str2func(varargin{1});
    end

    if nargout
        [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
    else
        gui_mainfcn(gui_State, varargin{:});
    end

end



function setupGrid_OpeningFcn(hObject, eventdata, handles, varargin)


    handles.output = 0;
    guidata(hObject,handles);
    
    if length(varargin) ~= 1 || length(varargin{1}) ~= 3

        return;
    end
    
    
    handles.grid = varargin{1};
    handles.old_grid = handles.grid;
    handles.output = handles.grid;
    
    
    set(handles.chk_Magnetic_Enable,'Value', handles.grid(1) );
    set(handles.text_Magnetic_X,'String', num2str(handles.grid(2)));
    set(handles.text_Magnetic_Y,'String', num2str(handles.grid(3)));
    
    set(handles.setupGrid,'CloseRequestFcn',{@closeGUI,handles});
    
    guidata(hObject, handles);

    % UIWAIT makes setupGrid wait for user response (see UIRESUME)
    uiwait(handles.setupGrid);
end

function closeGUI(src,evt,handles)
    uiresume(handles.setupGrid);
end


function varargout = setupGrid_OutputFcn(hObject, eventdata, handles) 

    varargout{1} = handles.output;
    delete(handles.setupGrid);

end


function text_Magnetic_X_Callback(hObject, eventdata, handles)
    t = str2double( get(hObject, 'String' ) );
    if t >= 0
        handles.grid(2) = t;
        guidata(hObject, handles );
    else
        set(hObject, 'String', num2str(handles.grid(2)));
    end    
    
    
end



function text_Magnetic_X_CreateFcn(hObject, eventdata, handles)

    if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
        set(hObject,'BackgroundColor','white');
    end

end


function text_Magnetic_Y_Callback(hObject, eventdata, handles)
    t = str2double( get(hObject, 'String' ) );
    if t >= 0
        handles.grid(3) = t;
        guidata(hObject, handles );
    else
        set(hObject, 'String', num2str(handles.grid(3)));
    end    
end

function text_Magnetic_Y_CreateFcn(hObject, eventdata, handles)

    if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
        set(hObject,'BackgroundColor','white');
    end
end


function chk_Magnetic_Enable_Callback(hObject, eventdata, handles)
    handles.grid(1) = get(hObject,'Value');
    guidata(hObject, handles );
end

function button_ok_Callback(hObject, eventdata, handles)
    handles.output = handles.grid;
    guidata(hObject, handles );
    closeGUI(hObject, [], handles );
end

function button_cancel_Callback(hObject, eventdata, handles)
    handles.output = handles.old_grid;
    guidata(hObject, handles );
    closeGUI(hObject, [], handles );
end



