function res = show_solutions(handles)
%     handles.state.view = view();
%     cla(handles.axes_View,'reset');
%     
%     set(handles.axes_View,'XLim', handles.config.axes(1:2) );
%     set(handles.axes_View,'YLim', handles.config.axes(3:4) );
    cla
    hold on;
    
    

    if handles.state.recording == 1
        frames = moviein(ceil(handles.fem.time.T/handles.fem.time.dt)+1);
    end    

 
    start = 'C';
   
    s = 100;
    res = handles;
    if length(handles.fem.solutions) == 0
       res = 0;
       return;
    end

    
    for t=1:ceil(handles.fem.time.T/handles.fem.time.dt)+1
        cla

   
        handles = guidata(handles.axes_View);
    
        if handles.config.solution(1)
            style = '-';
        else
            style = 'none';
        end   
        
    
        for i=1:size(handles.domains,2)

            conn = handles.domains(i).mesh.conn';
            x = handles.domains(i).mesh.coor(1,:)';
            y = handles.domains(i).mesh.coor(2,:)';
            z = handles.fem.solutions(i).result(:,t);
            
            % check that the solution size matches the mesh size.  If not warn user
            % that they need to resolve the problem on the new domain
            
            if size(x,1) ~= size(z,1)
                errordlg('Error: Solve the problem again on the new domain.','Error playing solution')
                uiwait;
                res = 0;
                return
            end
            w = ones(length(x),1);

            % Fix the limits of the colormap based on the complete
            % solution after all time steps. This forces every
            % time step plot to use the same colormap so that, for
            % example, one can see the heat moving through a
            % body naturally. Without fixed limits for the colormap
            % one end always looks cold no matter how hot it gets.
            cmapa = handles.fem.solutions(1).result;
            cmap = [min(min(cmapa)) max(max(cmapa))];
            caxis(cmap);

            
            % removed smoothing of solution as would take too much time to
            % fix c.f. save_config.m, mesh_gererator.m mesh_generator.fig NF
%             if handles.config.solution(3)
% 
%                 m = length(x);
%                 nxest = ceil(sqrt(m/2)) + 4;
%                 nyest = nxest;
% 
% 
%                  v = nyest - 4;
%                  u = nxest - 4;
%                  ww = max (u,v);
% 
%                 lwrk = (7 * u * v + 25 * ww) * (ww + 1) + 2 * (u + v + 4 * m) + 23 * ww + 56;
% 
% 
%                 nx = nag_int(0);
%                 ny = nag_int(0);
% 
%                 lamda = zeros(nxest,1);
%                 mu = zeros(nyest,1);
% 
%                 wrk = zeros(lwrk, 1);
% 
%                 [nxOut, lamdaOut, nyOut, muOut, c, fp, rank, wrkOut, ifaildd] = e02dd(start, x, y, z, w, s, nx, lamda, ny, mu, wrk);   
% 
%                 px = ceil(min(x)):1:ceil(max(x));
%                 py = ceil(min(y)):1:ceil(max(y));
% 
%                 [ff, ifaildf] = e02df(px, py, lamdaOut(1:nxOut), muOut(1:nyOut), c);
% 
%                 [X,Y] = meshgrid(px,py);
% 
%                 res = zeros(length(py),length(px));
% 
%                 for i=1:length(px);
%                     for j=1:length(py)
%                      res(j,i) = ff((i-1)*length(py)+j);
%                     end
%                 end
%                 if ifaildd ~= 0 || ifaildf ~= 0
%                     beep
%                     disp('Error using the smoothing routines, showing normal solution');
%                     trisurf(conn,x,y,z,z,'LineStyle',style,'facecolor','interp');
%                 else    
%                     surf(X,Y,res,'facecolor','interp','LineStyle',style);
%                 end    
%             else
%
            
              trisurf(conn,x,y,z,z,'LineStyle',style,'facecolor','interp');
%             end
           grid off;
            if handles.config.solution(2)
                grid on
            end          


        end
        
% NF changed t to (t-1), fixes the title of the figure, so that the time
% runs from t=0 -> t= endtime.

%         title(['t=',num2str(handles.fem.time.dt*t)]);
        title(['t=',num2str(handles.fem.time.dt*(t-1))]);
        drawnow;
        
%         handles.fem.time.dt*t
        
        colorbar(); 
        if handles.state.recording == 1
            frames(:,t) = getframe;
        elseif handles.state.playing == 0
            return;
        elseif handles.state.paused == 1
            uiwait(handles.Main);
        end    
        
    
    end
    
    if handles.state.recording == 1
        handles.frames = frames;
    end


    
    handles.state.drawing = 0;
    handles.state.playing = 0;
    guidata(handles.axes_View, handles );
    res = handles;


%     view(handles.state.view);
    
end
