% Implement the NAG routine f07aa for finding the solution to two
% simultaneous equations

function [xx,yy] = simeqn(coor, grad, i, j, x, y)

% Create the input arrays
a = [-grad(i-1), 1; -grad(j), 1];
b = [y - grad(i-1)*x; coor(2,j) - grad(j)*coor(1,j)];

% running the NAG routine
[a, ipiv, c, ifail] = f07aa(a, b);

% pull out the coordinates of the crossing point of the two lines from the
% solution 'c'
xx = c(1);
yy = c(2);

end