% nag_doc: Open NAG function document in web browser
% 
% Syntax: 
% 
%   nag_doc
%   nag_doc A00/a00aaf.html
%   nag_doc a00aa
%   nag_doc nag_info_impl_details
% 
% Opens the documentation for the function f in the Matlab web browser.
% Unfortunately it is not possible to directly open the help browser at
% a function document.
% Can be given a relative file path like E04/e04ucf.html or a function name
% In which case if a NAG filepath is in the help text nag_doc is recursively
% called, otherwise it just shows the help text.
%
% If called with no argument, the matlab web browser is opened
% At the NAG Toolbox start page.
%
% See Also:
% <a href="matlab:help lookfor">lookfor</a>

function nag_doc (f)
if (nargin ~= 1)
  web(strcat(fileparts(which('nag_doc')),'/genint/product.html'));
else
htm=regexp(f,'^.*\.html$','match');
if(length(htm)) 
 dir=fileparts(which('nag_doc'));
 file=strcat(dir,'/',f);
 if (exist(file,'file'))
  web(file);
 else
  disp(strcat(file,' not found'));
 end
 else
   hlp=help(f);
   nagfile=regexp(hlp,'<a href="matlab:nag_doc[^<>"]*','match');
   if(length(nagfile))
    nag_doc(strrep(nagfile{1},'<a href="matlab:nag_doc ',''))
   else
    disp(hlp);
  end
end
end
end

