function nag_blast_dgb_norm_example

% diary nag_blast_dgb_norm_example.r
fprintf('nag_blast_dgb_norm example results\n\n');

kl = nag_int(2);
ku = nag_int(2);
m  = nag_int(6);
a = [ 1, 1, 0, 0;
      2, 2, 2, 0;
      3, 3, 3, 3;
      0, 4, 4, 4;
      0, 0, 5, 5;
      0, 0, 0, 6];
ab = zeros(5, 6);
% Convert a to packed storage
[a, ab, ifail] = nag_matop_real_band_pack( ...
			'p', kl, ku, a, ab);

fprintf('\nNorms of banded matrix ab:\n\n');

r_one = nag_blast_dgb_norm('o', m, kl, ku, ab);
fprintf('One norm           = %9.4f\n', r_one);

r_inf = nag_blast_dgb_norm('i', m, kl, ku, ab);
fprintf('Infinity norm      = %9.4f\n', r_inf);

r_fro = nag_blast_dgb_norm('f', m, kl, ku, ab);
fprintf('Frobenious norm    = %9.4f\n', r_fro);

r_max = nag_blast_dgb_norm('m', m, kl, ku, ab);
fprintf('Maximum norm       = %9.4f\n', r_max);

% diary off
